# SwaggerClient-php
API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.

This PHP package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 2.0.0
- Build date: 2016-11-03T11:50:53.120+04:00
- Build package: class io.swagger.codegen.languages.PhpClientCodegen

## Requirements

PHP 5.4.0 and later

## Installation & Usage
### Composer

To install the bindings via [Composer](http://getcomposer.org/), add the following to `composer.json`:

```
{
  "repositories": [
    {
      "type": "git",
      "url": "https://github.com/GIT_USER_ID/GIT_REPO_ID.git"
    }
  ],
  "require": {
    "GIT_USER_ID/GIT_REPO_ID": "*@dev"
  }
}
```

Then run `composer install`

### Manual Installation

Download the files and include `autoload.php`:

```php
    require_once('/path/to/SwaggerClient-php/autoload.php');
```

## Tests

To run the unit tests:

```
composer install
./vendor/bin/phpunit lib/Tests
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->balanceGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->balanceGet: ', $e->getMessage(), PHP_EOL;
}

?>
```

## Documentation for API Endpoints

All URIs are relative to *https://www.1gb.ru/api*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**balanceGet**](docs/Api/DefaultApi.md#balanceget) | **GET** /balance | Аккаунт: баланс
*DefaultApi* | [**balanceLicGet**](docs/Api/DefaultApi.md#balancelicget) | **GET** /balance.lic | Аккаунт: баланс аккаунта лицензий
*DefaultApi* | [**billingDebtGet**](docs/Api/DefaultApi.md#billingdebtget) | **GET** /billing/debt | Информация по дебету аккаунта
*DefaultApi* | [**billingInfoGet**](docs/Api/DefaultApi.md#billinginfoget) | **GET** /billing/info | Информация об аккаунте
*DefaultApi* | [**billingLimitsGet**](docs/Api/DefaultApi.md#billinglimitsget) | **GET** /billing/limits | Получить ограничения аккаунта
*DefaultApi* | [**dnsProlongListGet**](docs/Api/DefaultApi.md#dnsprolonglistget) | **GET** /dns/prolong/list | Информация по продлению доменов
*DefaultApi* | [**emailAddGet**](docs/Api/DefaultApi.md#emailaddget) | **GET** /email/add | Создание почтового ящика
*DefaultApi* | [**emailAliasDeleteGet**](docs/Api/DefaultApi.md#emailaliasdeleteget) | **GET** /email/alias/delete | Удаление псевдонимов почтовых ящиков
*DefaultApi* | [**emailAliasListGet**](docs/Api/DefaultApi.md#emailaliaslistget) | **GET** /email/alias/list | Получить список псевдонимов почтовых ящиков
*DefaultApi* | [**emailDeleteGet**](docs/Api/DefaultApi.md#emaildeleteget) | **GET** /email/delete | Удаление почтового ящика
*DefaultApi* | [**emailListGet**](docs/Api/DefaultApi.md#emaillistget) | **GET** /email/list | Получить список почтовых ящиков
*DefaultApi* | [**updatesLastGet**](docs/Api/DefaultApi.md#updateslastget) | **GET** /updates/last | Идентификатор последнего уведомления в аудите
*DefaultApi* | [**updatesListGet**](docs/Api/DefaultApi.md#updateslistget) | **GET** /updates/list | Список записей аудита
*DefaultApi* | [**websiteDeleteGet**](docs/Api/DefaultApi.md#websitedeleteget) | **GET** /website/delete | Удаление сайта
*DefaultApi* | [**websiteListGet**](docs/Api/DefaultApi.md#websitelistget) | **GET** /website/list | Список сайтов аккаунта
*AuthAPIApi* | [**authLoginPost**](docs/Api/AuthAPIApi.md#authloginpost) | **POST** /auth/login | Получить ключ доступа
*AuthAPIApi* | [**authStartGet**](docs/Api/AuthAPIApi.md#authstartget) | **GET** /auth/start | Получить соль
*DNSApi* | [**dnsAddGet**](docs/Api/DNSApi.md#dnsaddget) | **GET** /dns/add | Создание записи домена
*DNSApi* | [**dnsBindGet**](docs/Api/DNSApi.md#dnsbindget) | **GET** /dns/bind | Привязка одного домена к другому
*DNSApi* | [**dnsListGet**](docs/Api/DNSApi.md#dnslistget) | **GET** /dns/list | Получить список доменных имён
*DNSApi* | [**dnsProlongListGet**](docs/Api/DNSApi.md#dnsprolonglistget) | **GET** /dns/prolong/list | Информация по продлению доменов
*DNSApi* | [**dnsRawGet**](docs/Api/DNSApi.md#dnsrawget) | **GET** /dns/raw | Редактирование \&quot;сырой\&quot; зоны
*DNSApi* | [**dnsRawManagedmxGet**](docs/Api/DNSApi.md#dnsrawmanagedmxget) | **GET** /dns/raw/managedmx | Редактировать DNS-зону
*HostingftpAPIApi* | [**ftpListGet**](docs/Api/HostingftpAPIApi.md#ftplistget) | **GET** /ftp/list | Получить список зарегистрированных аккаунтов FTP
*HostingiisAPIApi* | [**iisListGet**](docs/Api/HostingiisAPIApi.md#iislistget) | **GET** /iis/list | Список сайтов IIS
*MicrosoftSQLServerApi* | [**mssqlListGet**](docs/Api/MicrosoftSQLServerApi.md#mssqllistget) | **GET** /mssql/list | Получить список аккаунтов в MSSQL
*MySQLPostgresApi* | [**databaseListGet**](docs/Api/MySQLPostgresApi.md#databaselistget) | **GET** /database/list | Список аккаунтов в базах данных UNIX
*VDSHyperVOpenVZApi* | [**vdsCreateGet**](docs/Api/VDSHyperVOpenVZApi.md#vdscreateget) | **GET** /vds/create | Изменение параметров VDS
*VDSHyperVOpenVZApi* | [**vdsDeleteGet**](docs/Api/VDSHyperVOpenVZApi.md#vdsdeleteget) | **GET** /vds/delete | Удаление VDS
*VDSHyperVOpenVZApi* | [**vdsIpAddGet**](docs/Api/VDSHyperVOpenVZApi.md#vdsipaddget) | **GET** /vds/ip/add | Добавление IP на VDS
*VDSHyperVOpenVZApi* | [**vdsIpDeleteGet**](docs/Api/VDSHyperVOpenVZApi.md#vdsipdeleteget) | **GET** /vds/ip/delete | Удаление IP с VDS
*VDSHyperVOpenVZApi* | [**vdsIpListGet**](docs/Api/VDSHyperVOpenVZApi.md#vdsiplistget) | **GET** /vds/ip/list | Список IP-адресов виртуальных серверов
*VDSHyperVOpenVZApi* | [**vdsListGet**](docs/Api/VDSHyperVOpenVZApi.md#vdslistget) | **GET** /vds/list | Список виртуальных серверов
*VDSHyperVOpenVZApi* | [**vdsRebootGet**](docs/Api/VDSHyperVOpenVZApi.md#vdsrebootget) | **GET** /vds/reboot | Перезагрузка VDS
*VDSHyperVOpenVZApi* | [**vdsTemplatesListGet**](docs/Api/VDSHyperVOpenVZApi.md#vdstemplateslistget) | **GET** /vds/templates-list | Список шаблонов виртуальных серверов
*VDSHyperVOpenVZApi* | [**vdsUpdateGet**](docs/Api/VDSHyperVOpenVZApi.md#vdsupdateget) | **GET** /vds/update | Создание VDS


## Documentation For Models

 - [InlineResponse200](docs/Model/InlineResponse200.md)
 - [InlineResponse2001](docs/Model/InlineResponse2001.md)
 - [InlineResponse20010](docs/Model/InlineResponse20010.md)
 - [InlineResponse20011](docs/Model/InlineResponse20011.md)
 - [InlineResponse20012](docs/Model/InlineResponse20012.md)
 - [InlineResponse20013](docs/Model/InlineResponse20013.md)
 - [InlineResponse20014](docs/Model/InlineResponse20014.md)
 - [InlineResponse2002](docs/Model/InlineResponse2002.md)
 - [InlineResponse2003](docs/Model/InlineResponse2003.md)
 - [InlineResponse2004](docs/Model/InlineResponse2004.md)
 - [InlineResponse2005](docs/Model/InlineResponse2005.md)
 - [InlineResponse2006](docs/Model/InlineResponse2006.md)
 - [InlineResponse2007](docs/Model/InlineResponse2007.md)
 - [InlineResponse2008](docs/Model/InlineResponse2008.md)
 - [InlineResponse2009](docs/Model/InlineResponse2009.md)
 - [_](docs/Model/_.md)


## Documentation For Authorization

 All endpoints do not require authorization.


## Author




