# Swagger\Client\AuthAPIApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**authLoginPost**](AuthAPIApi.md#authLoginPost) | **POST** /auth/login | Получить ключ доступа
[**authStartGet**](AuthAPIApi.md#authStartGet) | **GET** /auth/start | Получить соль


# **authLoginPost**
> string authLoginPost($login, $salt, $response)

Получить ключ доступа

Возвращает ключ доступа, с которым в дальнейшем будут осуществляться всё взаимодействие с API  (параметр 'token'). Для вычисления значения параметра 'response' необходимо получить представленную в hex MD5-сумму от  объединения строк пароля пользователя, полученной соли и символа переноса строки. Псевдокод операции:  hex(md5(password&nbsp;+&nbsp;salt&nbsp;+&nbsp;'\\n'))

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\AuthAPIApi();
$login = "login_example"; // string | Имя пользователя
$salt = "salt_example"; // string | Соль (см. /auth/start)
$response = "response_example"; // string | Вычисленный хэш

try {
    $result = $api_instance->authLoginPost($login, $salt, $response);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling AuthAPIApi->authLoginPost: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **login** | **string**| Имя пользователя |
 **salt** | **string**| Соль (см. /auth/start) |
 **response** | **string**| Вычисленный хэш |

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **authStartGet**
> string authStartGet($login)

Получить соль

Возвращает соль для авторизации. Это первый этап идентификации пользователя. Затем соль используется  во втором, окончательном этапе авторизации, в запросе /auth/login. Запрос не требует дополнительных параметров.

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\AuthAPIApi();
$login = "login_example"; // string | Имя пользователя

try {
    $result = $api_instance->authStartGet($login);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling AuthAPIApi->authStartGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **login** | **string**| Имя пользователя |

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

