# Swagger\Client\DNSApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**dnsAddGet**](DNSApi.md#dnsAddGet) | **GET** /dns/add | Создание записи домена
[**dnsBindGet**](DNSApi.md#dnsBindGet) | **GET** /dns/bind | Привязка одного домена к другому
[**dnsListGet**](DNSApi.md#dnsListGet) | **GET** /dns/list | Получить список доменных имён
[**dnsProlongListGet**](DNSApi.md#dnsProlongListGet) | **GET** /dns/prolong/list | Информация по продлению доменов
[**dnsRawGet**](DNSApi.md#dnsRawGet) | **GET** /dns/raw | Редактирование \&quot;сырой\&quot; зоны
[**dnsRawManagedmxGet**](DNSApi.md#dnsRawManagedmxGet) | **GET** /dns/raw/managedmx | Редактировать DNS-зону


# **dnsAddGet**
> string dnsAddGet($_token_, $add_dns_zone, $add_dns_record, $iis_site_for_dns, $bind_only)

Создание записи домена

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DNSApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$add_dns_zone = "add_dns_zone_example"; // string | зона, которую необходимо создать
$add_dns_record = "add_dns_record_example"; // string | 
$iis_site_for_dns = "iis_site_for_dns_example"; // string | ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку
$bind_only = true; // bool | 

try {
    $result = $api_instance->dnsAddGet($_token_, $add_dns_zone, $add_dns_record, $iis_site_for_dns, $bind_only);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DNSApi->dnsAddGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **add_dns_zone** | **string**| зона, которую необходимо создать |
 **add_dns_record** | **string**|  | [optional]
 **iis_site_for_dns** | **string**| ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку | [optional]
 **bind_only** | **bool**|  | [optional]

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **dnsBindGet**
> string dnsBindGet($_token_, $_key_, $bind_to)

Привязка одного домена к другому

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DNSApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$_key_ = 56; // int | ID домена из списка /dns/list
$bind_to = "bind_to_example"; // string | домен, к которому необходимо сделать привязку

try {
    $result = $api_instance->dnsBindGet($_token_, $_key_, $bind_to);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DNSApi->dnsBindGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **_key_** | **int**| ID домена из списка /dns/list |
 **bind_to** | **string**| домен, к которому необходимо сделать привязку | [optional]

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **dnsListGet**
> \Swagger\Client\Model\InlineResponse2003[] dnsListGet($_token_)

Получить список доменных имён

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DNSApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->dnsListGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DNSApi->dnsListGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

[**\Swagger\Client\Model\InlineResponse2003[]**](../Model/InlineResponse2003.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **dnsProlongListGet**
> \Swagger\Client\Model\InlineResponse2004[] dnsProlongListGet($_token_)

Информация по продлению доменов

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DNSApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->dnsProlongListGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DNSApi->dnsProlongListGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

[**\Swagger\Client\Model\InlineResponse2004[]**](../Model/InlineResponse2004.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **dnsRawGet**
> string dnsRawGet($_token_, $_key_, $s_del, $s_add, $dns_type, $dns_name, $dns_value)

Редактирование \"сырой\" зоны

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DNSApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$_key_ = 56; // int | ID домена из /dns/list
$s_del = 56; // int | Значение '1' сообщает, что запись необходимо удалить
$s_add = 56; // int | Значение '1' сообщает, что запись необходимо создать
$dns_type = "dns_type_example"; // string | Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV
$dns_name = "dns_name_example"; // string | Имя записи, либо '@' для корневой
$dns_value = "dns_value_example"; // string | Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение)

try {
    $result = $api_instance->dnsRawGet($_token_, $_key_, $s_del, $s_add, $dns_type, $dns_name, $dns_value);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DNSApi->dnsRawGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **_key_** | **int**| ID домена из /dns/list |
 **s_del** | **int**| Значение &#39;1&#39; сообщает, что запись необходимо удалить |
 **s_add** | **int**| Значение &#39;1&#39; сообщает, что запись необходимо создать |
 **dns_type** | **string**| Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV |
 **dns_name** | **string**| Имя записи, либо &#39;@&#39; для корневой |
 **dns_value** | **string**| Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение) |

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **dnsRawManagedmxGet**
> string dnsRawManagedmxGet($_token_, $_key_, $managed_mx, $upd_managed_mx)

Редактировать DNS-зону

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DNSApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$_key_ = 56; // int | ID домена из /dns/list
$managed_mx = 56; // int | Значение '1', если необходимо включить поддержку на MX-серверах хостинга и '0', если выключить
$upd_managed_mx = 56; // int | Значение '1' подтверждает операцию

try {
    $result = $api_instance->dnsRawManagedmxGet($_token_, $_key_, $managed_mx, $upd_managed_mx);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DNSApi->dnsRawManagedmxGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **_key_** | **int**| ID домена из /dns/list |
 **managed_mx** | **int**| Значение &#39;1&#39;, если необходимо включить поддержку на MX-серверах хостинга и &#39;0&#39;, если выключить |
 **upd_managed_mx** | **int**| Значение &#39;1&#39; подтверждает операцию |

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

