# Swagger\Client\DefaultApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**balanceGet**](DefaultApi.md#balanceGet) | **GET** /balance | Аккаунт: баланс
[**balanceLicGet**](DefaultApi.md#balanceLicGet) | **GET** /balance.lic | Аккаунт: баланс аккаунта лицензий
[**billingDebtGet**](DefaultApi.md#billingDebtGet) | **GET** /billing/debt | Информация по дебету аккаунта
[**billingInfoGet**](DefaultApi.md#billingInfoGet) | **GET** /billing/info | Информация об аккаунте
[**billingLimitsGet**](DefaultApi.md#billingLimitsGet) | **GET** /billing/limits | Получить ограничения аккаунта
[**dnsProlongListGet**](DefaultApi.md#dnsProlongListGet) | **GET** /dns/prolong/list | Информация по продлению доменов
[**emailAddGet**](DefaultApi.md#emailAddGet) | **GET** /email/add | Создание почтового ящика
[**emailAliasDeleteGet**](DefaultApi.md#emailAliasDeleteGet) | **GET** /email/alias/delete | Удаление псевдонимов почтовых ящиков
[**emailAliasListGet**](DefaultApi.md#emailAliasListGet) | **GET** /email/alias/list | Получить список псевдонимов почтовых ящиков
[**emailDeleteGet**](DefaultApi.md#emailDeleteGet) | **GET** /email/delete | Удаление почтового ящика
[**emailListGet**](DefaultApi.md#emailListGet) | **GET** /email/list | Получить список почтовых ящиков
[**updatesLastGet**](DefaultApi.md#updatesLastGet) | **GET** /updates/last | Идентификатор последнего уведомления в аудите
[**updatesListGet**](DefaultApi.md#updatesListGet) | **GET** /updates/list | Список записей аудита
[**websiteDeleteGet**](DefaultApi.md#websiteDeleteGet) | **GET** /website/delete | Удаление сайта
[**websiteListGet**](DefaultApi.md#websiteListGet) | **GET** /website/list | Список сайтов аккаунта


# **balanceGet**
> float balanceGet($_token_)

Аккаунт: баланс

Возвращает текущий баланс аккаунта

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->balanceGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->balanceGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

**float**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **balanceLicGet**
> float balanceLicGet($_token_)

Аккаунт: баланс аккаунта лицензий

Возвращает текущий баланс аккаунта лицензий

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->balanceLicGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->balanceLicGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

**float**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **billingDebtGet**
> \Swagger\Client\Model\InlineResponse200[] billingDebtGet($_token_)

Информация по дебету аккаунта

Данный запрос позволяет получить информацию по планируемым датам наступления негативного баланса и отключения

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->billingDebtGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->billingDebtGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

[**\Swagger\Client\Model\InlineResponse200[]**](../Model/InlineResponse200.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **billingInfoGet**
> \Swagger\Client\Model\InlineResponse2001[] billingInfoGet($_token_)

Информация об аккаунте

Этот запрос позволяет получить информацию об аккаунте, а также базовую статистику использования ресурсов.

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->billingInfoGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->billingInfoGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

[**\Swagger\Client\Model\InlineResponse2001[]**](../Model/InlineResponse2001.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **billingLimitsGet**
> \Swagger\Client\Model\_ billingLimitsGet($_token_)

Получить ограничения аккаунта

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->billingLimitsGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->billingLimitsGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

[**\Swagger\Client\Model\_**](../Model/_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **dnsProlongListGet**
> \Swagger\Client\Model\InlineResponse2004[] dnsProlongListGet($_token_)

Информация по продлению доменов

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->dnsProlongListGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->dnsProlongListGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

[**\Swagger\Client\Model\InlineResponse2004[]**](../Model/InlineResponse2004.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **emailAddGet**
> string emailAddGet($_token_, $add_email)

Создание почтового ящика

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$add_email = "add_email_example"; // string | Адрес почтового ящика, который необходимо создать

try {
    $result = $api_instance->emailAddGet($_token_, $add_email);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->emailAddGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **add_email** | **string**| Адрес почтового ящика, который необходимо создать |

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **emailAliasDeleteGet**
> string emailAliasDeleteGet($_token_, $_key_)

Удаление псевдонимов почтовых ящиков

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$_key_ = "_key__example"; // string | Адрес почтового ящика, подлежащего удалению

try {
    $result = $api_instance->emailAliasDeleteGet($_token_, $_key_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->emailAliasDeleteGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **_key_** | **string**| Адрес почтового ящика, подлежащего удалению |

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **emailAliasListGet**
> \Swagger\Client\Model\InlineResponse2005[] emailAliasListGet($_token_)

Получить список псевдонимов почтовых ящиков

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->emailAliasListGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->emailAliasListGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

[**\Swagger\Client\Model\InlineResponse2005[]**](../Model/InlineResponse2005.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **emailDeleteGet**
> string emailDeleteGet($_token_, $_key_)

Удаление почтового ящика

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$_key_ = "_key__example"; // string | Адрес почтового ящика, подлежащего удалению

try {
    $result = $api_instance->emailDeleteGet($_token_, $_key_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->emailDeleteGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **_key_** | **string**| Адрес почтового ящика, подлежащего удалению |

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **emailListGet**
> \Swagger\Client\Model\InlineResponse2006[] emailListGet($_token_)

Получить список почтовых ящиков

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->emailListGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->emailListGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

[**\Swagger\Client\Model\InlineResponse2006[]**](../Model/InlineResponse2006.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **updatesLastGet**
> int updatesLastGet($_token_)

Идентификатор последнего уведомления в аудите

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->updatesLastGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->updatesLastGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

**int**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **updatesListGet**
> \Swagger\Client\Model\InlineResponse20010[] updatesListGet($_token_, $_key_)

Список записей аудита

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$_key_ = 56; // int | ID первой записи для показа или 0 для показа всех записей

try {
    $result = $api_instance->updatesListGet($_token_, $_key_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->updatesListGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **_key_** | **int**| ID первой записи для показа или 0 для показа всех записей |

### Return type

[**\Swagger\Client\Model\InlineResponse20010[]**](../Model/InlineResponse20010.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **websiteDeleteGet**
> string websiteDeleteGet($_token_, $_key_)

Удаление сайта

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$_key_ = "_key__example"; // string | ID сайта, полученный из /website/list

try {
    $result = $api_instance->websiteDeleteGet($_token_, $_key_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->websiteDeleteGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **_key_** | **string**| ID сайта, полученный из /website/list |

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **websiteListGet**
> \Swagger\Client\Model\InlineResponse20014[] websiteListGet($_token_)

Список сайтов аккаунта

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\DefaultApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->websiteListGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling DefaultApi->websiteListGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

[**\Swagger\Client\Model\InlineResponse20014[]**](../Model/InlineResponse20014.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

