# Swagger\Client\VDSHyperVOpenVZApi

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**vdsCreateGet**](VDSHyperVOpenVZApi.md#vdsCreateGet) | **GET** /vds/create | Изменение параметров VDS
[**vdsDeleteGet**](VDSHyperVOpenVZApi.md#vdsDeleteGet) | **GET** /vds/delete | Удаление VDS
[**vdsIpAddGet**](VDSHyperVOpenVZApi.md#vdsIpAddGet) | **GET** /vds/ip/add | Добавление IP на VDS
[**vdsIpDeleteGet**](VDSHyperVOpenVZApi.md#vdsIpDeleteGet) | **GET** /vds/ip/delete | Удаление IP с VDS
[**vdsIpListGet**](VDSHyperVOpenVZApi.md#vdsIpListGet) | **GET** /vds/ip/list | Список IP-адресов виртуальных серверов
[**vdsListGet**](VDSHyperVOpenVZApi.md#vdsListGet) | **GET** /vds/list | Список виртуальных серверов
[**vdsRebootGet**](VDSHyperVOpenVZApi.md#vdsRebootGet) | **GET** /vds/reboot | Перезагрузка VDS
[**vdsTemplatesListGet**](VDSHyperVOpenVZApi.md#vdsTemplatesListGet) | **GET** /vds/templates-list | Список шаблонов виртуальных серверов
[**vdsUpdateGet**](VDSHyperVOpenVZApi.md#vdsUpdateGet) | **GET** /vds/update | Создание VDS


# **vdsCreateGet**
> string vdsCreateGet($_token_, $type, $cr_hvmem, $cr_hvdsk, $cr_hvcpu, $template, $force_memo, $hv_1gb_panel_version, $panel_install, $cr_ssd1, $cr_hv_all_system)

Изменение параметров VDS

Изменение параметров уже существующего VDS

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\VDSHyperVOpenVZApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$type = "type_example"; // string | Тип создаваемого VDS. 'vz1', 'vz2', 'vz3', 'vz4', 'vz5' или 'vds.dynamic'. По умолчанию 'vds.dynamic'
$cr_hvmem = 56; // int | Количество доступной памяти в мегабайтах. По умолчанию 2048
$cr_hvdsk = 56; // int | Количество доступных гигабайт диска. По умолчанию 30
$cr_hvcpu = 56; // int | Количество ядер CPU. По умолчанию 2
$template = "template_example"; // string | Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list
$force_memo = "force_memo_example"; // string | 
$hv_1gb_panel_version = "hv_1gb_panel_version_example"; // string | 
$panel_install = true; // bool | Необходимо ли установить панель 1Gb на VDS
$cr_ssd1 = true; // bool | Создать всю систему на SSD
$cr_hv_all_system = true; // bool | Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными)

try {
    $result = $api_instance->vdsCreateGet($_token_, $type, $cr_hvmem, $cr_hvdsk, $cr_hvcpu, $template, $force_memo, $hv_1gb_panel_version, $panel_install, $cr_ssd1, $cr_hv_all_system);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling VDSHyperVOpenVZApi->vdsCreateGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **type** | **string**| Тип создаваемого VDS. &#39;vz1&#39;, &#39;vz2&#39;, &#39;vz3&#39;, &#39;vz4&#39;, &#39;vz5&#39; или &#39;vds.dynamic&#39;. По умолчанию &#39;vds.dynamic&#39; | [optional]
 **cr_hvmem** | **int**| Количество доступной памяти в мегабайтах. По умолчанию 2048 | [optional]
 **cr_hvdsk** | **int**| Количество доступных гигабайт диска. По умолчанию 30 | [optional]
 **cr_hvcpu** | **int**| Количество ядер CPU. По умолчанию 2 | [optional]
 **template** | **string**| Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list | [optional]
 **force_memo** | **string**|  | [optional]
 **hv_1gb_panel_version** | **string**|  | [optional]
 **panel_install** | **bool**| Необходимо ли установить панель 1Gb на VDS | [optional]
 **cr_ssd1** | **bool**| Создать всю систему на SSD | [optional]
 **cr_hv_all_system** | **bool**| Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными) | [optional]

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **vdsDeleteGet**
> string vdsDeleteGet($_token_, $_key_, $force_critical)

Удаление VDS

Предоставляет функционал для удаления VDS

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\VDSHyperVOpenVZApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$_key_ = 56; // int | ID виртуального сервера, полученный из /vds/list
$force_critical = true; // bool | Если true, VDS будет удален срочно

try {
    $result = $api_instance->vdsDeleteGet($_token_, $_key_, $force_critical);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling VDSHyperVOpenVZApi->vdsDeleteGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **_key_** | **int**| ID виртуального сервера, полученный из /vds/list |
 **force_critical** | **bool**| Если true, VDS будет удален срочно | [optional]

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **vdsIpAddGet**
> string vdsIpAddGet($_token_, $_key_)

Добавление IP на VDS

Этот вызов позволяет добавить ещё один IP адрес на указанный VDS

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\VDSHyperVOpenVZApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$_key_ = 56; // int | ID виртуального сервера, полученный из /vds/list

try {
    $result = $api_instance->vdsIpAddGet($_token_, $_key_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling VDSHyperVOpenVZApi->vdsIpAddGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **_key_** | **int**| ID виртуального сервера, полученный из /vds/list |

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **vdsIpDeleteGet**
> string vdsIpDeleteGet($_token_, $_key_, $del_ip)

Удаление IP с VDS

Этот вызов позволяет отвязать IP адрес от VDS

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\VDSHyperVOpenVZApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$_key_ = 56; // int | ID виртуального сервера, полученный из /vds/list
$del_ip = "del_ip_example"; // string | IP адрес, который необходимо удалить

try {
    $result = $api_instance->vdsIpDeleteGet($_token_, $_key_, $del_ip);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling VDSHyperVOpenVZApi->vdsIpDeleteGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **_key_** | **int**| ID виртуального сервера, полученный из /vds/list |
 **del_ip** | **string**| IP адрес, который необходимо удалить |

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **vdsIpListGet**
> \Swagger\Client\Model\InlineResponse20011[] vdsIpListGet($_token_, $_key_)

Список IP-адресов виртуальных серверов

Список IP-адресов виртуальных серверов

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\VDSHyperVOpenVZApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$_key_ = 56; // int | ID виртуального сервера, полученный из /vds/list

try {
    $result = $api_instance->vdsIpListGet($_token_, $_key_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling VDSHyperVOpenVZApi->vdsIpListGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **_key_** | **int**| ID виртуального сервера, полученный из /vds/list | [optional]

### Return type

[**\Swagger\Client\Model\InlineResponse20011[]**](../Model/InlineResponse20011.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **vdsListGet**
> \Swagger\Client\Model\InlineResponse20012[] vdsListGet($_token_, $_key_)

Список виртуальных серверов

Позволяет получить список виртуальных серверов

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\VDSHyperVOpenVZApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$_key_ = 56; // int | ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS

try {
    $result = $api_instance->vdsListGet($_token_, $_key_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling VDSHyperVOpenVZApi->vdsListGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **_key_** | **int**| ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS | [optional]

### Return type

[**\Swagger\Client\Model\InlineResponse20012[]**](../Model/InlineResponse20012.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **vdsRebootGet**
> string vdsRebootGet($_token_, $_key_)

Перезагрузка VDS

Предоставляет функционал для перезагрузки VDS

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\VDSHyperVOpenVZApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$_key_ = 56; // int | ID виртуального сервера, полученный из /vds/list

try {
    $result = $api_instance->vdsRebootGet($_token_, $_key_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling VDSHyperVOpenVZApi->vdsRebootGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **_key_** | **int**| ID виртуального сервера, полученный из /vds/list |

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **vdsTemplatesListGet**
> \Swagger\Client\Model\InlineResponse20013[] vdsTemplatesListGet($_token_)

Список шаблонов виртуальных серверов

Позволяет получить список шаблонов виртуальных серверов

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\VDSHyperVOpenVZApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации

try {
    $result = $api_instance->vdsTemplatesListGet($_token_);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling VDSHyperVOpenVZApi->vdsTemplatesListGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |

### Return type

[**\Swagger\Client\Model\InlineResponse20013[]**](../Model/InlineResponse20013.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

# **vdsUpdateGet**
> string vdsUpdateGet($_token_, $_key_, $cr_hvmem, $cr_hvdsk, $cr_hvcpu)

Создание VDS

Создание новых VDS с произвольными характеристиками

### Example
```php
<?php
require_once(__DIR__ . '/vendor/autoload.php');

$api_instance = new Swagger\Client\Api\VDSHyperVOpenVZApi();
$_token_ = "_token__example"; // string | Ключ доступа, полученный при авторизации
$_key_ = 56; // int | ID виртуального сервера, полученный из /vds/list
$cr_hvmem = 56; // int | Количество доступной памяти в мегабайтах. По умолчанию 2048
$cr_hvdsk = 56; // int | Количество доступных гигабайт диска. По умолчанию 30
$cr_hvcpu = 56; // int | Количество ядер CPU. По умолчанию 2

try {
    $result = $api_instance->vdsUpdateGet($_token_, $_key_, $cr_hvmem, $cr_hvdsk, $cr_hvcpu);
    print_r($result);
} catch (Exception $e) {
    echo 'Exception when calling VDSHyperVOpenVZApi->vdsUpdateGet: ', $e->getMessage(), PHP_EOL;
}
?>
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации |
 **_key_** | **int**| ID виртуального сервера, полученный из /vds/list |
 **cr_hvmem** | **int**| Количество доступной памяти в мегабайтах. По умолчанию 2048 | [optional]
 **cr_hvdsk** | **int**| Количество доступных гигабайт диска. По умолчанию 30 | [optional]
 **cr_hvcpu** | **int**| Количество ядер CPU. По умолчанию 2 | [optional]

### Return type

**string**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)

