<?php
/**
 * DNSApi
 * PHP version 5
 *
 * @category Class
 * @package  Swagger\Client
 * @author   http://github.com/swagger-api/swagger-codegen
 * @license  http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * 1Gb API
 *
 * API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.
 *
 * OpenAPI spec version: 2.0.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */

namespace Swagger\Client\Api;

use \Swagger\Client\Configuration;
use \Swagger\Client\ApiClient;
use \Swagger\Client\ApiException;
use \Swagger\Client\ObjectSerializer;

/**
 * DNSApi Class Doc Comment
 *
 * @category Class
 * @package  Swagger\Client
 * @author   http://github.com/swagger-api/swagger-codegen
 * @license  http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class DNSApi
{

    /**
     * API Client
     *
     * @var \Swagger\Client\ApiClient instance of the ApiClient
     */
    protected $apiClient;

    /**
     * Constructor
     *
     * @param \Swagger\Client\ApiClient|null $apiClient The api client to use
     */
    public function __construct(\Swagger\Client\ApiClient $apiClient = null)
    {
        if ($apiClient == null) {
            $apiClient = new ApiClient();
            $apiClient->getConfig()->setHost('https://www.1gb.ru/api');
        }

        $this->apiClient = $apiClient;
    }

    /**
     * Get API client
     *
     * @return \Swagger\Client\ApiClient get the API client
     */
    public function getApiClient()
    {
        return $this->apiClient;
    }

    /**
     * Set the API client
     *
     * @param \Swagger\Client\ApiClient $apiClient set the API client
     *
     * @return DNSApi
     */
    public function setApiClient(\Swagger\Client\ApiClient $apiClient)
    {
        $this->apiClient = $apiClient;
        return $this;
    }

    /**
     * Operation dnsAddGet
     *
     * Создание записи домена
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param string $add_dns_zone зона, которую необходимо создать (required)
     * @param string $add_dns_record  (optional)
     * @param string $iis_site_for_dns ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку (optional)
     * @param bool $bind_only  (optional)
     * @return string
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function dnsAddGet($_token_, $add_dns_zone, $add_dns_record = null, $iis_site_for_dns = null, $bind_only = null)
    {
        list($response) = $this->dnsAddGetWithHttpInfo($_token_, $add_dns_zone, $add_dns_record, $iis_site_for_dns, $bind_only);
        return $response;
    }

    /**
     * Operation dnsAddGetWithHttpInfo
     *
     * Создание записи домена
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param string $add_dns_zone зона, которую необходимо создать (required)
     * @param string $add_dns_record  (optional)
     * @param string $iis_site_for_dns ID сайта из /website/list, либо IP-адрес виртуального сервера, к которому необходимо сделать привязку (optional)
     * @param bool $bind_only  (optional)
     * @return Array of string, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function dnsAddGetWithHttpInfo($_token_, $add_dns_zone, $add_dns_record = null, $iis_site_for_dns = null, $bind_only = null)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling dnsAddGet');
        }
        // verify the required parameter 'add_dns_zone' is set
        if ($add_dns_zone === null) {
            throw new \InvalidArgumentException('Missing the required parameter $add_dns_zone when calling dnsAddGet');
        }
        // parse inputs
        $resourcePath = "/dns/add";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($add_dns_zone !== null) {
            $queryParams['add_dns_zone'] = $this->apiClient->getSerializer()->toQueryValue($add_dns_zone);
        }
        // query params
        if ($add_dns_record !== null) {
            $queryParams['add_dns_record'] = $this->apiClient->getSerializer()->toQueryValue($add_dns_record);
        }
        // query params
        if ($iis_site_for_dns !== null) {
            $queryParams['iis_site_for_dns'] = $this->apiClient->getSerializer()->toQueryValue($iis_site_for_dns);
        }
        // query params
        if ($bind_only !== null) {
            $queryParams['bind_only'] = $this->apiClient->getSerializer()->toQueryValue($bind_only);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'string',
                '/dns/add'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'string', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation dnsBindGet
     *
     * Привязка одного домена к другому
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID домена из списка /dns/list (required)
     * @param string $bind_to домен, к которому необходимо сделать привязку (optional)
     * @return string
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function dnsBindGet($_token_, $_key_, $bind_to = null)
    {
        list($response) = $this->dnsBindGetWithHttpInfo($_token_, $_key_, $bind_to);
        return $response;
    }

    /**
     * Operation dnsBindGetWithHttpInfo
     *
     * Привязка одного домена к другому
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID домена из списка /dns/list (required)
     * @param string $bind_to домен, к которому необходимо сделать привязку (optional)
     * @return Array of string, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function dnsBindGetWithHttpInfo($_token_, $_key_, $bind_to = null)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling dnsBindGet');
        }
        // verify the required parameter '_key_' is set
        if ($_key_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_key_ when calling dnsBindGet');
        }
        // parse inputs
        $resourcePath = "/dns/bind";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($_key_ !== null) {
            $queryParams['_key_'] = $this->apiClient->getSerializer()->toQueryValue($_key_);
        }
        // query params
        if ($bind_to !== null) {
            $queryParams['bind_to'] = $this->apiClient->getSerializer()->toQueryValue($bind_to);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'string',
                '/dns/bind'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'string', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation dnsListGet
     *
     * Получить список доменных имён
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return \Swagger\Client\Model\InlineResponse2003[]
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function dnsListGet($_token_)
    {
        list($response) = $this->dnsListGetWithHttpInfo($_token_);
        return $response;
    }

    /**
     * Operation dnsListGetWithHttpInfo
     *
     * Получить список доменных имён
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return Array of \Swagger\Client\Model\InlineResponse2003[], HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function dnsListGetWithHttpInfo($_token_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling dnsListGet');
        }
        // parse inputs
        $resourcePath = "/dns/list";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                '\Swagger\Client\Model\InlineResponse2003[]',
                '/dns/list'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, '\Swagger\Client\Model\InlineResponse2003[]', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), '\Swagger\Client\Model\InlineResponse2003[]', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation dnsProlongListGet
     *
     * Информация по продлению доменов
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return \Swagger\Client\Model\InlineResponse2004[]
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function dnsProlongListGet($_token_)
    {
        list($response) = $this->dnsProlongListGetWithHttpInfo($_token_);
        return $response;
    }

    /**
     * Operation dnsProlongListGetWithHttpInfo
     *
     * Информация по продлению доменов
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return Array of \Swagger\Client\Model\InlineResponse2004[], HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function dnsProlongListGetWithHttpInfo($_token_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling dnsProlongListGet');
        }
        // parse inputs
        $resourcePath = "/dns/prolong/list";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                '\Swagger\Client\Model\InlineResponse2004[]',
                '/dns/prolong/list'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, '\Swagger\Client\Model\InlineResponse2004[]', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), '\Swagger\Client\Model\InlineResponse2004[]', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation dnsRawGet
     *
     * Редактирование \"сырой\" зоны
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID домена из /dns/list (required)
     * @param int $s_del Значение &#39;1&#39; сообщает, что запись необходимо удалить (required)
     * @param int $s_add Значение &#39;1&#39; сообщает, что запись необходимо создать (required)
     * @param string $dns_type Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV (required)
     * @param string $dns_name Имя записи, либо &#39;@&#39; для корневой (required)
     * @param string $dns_value Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение) (required)
     * @return string
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function dnsRawGet($_token_, $_key_, $s_del, $s_add, $dns_type, $dns_name, $dns_value)
    {
        list($response) = $this->dnsRawGetWithHttpInfo($_token_, $_key_, $s_del, $s_add, $dns_type, $dns_name, $dns_value);
        return $response;
    }

    /**
     * Operation dnsRawGetWithHttpInfo
     *
     * Редактирование \"сырой\" зоны
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID домена из /dns/list (required)
     * @param int $s_del Значение &#39;1&#39; сообщает, что запись необходимо удалить (required)
     * @param int $s_add Значение &#39;1&#39; сообщает, что запись необходимо создать (required)
     * @param string $dns_type Тип записи: A, MX, CNAME, AAAA, NS, TXT, SRV (required)
     * @param string $dns_name Имя записи, либо &#39;@&#39; для корневой (required)
     * @param string $dns_value Содержание записи (для A это IP-адрес, для CNAME имя, для MX приоритет и назначение) (required)
     * @return Array of string, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function dnsRawGetWithHttpInfo($_token_, $_key_, $s_del, $s_add, $dns_type, $dns_name, $dns_value)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling dnsRawGet');
        }
        // verify the required parameter '_key_' is set
        if ($_key_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_key_ when calling dnsRawGet');
        }
        // verify the required parameter 's_del' is set
        if ($s_del === null) {
            throw new \InvalidArgumentException('Missing the required parameter $s_del when calling dnsRawGet');
        }
        // verify the required parameter 's_add' is set
        if ($s_add === null) {
            throw new \InvalidArgumentException('Missing the required parameter $s_add when calling dnsRawGet');
        }
        // verify the required parameter 'dns_type' is set
        if ($dns_type === null) {
            throw new \InvalidArgumentException('Missing the required parameter $dns_type when calling dnsRawGet');
        }
        // verify the required parameter 'dns_name' is set
        if ($dns_name === null) {
            throw new \InvalidArgumentException('Missing the required parameter $dns_name when calling dnsRawGet');
        }
        // verify the required parameter 'dns_value' is set
        if ($dns_value === null) {
            throw new \InvalidArgumentException('Missing the required parameter $dns_value when calling dnsRawGet');
        }
        // parse inputs
        $resourcePath = "/dns/raw";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($_key_ !== null) {
            $queryParams['_key_'] = $this->apiClient->getSerializer()->toQueryValue($_key_);
        }
        // query params
        if ($s_del !== null) {
            $queryParams['s_del'] = $this->apiClient->getSerializer()->toQueryValue($s_del);
        }
        // query params
        if ($s_add !== null) {
            $queryParams['s_add'] = $this->apiClient->getSerializer()->toQueryValue($s_add);
        }
        // query params
        if ($dns_type !== null) {
            $queryParams['dns_type'] = $this->apiClient->getSerializer()->toQueryValue($dns_type);
        }
        // query params
        if ($dns_name !== null) {
            $queryParams['dns_name'] = $this->apiClient->getSerializer()->toQueryValue($dns_name);
        }
        // query params
        if ($dns_value !== null) {
            $queryParams['dns_value'] = $this->apiClient->getSerializer()->toQueryValue($dns_value);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'string',
                '/dns/raw'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'string', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation dnsRawManagedmxGet
     *
     * Редактировать DNS-зону
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID домена из /dns/list (required)
     * @param int $managed_mx Значение &#39;1&#39;, если необходимо включить поддержку на MX-серверах хостинга и &#39;0&#39;, если выключить (required)
     * @param int $upd_managed_mx Значение &#39;1&#39; подтверждает операцию (required)
     * @return string
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function dnsRawManagedmxGet($_token_, $_key_, $managed_mx, $upd_managed_mx)
    {
        list($response) = $this->dnsRawManagedmxGetWithHttpInfo($_token_, $_key_, $managed_mx, $upd_managed_mx);
        return $response;
    }

    /**
     * Operation dnsRawManagedmxGetWithHttpInfo
     *
     * Редактировать DNS-зону
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID домена из /dns/list (required)
     * @param int $managed_mx Значение &#39;1&#39;, если необходимо включить поддержку на MX-серверах хостинга и &#39;0&#39;, если выключить (required)
     * @param int $upd_managed_mx Значение &#39;1&#39; подтверждает операцию (required)
     * @return Array of string, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function dnsRawManagedmxGetWithHttpInfo($_token_, $_key_, $managed_mx, $upd_managed_mx)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling dnsRawManagedmxGet');
        }
        // verify the required parameter '_key_' is set
        if ($_key_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_key_ when calling dnsRawManagedmxGet');
        }
        // verify the required parameter 'managed_mx' is set
        if ($managed_mx === null) {
            throw new \InvalidArgumentException('Missing the required parameter $managed_mx when calling dnsRawManagedmxGet');
        }
        // verify the required parameter 'upd_managed_mx' is set
        if ($upd_managed_mx === null) {
            throw new \InvalidArgumentException('Missing the required parameter $upd_managed_mx when calling dnsRawManagedmxGet');
        }
        // parse inputs
        $resourcePath = "/dns/raw/managedmx";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($_key_ !== null) {
            $queryParams['_key_'] = $this->apiClient->getSerializer()->toQueryValue($_key_);
        }
        // query params
        if ($managed_mx !== null) {
            $queryParams['managed_mx'] = $this->apiClient->getSerializer()->toQueryValue($managed_mx);
        }
        // query params
        if ($upd_managed_mx !== null) {
            $queryParams['upd_managed_mx'] = $this->apiClient->getSerializer()->toQueryValue($upd_managed_mx);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'string',
                '/dns/raw/managedmx'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'string', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

}
