<?php
/**
 * DefaultApi
 * PHP version 5
 *
 * @category Class
 * @package  Swagger\Client
 * @author   http://github.com/swagger-api/swagger-codegen
 * @license  http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * 1Gb API
 *
 * API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.
 *
 * OpenAPI spec version: 2.0.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */

namespace Swagger\Client\Api;

use \Swagger\Client\Configuration;
use \Swagger\Client\ApiClient;
use \Swagger\Client\ApiException;
use \Swagger\Client\ObjectSerializer;

/**
 * DefaultApi Class Doc Comment
 *
 * @category Class
 * @package  Swagger\Client
 * @author   http://github.com/swagger-api/swagger-codegen
 * @license  http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class DefaultApi
{

    /**
     * API Client
     *
     * @var \Swagger\Client\ApiClient instance of the ApiClient
     */
    protected $apiClient;

    /**
     * Constructor
     *
     * @param \Swagger\Client\ApiClient|null $apiClient The api client to use
     */
    public function __construct(\Swagger\Client\ApiClient $apiClient = null)
    {
        if ($apiClient == null) {
            $apiClient = new ApiClient();
            $apiClient->getConfig()->setHost('https://www.1gb.ru/api');
        }

        $this->apiClient = $apiClient;
    }

    /**
     * Get API client
     *
     * @return \Swagger\Client\ApiClient get the API client
     */
    public function getApiClient()
    {
        return $this->apiClient;
    }

    /**
     * Set the API client
     *
     * @param \Swagger\Client\ApiClient $apiClient set the API client
     *
     * @return DefaultApi
     */
    public function setApiClient(\Swagger\Client\ApiClient $apiClient)
    {
        $this->apiClient = $apiClient;
        return $this;
    }

    /**
     * Operation balanceGet
     *
     * Аккаунт: баланс
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return float
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function balanceGet($_token_)
    {
        list($response) = $this->balanceGetWithHttpInfo($_token_);
        return $response;
    }

    /**
     * Operation balanceGetWithHttpInfo
     *
     * Аккаунт: баланс
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return Array of float, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function balanceGetWithHttpInfo($_token_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling balanceGet');
        }
        // parse inputs
        $resourcePath = "/balance";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'float',
                '/balance'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'float', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'float', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation balanceLicGet
     *
     * Аккаунт: баланс аккаунта лицензий
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return float
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function balanceLicGet($_token_)
    {
        list($response) = $this->balanceLicGetWithHttpInfo($_token_);
        return $response;
    }

    /**
     * Operation balanceLicGetWithHttpInfo
     *
     * Аккаунт: баланс аккаунта лицензий
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return Array of float, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function balanceLicGetWithHttpInfo($_token_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling balanceLicGet');
        }
        // parse inputs
        $resourcePath = "/balance.lic";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'float',
                '/balance.lic'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'float', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'float', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation billingDebtGet
     *
     * Информация по дебету аккаунта
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return \Swagger\Client\Model\InlineResponse200[]
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function billingDebtGet($_token_)
    {
        list($response) = $this->billingDebtGetWithHttpInfo($_token_);
        return $response;
    }

    /**
     * Operation billingDebtGetWithHttpInfo
     *
     * Информация по дебету аккаунта
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return Array of \Swagger\Client\Model\InlineResponse200[], HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function billingDebtGetWithHttpInfo($_token_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling billingDebtGet');
        }
        // parse inputs
        $resourcePath = "/billing/debt";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                '\Swagger\Client\Model\InlineResponse200[]',
                '/billing/debt'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, '\Swagger\Client\Model\InlineResponse200[]', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), '\Swagger\Client\Model\InlineResponse200[]', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation billingInfoGet
     *
     * Информация об аккаунте
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return \Swagger\Client\Model\InlineResponse2001[]
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function billingInfoGet($_token_)
    {
        list($response) = $this->billingInfoGetWithHttpInfo($_token_);
        return $response;
    }

    /**
     * Operation billingInfoGetWithHttpInfo
     *
     * Информация об аккаунте
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return Array of \Swagger\Client\Model\InlineResponse2001[], HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function billingInfoGetWithHttpInfo($_token_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling billingInfoGet');
        }
        // parse inputs
        $resourcePath = "/billing/info";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                '\Swagger\Client\Model\InlineResponse2001[]',
                '/billing/info'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, '\Swagger\Client\Model\InlineResponse2001[]', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), '\Swagger\Client\Model\InlineResponse2001[]', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation billingLimitsGet
     *
     * Получить ограничения аккаунта
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return \Swagger\Client\Model\_
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function billingLimitsGet($_token_)
    {
        list($response) = $this->billingLimitsGetWithHttpInfo($_token_);
        return $response;
    }

    /**
     * Operation billingLimitsGetWithHttpInfo
     *
     * Получить ограничения аккаунта
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return Array of \Swagger\Client\Model\_, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function billingLimitsGetWithHttpInfo($_token_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling billingLimitsGet');
        }
        // parse inputs
        $resourcePath = "/billing/limits";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                '\Swagger\Client\Model\_',
                '/billing/limits'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, '\Swagger\Client\Model\_', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), '\Swagger\Client\Model\_', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation dnsProlongListGet
     *
     * Информация по продлению доменов
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return \Swagger\Client\Model\InlineResponse2004[]
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function dnsProlongListGet($_token_)
    {
        list($response) = $this->dnsProlongListGetWithHttpInfo($_token_);
        return $response;
    }

    /**
     * Operation dnsProlongListGetWithHttpInfo
     *
     * Информация по продлению доменов
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return Array of \Swagger\Client\Model\InlineResponse2004[], HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function dnsProlongListGetWithHttpInfo($_token_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling dnsProlongListGet');
        }
        // parse inputs
        $resourcePath = "/dns/prolong/list";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                '\Swagger\Client\Model\InlineResponse2004[]',
                '/dns/prolong/list'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, '\Swagger\Client\Model\InlineResponse2004[]', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), '\Swagger\Client\Model\InlineResponse2004[]', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation emailAddGet
     *
     * Создание почтового ящика
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param string $add_email Адрес почтового ящика, который необходимо создать (required)
     * @return string
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function emailAddGet($_token_, $add_email)
    {
        list($response) = $this->emailAddGetWithHttpInfo($_token_, $add_email);
        return $response;
    }

    /**
     * Operation emailAddGetWithHttpInfo
     *
     * Создание почтового ящика
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param string $add_email Адрес почтового ящика, который необходимо создать (required)
     * @return Array of string, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function emailAddGetWithHttpInfo($_token_, $add_email)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling emailAddGet');
        }
        // verify the required parameter 'add_email' is set
        if ($add_email === null) {
            throw new \InvalidArgumentException('Missing the required parameter $add_email when calling emailAddGet');
        }
        // parse inputs
        $resourcePath = "/email/add";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($add_email !== null) {
            $queryParams['add_email'] = $this->apiClient->getSerializer()->toQueryValue($add_email);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'string',
                '/email/add'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'string', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation emailAliasDeleteGet
     *
     * Удаление псевдонимов почтовых ящиков
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param string $_key_ Адрес почтового ящика, подлежащего удалению (required)
     * @return string
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function emailAliasDeleteGet($_token_, $_key_)
    {
        list($response) = $this->emailAliasDeleteGetWithHttpInfo($_token_, $_key_);
        return $response;
    }

    /**
     * Operation emailAliasDeleteGetWithHttpInfo
     *
     * Удаление псевдонимов почтовых ящиков
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param string $_key_ Адрес почтового ящика, подлежащего удалению (required)
     * @return Array of string, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function emailAliasDeleteGetWithHttpInfo($_token_, $_key_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling emailAliasDeleteGet');
        }
        // verify the required parameter '_key_' is set
        if ($_key_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_key_ when calling emailAliasDeleteGet');
        }
        // parse inputs
        $resourcePath = "/email/alias/delete";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($_key_ !== null) {
            $queryParams['_key_'] = $this->apiClient->getSerializer()->toQueryValue($_key_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'string',
                '/email/alias/delete'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'string', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation emailAliasListGet
     *
     * Получить список псевдонимов почтовых ящиков
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return \Swagger\Client\Model\InlineResponse2005[]
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function emailAliasListGet($_token_)
    {
        list($response) = $this->emailAliasListGetWithHttpInfo($_token_);
        return $response;
    }

    /**
     * Operation emailAliasListGetWithHttpInfo
     *
     * Получить список псевдонимов почтовых ящиков
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return Array of \Swagger\Client\Model\InlineResponse2005[], HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function emailAliasListGetWithHttpInfo($_token_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling emailAliasListGet');
        }
        // parse inputs
        $resourcePath = "/email/alias/list";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                '\Swagger\Client\Model\InlineResponse2005[]',
                '/email/alias/list'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, '\Swagger\Client\Model\InlineResponse2005[]', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), '\Swagger\Client\Model\InlineResponse2005[]', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation emailDeleteGet
     *
     * Удаление почтового ящика
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param string $_key_ Адрес почтового ящика, подлежащего удалению (required)
     * @return string
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function emailDeleteGet($_token_, $_key_)
    {
        list($response) = $this->emailDeleteGetWithHttpInfo($_token_, $_key_);
        return $response;
    }

    /**
     * Operation emailDeleteGetWithHttpInfo
     *
     * Удаление почтового ящика
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param string $_key_ Адрес почтового ящика, подлежащего удалению (required)
     * @return Array of string, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function emailDeleteGetWithHttpInfo($_token_, $_key_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling emailDeleteGet');
        }
        // verify the required parameter '_key_' is set
        if ($_key_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_key_ when calling emailDeleteGet');
        }
        // parse inputs
        $resourcePath = "/email/delete";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($_key_ !== null) {
            $queryParams['_key_'] = $this->apiClient->getSerializer()->toQueryValue($_key_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'string',
                '/email/delete'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'string', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation emailListGet
     *
     * Получить список почтовых ящиков
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return \Swagger\Client\Model\InlineResponse2006[]
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function emailListGet($_token_)
    {
        list($response) = $this->emailListGetWithHttpInfo($_token_);
        return $response;
    }

    /**
     * Operation emailListGetWithHttpInfo
     *
     * Получить список почтовых ящиков
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return Array of \Swagger\Client\Model\InlineResponse2006[], HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function emailListGetWithHttpInfo($_token_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling emailListGet');
        }
        // parse inputs
        $resourcePath = "/email/list";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                '\Swagger\Client\Model\InlineResponse2006[]',
                '/email/list'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, '\Swagger\Client\Model\InlineResponse2006[]', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), '\Swagger\Client\Model\InlineResponse2006[]', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation updatesLastGet
     *
     * Идентификатор последнего уведомления в аудите
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return int
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function updatesLastGet($_token_)
    {
        list($response) = $this->updatesLastGetWithHttpInfo($_token_);
        return $response;
    }

    /**
     * Operation updatesLastGetWithHttpInfo
     *
     * Идентификатор последнего уведомления в аудите
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return Array of int, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function updatesLastGetWithHttpInfo($_token_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling updatesLastGet');
        }
        // parse inputs
        $resourcePath = "/updates/last";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'int',
                '/updates/last'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'int', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'int', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation updatesListGet
     *
     * Список записей аудита
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID первой записи для показа или 0 для показа всех записей (required)
     * @return \Swagger\Client\Model\InlineResponse20010[]
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function updatesListGet($_token_, $_key_)
    {
        list($response) = $this->updatesListGetWithHttpInfo($_token_, $_key_);
        return $response;
    }

    /**
     * Operation updatesListGetWithHttpInfo
     *
     * Список записей аудита
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID первой записи для показа или 0 для показа всех записей (required)
     * @return Array of \Swagger\Client\Model\InlineResponse20010[], HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function updatesListGetWithHttpInfo($_token_, $_key_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling updatesListGet');
        }
        // verify the required parameter '_key_' is set
        if ($_key_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_key_ when calling updatesListGet');
        }
        // parse inputs
        $resourcePath = "/updates/list";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($_key_ !== null) {
            $queryParams['_key_'] = $this->apiClient->getSerializer()->toQueryValue($_key_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                '\Swagger\Client\Model\InlineResponse20010[]',
                '/updates/list'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, '\Swagger\Client\Model\InlineResponse20010[]', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), '\Swagger\Client\Model\InlineResponse20010[]', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation websiteDeleteGet
     *
     * Удаление сайта
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param string $_key_ ID сайта, полученный из /website/list (required)
     * @return string
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function websiteDeleteGet($_token_, $_key_)
    {
        list($response) = $this->websiteDeleteGetWithHttpInfo($_token_, $_key_);
        return $response;
    }

    /**
     * Operation websiteDeleteGetWithHttpInfo
     *
     * Удаление сайта
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param string $_key_ ID сайта, полученный из /website/list (required)
     * @return Array of string, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function websiteDeleteGetWithHttpInfo($_token_, $_key_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling websiteDeleteGet');
        }
        // verify the required parameter '_key_' is set
        if ($_key_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_key_ when calling websiteDeleteGet');
        }
        // parse inputs
        $resourcePath = "/website/delete";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($_key_ !== null) {
            $queryParams['_key_'] = $this->apiClient->getSerializer()->toQueryValue($_key_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'string',
                '/website/delete'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'string', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation websiteListGet
     *
     * Список сайтов аккаунта
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return \Swagger\Client\Model\InlineResponse20014[]
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function websiteListGet($_token_)
    {
        list($response) = $this->websiteListGetWithHttpInfo($_token_);
        return $response;
    }

    /**
     * Operation websiteListGetWithHttpInfo
     *
     * Список сайтов аккаунта
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return Array of \Swagger\Client\Model\InlineResponse20014[], HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function websiteListGetWithHttpInfo($_token_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling websiteListGet');
        }
        // parse inputs
        $resourcePath = "/website/list";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                '\Swagger\Client\Model\InlineResponse20014[]',
                '/website/list'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, '\Swagger\Client\Model\InlineResponse20014[]', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), '\Swagger\Client\Model\InlineResponse20014[]', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

}
