<?php
/**
 * VDSHyperVOpenVZApi
 * PHP version 5
 *
 * @category Class
 * @package  Swagger\Client
 * @author   http://github.com/swagger-api/swagger-codegen
 * @license  http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * 1Gb API
 *
 * API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.
 *
 * OpenAPI spec version: 2.0.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */

namespace Swagger\Client\Api;

use \Swagger\Client\Configuration;
use \Swagger\Client\ApiClient;
use \Swagger\Client\ApiException;
use \Swagger\Client\ObjectSerializer;

/**
 * VDSHyperVOpenVZApi Class Doc Comment
 *
 * @category Class
 * @package  Swagger\Client
 * @author   http://github.com/swagger-api/swagger-codegen
 * @license  http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class VDSHyperVOpenVZApi
{

    /**
     * API Client
     *
     * @var \Swagger\Client\ApiClient instance of the ApiClient
     */
    protected $apiClient;

    /**
     * Constructor
     *
     * @param \Swagger\Client\ApiClient|null $apiClient The api client to use
     */
    public function __construct(\Swagger\Client\ApiClient $apiClient = null)
    {
        if ($apiClient == null) {
            $apiClient = new ApiClient();
            $apiClient->getConfig()->setHost('https://www.1gb.ru/api');
        }

        $this->apiClient = $apiClient;
    }

    /**
     * Get API client
     *
     * @return \Swagger\Client\ApiClient get the API client
     */
    public function getApiClient()
    {
        return $this->apiClient;
    }

    /**
     * Set the API client
     *
     * @param \Swagger\Client\ApiClient $apiClient set the API client
     *
     * @return VDSHyperVOpenVZApi
     */
    public function setApiClient(\Swagger\Client\ApiClient $apiClient)
    {
        $this->apiClient = $apiClient;
        return $this;
    }

    /**
     * Operation vdsCreateGet
     *
     * Изменение параметров VDS
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param string $type Тип создаваемого VDS. &#39;vz1&#39;, &#39;vz2&#39;, &#39;vz3&#39;, &#39;vz4&#39;, &#39;vz5&#39; или &#39;vds.dynamic&#39;. По умолчанию &#39;vds.dynamic&#39; (optional)
     * @param int $cr_hvmem Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
     * @param int $cr_hvdsk Количество доступных гигабайт диска. По умолчанию 30 (optional)
     * @param int $cr_hvcpu Количество ядер CPU. По умолчанию 2 (optional)
     * @param string $template Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list (optional)
     * @param string $force_memo  (optional)
     * @param string $hv_1gb_panel_version  (optional)
     * @param bool $panel_install Необходимо ли установить панель 1Gb на VDS (optional)
     * @param bool $cr_ssd1 Создать всю систему на SSD (optional)
     * @param bool $cr_hv_all_system Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными) (optional)
     * @return string
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsCreateGet($_token_, $type = null, $cr_hvmem = null, $cr_hvdsk = null, $cr_hvcpu = null, $template = null, $force_memo = null, $hv_1gb_panel_version = null, $panel_install = null, $cr_ssd1 = null, $cr_hv_all_system = null)
    {
        list($response) = $this->vdsCreateGetWithHttpInfo($_token_, $type, $cr_hvmem, $cr_hvdsk, $cr_hvcpu, $template, $force_memo, $hv_1gb_panel_version, $panel_install, $cr_ssd1, $cr_hv_all_system);
        return $response;
    }

    /**
     * Operation vdsCreateGetWithHttpInfo
     *
     * Изменение параметров VDS
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param string $type Тип создаваемого VDS. &#39;vz1&#39;, &#39;vz2&#39;, &#39;vz3&#39;, &#39;vz4&#39;, &#39;vz5&#39; или &#39;vds.dynamic&#39;. По умолчанию &#39;vds.dynamic&#39; (optional)
     * @param int $cr_hvmem Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
     * @param int $cr_hvdsk Количество доступных гигабайт диска. По умолчанию 30 (optional)
     * @param int $cr_hvcpu Количество ядер CPU. По умолчанию 2 (optional)
     * @param string $template Шаблон и тип виртуализации VDS. За подробностями см. /vds/templates-list (optional)
     * @param string $force_memo  (optional)
     * @param string $hv_1gb_panel_version  (optional)
     * @param bool $panel_install Необходимо ли установить панель 1Gb на VDS (optional)
     * @param bool $cr_ssd1 Создать всю систему на SSD (optional)
     * @param bool $cr_hv_all_system Создать всю систему на одном диске большого размера (иначе — системный диск + диск с данными) (optional)
     * @return Array of string, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsCreateGetWithHttpInfo($_token_, $type = null, $cr_hvmem = null, $cr_hvdsk = null, $cr_hvcpu = null, $template = null, $force_memo = null, $hv_1gb_panel_version = null, $panel_install = null, $cr_ssd1 = null, $cr_hv_all_system = null)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling vdsCreateGet');
        }
        // parse inputs
        $resourcePath = "/vds/create";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($type !== null) {
            $queryParams['type'] = $this->apiClient->getSerializer()->toQueryValue($type);
        }
        // query params
        if ($cr_hvmem !== null) {
            $queryParams['cr_hvmem'] = $this->apiClient->getSerializer()->toQueryValue($cr_hvmem);
        }
        // query params
        if ($cr_hvdsk !== null) {
            $queryParams['cr_hvdsk'] = $this->apiClient->getSerializer()->toQueryValue($cr_hvdsk);
        }
        // query params
        if ($cr_hvcpu !== null) {
            $queryParams['cr_hvcpu'] = $this->apiClient->getSerializer()->toQueryValue($cr_hvcpu);
        }
        // query params
        if ($template !== null) {
            $queryParams['template'] = $this->apiClient->getSerializer()->toQueryValue($template);
        }
        // query params
        if ($force_memo !== null) {
            $queryParams['force_memo'] = $this->apiClient->getSerializer()->toQueryValue($force_memo);
        }
        // query params
        if ($hv_1gb_panel_version !== null) {
            $queryParams['hv_1gb_panel_version'] = $this->apiClient->getSerializer()->toQueryValue($hv_1gb_panel_version);
        }
        // query params
        if ($panel_install !== null) {
            $queryParams['panel_install'] = $this->apiClient->getSerializer()->toQueryValue($panel_install);
        }
        // query params
        if ($cr_ssd1 !== null) {
            $queryParams['cr_ssd1'] = $this->apiClient->getSerializer()->toQueryValue($cr_ssd1);
        }
        // query params
        if ($cr_hv_all_system !== null) {
            $queryParams['cr_hv_all_system'] = $this->apiClient->getSerializer()->toQueryValue($cr_hv_all_system);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'string',
                '/vds/create'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'string', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation vdsDeleteGet
     *
     * Удаление VDS
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param bool $force_critical Если true, VDS будет удален срочно (optional)
     * @return string
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsDeleteGet($_token_, $_key_, $force_critical = null)
    {
        list($response) = $this->vdsDeleteGetWithHttpInfo($_token_, $_key_, $force_critical);
        return $response;
    }

    /**
     * Operation vdsDeleteGetWithHttpInfo
     *
     * Удаление VDS
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param bool $force_critical Если true, VDS будет удален срочно (optional)
     * @return Array of string, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsDeleteGetWithHttpInfo($_token_, $_key_, $force_critical = null)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling vdsDeleteGet');
        }
        // verify the required parameter '_key_' is set
        if ($_key_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_key_ when calling vdsDeleteGet');
        }
        // parse inputs
        $resourcePath = "/vds/delete";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($_key_ !== null) {
            $queryParams['_key_'] = $this->apiClient->getSerializer()->toQueryValue($_key_);
        }
        // query params
        if ($force_critical !== null) {
            $queryParams['force_critical'] = $this->apiClient->getSerializer()->toQueryValue($force_critical);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'string',
                '/vds/delete'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'string', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation vdsIpAddGet
     *
     * Добавление IP на VDS
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID виртуального сервера, полученный из /vds/list (required)
     * @return string
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsIpAddGet($_token_, $_key_)
    {
        list($response) = $this->vdsIpAddGetWithHttpInfo($_token_, $_key_);
        return $response;
    }

    /**
     * Operation vdsIpAddGetWithHttpInfo
     *
     * Добавление IP на VDS
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID виртуального сервера, полученный из /vds/list (required)
     * @return Array of string, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsIpAddGetWithHttpInfo($_token_, $_key_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling vdsIpAddGet');
        }
        // verify the required parameter '_key_' is set
        if ($_key_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_key_ when calling vdsIpAddGet');
        }
        // parse inputs
        $resourcePath = "/vds/ip/add";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($_key_ !== null) {
            $queryParams['_key_'] = $this->apiClient->getSerializer()->toQueryValue($_key_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'string',
                '/vds/ip/add'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'string', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation vdsIpDeleteGet
     *
     * Удаление IP с VDS
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param string $del_ip IP адрес, который необходимо удалить (required)
     * @return string
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsIpDeleteGet($_token_, $_key_, $del_ip)
    {
        list($response) = $this->vdsIpDeleteGetWithHttpInfo($_token_, $_key_, $del_ip);
        return $response;
    }

    /**
     * Operation vdsIpDeleteGetWithHttpInfo
     *
     * Удаление IP с VDS
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param string $del_ip IP адрес, который необходимо удалить (required)
     * @return Array of string, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsIpDeleteGetWithHttpInfo($_token_, $_key_, $del_ip)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling vdsIpDeleteGet');
        }
        // verify the required parameter '_key_' is set
        if ($_key_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_key_ when calling vdsIpDeleteGet');
        }
        // verify the required parameter 'del_ip' is set
        if ($del_ip === null) {
            throw new \InvalidArgumentException('Missing the required parameter $del_ip when calling vdsIpDeleteGet');
        }
        // parse inputs
        $resourcePath = "/vds/ip/delete";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($_key_ !== null) {
            $queryParams['_key_'] = $this->apiClient->getSerializer()->toQueryValue($_key_);
        }
        // query params
        if ($del_ip !== null) {
            $queryParams['del_ip'] = $this->apiClient->getSerializer()->toQueryValue($del_ip);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'string',
                '/vds/ip/delete'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'string', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation vdsIpListGet
     *
     * Список IP-адресов виртуальных серверов
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID виртуального сервера, полученный из /vds/list (optional)
     * @return \Swagger\Client\Model\InlineResponse20011[]
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsIpListGet($_token_, $_key_ = null)
    {
        list($response) = $this->vdsIpListGetWithHttpInfo($_token_, $_key_);
        return $response;
    }

    /**
     * Operation vdsIpListGetWithHttpInfo
     *
     * Список IP-адресов виртуальных серверов
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID виртуального сервера, полученный из /vds/list (optional)
     * @return Array of \Swagger\Client\Model\InlineResponse20011[], HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsIpListGetWithHttpInfo($_token_, $_key_ = null)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling vdsIpListGet');
        }
        // parse inputs
        $resourcePath = "/vds/ip/list";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($_key_ !== null) {
            $queryParams['_key_'] = $this->apiClient->getSerializer()->toQueryValue($_key_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                '\Swagger\Client\Model\InlineResponse20011[]',
                '/vds/ip/list'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, '\Swagger\Client\Model\InlineResponse20011[]', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), '\Swagger\Client\Model\InlineResponse20011[]', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation vdsListGet
     *
     * Список виртуальных серверов
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS (optional)
     * @return \Swagger\Client\Model\InlineResponse20012[]
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsListGet($_token_, $_key_ = null)
    {
        list($response) = $this->vdsListGetWithHttpInfo($_token_, $_key_);
        return $response;
    }

    /**
     * Operation vdsListGetWithHttpInfo
     *
     * Список виртуальных серверов
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID виртуального сервера. Если задан, то будет выдана информация только для этого VDS (optional)
     * @return Array of \Swagger\Client\Model\InlineResponse20012[], HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsListGetWithHttpInfo($_token_, $_key_ = null)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling vdsListGet');
        }
        // parse inputs
        $resourcePath = "/vds/list";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($_key_ !== null) {
            $queryParams['_key_'] = $this->apiClient->getSerializer()->toQueryValue($_key_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                '\Swagger\Client\Model\InlineResponse20012[]',
                '/vds/list'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, '\Swagger\Client\Model\InlineResponse20012[]', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), '\Swagger\Client\Model\InlineResponse20012[]', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation vdsRebootGet
     *
     * Перезагрузка VDS
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID виртуального сервера, полученный из /vds/list (required)
     * @return string
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsRebootGet($_token_, $_key_)
    {
        list($response) = $this->vdsRebootGetWithHttpInfo($_token_, $_key_);
        return $response;
    }

    /**
     * Operation vdsRebootGetWithHttpInfo
     *
     * Перезагрузка VDS
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID виртуального сервера, полученный из /vds/list (required)
     * @return Array of string, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsRebootGetWithHttpInfo($_token_, $_key_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling vdsRebootGet');
        }
        // verify the required parameter '_key_' is set
        if ($_key_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_key_ when calling vdsRebootGet');
        }
        // parse inputs
        $resourcePath = "/vds/reboot";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($_key_ !== null) {
            $queryParams['_key_'] = $this->apiClient->getSerializer()->toQueryValue($_key_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'string',
                '/vds/reboot'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'string', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation vdsTemplatesListGet
     *
     * Список шаблонов виртуальных серверов
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return \Swagger\Client\Model\InlineResponse20013[]
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsTemplatesListGet($_token_)
    {
        list($response) = $this->vdsTemplatesListGetWithHttpInfo($_token_);
        return $response;
    }

    /**
     * Operation vdsTemplatesListGetWithHttpInfo
     *
     * Список шаблонов виртуальных серверов
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @return Array of \Swagger\Client\Model\InlineResponse20013[], HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsTemplatesListGetWithHttpInfo($_token_)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling vdsTemplatesListGet');
        }
        // parse inputs
        $resourcePath = "/vds/templates-list";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                '\Swagger\Client\Model\InlineResponse20013[]',
                '/vds/templates-list'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, '\Swagger\Client\Model\InlineResponse20013[]', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), '\Swagger\Client\Model\InlineResponse20013[]', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

    /**
     * Operation vdsUpdateGet
     *
     * Создание VDS
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param int $cr_hvmem Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
     * @param int $cr_hvdsk Количество доступных гигабайт диска. По умолчанию 30 (optional)
     * @param int $cr_hvcpu Количество ядер CPU. По умолчанию 2 (optional)
     * @return string
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsUpdateGet($_token_, $_key_, $cr_hvmem = null, $cr_hvdsk = null, $cr_hvcpu = null)
    {
        list($response) = $this->vdsUpdateGetWithHttpInfo($_token_, $_key_, $cr_hvmem, $cr_hvdsk, $cr_hvcpu);
        return $response;
    }

    /**
     * Operation vdsUpdateGetWithHttpInfo
     *
     * Создание VDS
     *
     * @param string $_token_ Ключ доступа, полученный при авторизации (required)
     * @param int $_key_ ID виртуального сервера, полученный из /vds/list (required)
     * @param int $cr_hvmem Количество доступной памяти в мегабайтах. По умолчанию 2048 (optional)
     * @param int $cr_hvdsk Количество доступных гигабайт диска. По умолчанию 30 (optional)
     * @param int $cr_hvcpu Количество ядер CPU. По умолчанию 2 (optional)
     * @return Array of string, HTTP status code, HTTP response headers (array of strings)
     * @throws \Swagger\Client\ApiException on non-2xx response
     */
    public function vdsUpdateGetWithHttpInfo($_token_, $_key_, $cr_hvmem = null, $cr_hvdsk = null, $cr_hvcpu = null)
    {
        // verify the required parameter '_token_' is set
        if ($_token_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_token_ when calling vdsUpdateGet');
        }
        // verify the required parameter '_key_' is set
        if ($_key_ === null) {
            throw new \InvalidArgumentException('Missing the required parameter $_key_ when calling vdsUpdateGet');
        }
        // parse inputs
        $resourcePath = "/vds/update";
        $httpBody = '';
        $queryParams = array();
        $headerParams = array();
        $formParams = array();
        $_header_accept = $this->apiClient->selectHeaderAccept(array('application/json'));
        if (!is_null($_header_accept)) {
            $headerParams['Accept'] = $_header_accept;
        }
        $headerParams['Content-Type'] = $this->apiClient->selectHeaderContentType(array('application/json'));

        // query params
        if ($_token_ !== null) {
            $queryParams['_token_'] = $this->apiClient->getSerializer()->toQueryValue($_token_);
        }
        // query params
        if ($_key_ !== null) {
            $queryParams['_key_'] = $this->apiClient->getSerializer()->toQueryValue($_key_);
        }
        // query params
        if ($cr_hvmem !== null) {
            $queryParams['cr_hvmem'] = $this->apiClient->getSerializer()->toQueryValue($cr_hvmem);
        }
        // query params
        if ($cr_hvdsk !== null) {
            $queryParams['cr_hvdsk'] = $this->apiClient->getSerializer()->toQueryValue($cr_hvdsk);
        }
        // query params
        if ($cr_hvcpu !== null) {
            $queryParams['cr_hvcpu'] = $this->apiClient->getSerializer()->toQueryValue($cr_hvcpu);
        }
        // default format to json
        $resourcePath = str_replace("{format}", "json", $resourcePath);

        
        // for model (json/xml)
        if (isset($_tempBody)) {
            $httpBody = $_tempBody; // $_tempBody is the method argument, if present
        } elseif (count($formParams) > 0) {
            $httpBody = $formParams; // for HTTP post (form)
        }
        // make the API Call
        try {
            list($response, $statusCode, $httpHeader) = $this->apiClient->callApi(
                $resourcePath,
                'GET',
                $queryParams,
                $httpBody,
                $headerParams,
                'string',
                '/vds/update'
            );

            return array($this->apiClient->getSerializer()->deserialize($response, 'string', $httpHeader), $statusCode, $httpHeader);
        } catch (ApiException $e) {
            switch ($e->getCode()) {
                case 200:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
                default:
                    $data = $this->apiClient->getSerializer()->deserialize($e->getResponseBody(), 'string', $e->getResponseHeaders());
                    $e->setResponseObject($data);
                    break;
            }

            throw $e;
        }
    }

}
