<?php
/**
 * InlineResponse200
 *
 * PHP version 5
 *
 * @category Class
 * @package  Swagger\Client
 * @author   http://github.com/swagger-api/swagger-codegen
 * @license  http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * 1Gb API
 *
 * API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.
 *
 * OpenAPI spec version: 2.0.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */

namespace Swagger\Client\Model;

use \ArrayAccess;

/**
 * InlineResponse200 Class Doc Comment
 *
 * @category    Class */
/** 
 * @package     Swagger\Client
 * @author      http://github.com/swagger-api/swagger-codegen
 * @license     http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link        https://github.com/swagger-api/swagger-codegen
 */
class InlineResponse200 implements ArrayAccess
{
    /**
      * The original name of the model.
      * @var string
      */
    protected static $swaggerModelName = 'inline_response_200';

    /**
      * Array of property to type mappings. Used for (de)serialization
      * @var string[]
      */
    protected static $swaggerTypes = array(
        'negative_balance_days' => 'int',
        'negative_balance_days_lic' => 'int',
        'last_month_debt_sum' => 'float',
        'last_month_debt_sum2' => 'float',
        'block_date' => 'string'
    );

    public static function swaggerTypes()
    {
        return self::$swaggerTypes;
    }

    /**
     * Array of attributes where the key is the local name, and the value is the original name
     * @var string[]
     */
    protected static $attributeMap = array(
        'negative_balance_days' => 'negative_balance_days',
        'negative_balance_days_lic' => 'negative_balance_days_lic',
        'last_month_debt_sum' => 'last_month_debt_sum',
        'last_month_debt_sum2' => 'last_month_debt_sum2',
        'block_date' => 'block_date'
    );

    public static function attributeMap()
    {
        return self::$attributeMap;
    }

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     * @var string[]
     */
    protected static $setters = array(
        'negative_balance_days' => 'setNegativeBalanceDays',
        'negative_balance_days_lic' => 'setNegativeBalanceDaysLic',
        'last_month_debt_sum' => 'setLastMonthDebtSum',
        'last_month_debt_sum2' => 'setLastMonthDebtSum2',
        'block_date' => 'setBlockDate'
    );

    public static function setters()
    {
        return self::$setters;
    }

    /**
     * Array of attributes to getter functions (for serialization of requests)
     * @var string[]
     */
    protected static $getters = array(
        'negative_balance_days' => 'getNegativeBalanceDays',
        'negative_balance_days_lic' => 'getNegativeBalanceDaysLic',
        'last_month_debt_sum' => 'getLastMonthDebtSum',
        'last_month_debt_sum2' => 'getLastMonthDebtSum2',
        'block_date' => 'getBlockDate'
    );

    public static function getters()
    {
        return self::$getters;
    }

    

    

    /**
     * Associative array for storing property values
     * @var mixed[]
     */
    protected $container = array();

    /**
     * Constructor
     * @param mixed[] $data Associated array of property value initalizing the model
     */
    public function __construct(array $data = null)
    {
        $this->container['negative_balance_days'] = isset($data['negative_balance_days']) ? $data['negative_balance_days'] : null;
        $this->container['negative_balance_days_lic'] = isset($data['negative_balance_days_lic']) ? $data['negative_balance_days_lic'] : null;
        $this->container['last_month_debt_sum'] = isset($data['last_month_debt_sum']) ? $data['last_month_debt_sum'] : null;
        $this->container['last_month_debt_sum2'] = isset($data['last_month_debt_sum2']) ? $data['last_month_debt_sum2'] : null;
        $this->container['block_date'] = isset($data['block_date']) ? $data['block_date'] : null;
    }

    /**
     * show all the invalid properties with reasons.
     *
     * @return array invalid properties with reasons
     */
    public function listInvalidProperties()
    {
        $invalid_properties = array();
        if ($this->container['negative_balance_days'] === null) {
            $invalid_properties[] = "'negative_balance_days' can't be null";
        }
        if ($this->container['negative_balance_days_lic'] === null) {
            $invalid_properties[] = "'negative_balance_days_lic' can't be null";
        }
        if ($this->container['last_month_debt_sum'] === null) {
            $invalid_properties[] = "'last_month_debt_sum' can't be null";
        }
        if ($this->container['last_month_debt_sum2'] === null) {
            $invalid_properties[] = "'last_month_debt_sum2' can't be null";
        }
        if ($this->container['block_date'] === null) {
            $invalid_properties[] = "'block_date' can't be null";
        }
        return $invalid_properties;
    }

    /**
     * validate all the properties in the model
     * return true if all passed
     *
     * @return bool True if all properteis are valid
     */
    public function valid()
    {
        if ($this->container['negative_balance_days'] === null) {
            return false;
        }
        if ($this->container['negative_balance_days_lic'] === null) {
            return false;
        }
        if ($this->container['last_month_debt_sum'] === null) {
            return false;
        }
        if ($this->container['last_month_debt_sum2'] === null) {
            return false;
        }
        if ($this->container['block_date'] === null) {
            return false;
        }
        return true;
    }


    /**
     * Gets negative_balance_days
     * @return int
     */
    public function getNegativeBalanceDays()
    {
        return $this->container['negative_balance_days'];
    }

    /**
     * Sets negative_balance_days
     * @param int $negative_balance_days Планируемое количество дней до наступления негативного баланса
     * @return $this
     */
    public function setNegativeBalanceDays($negative_balance_days)
    {
        $this->container['negative_balance_days'] = $negative_balance_days;

        return $this;
    }

    /**
     * Gets negative_balance_days_lic
     * @return int
     */
    public function getNegativeBalanceDaysLic()
    {
        return $this->container['negative_balance_days_lic'];
    }

    /**
     * Sets negative_balance_days_lic
     * @param int $negative_balance_days_lic Планируемое количество дней до наступления негативного баланса по аккаунту лицензий
     * @return $this
     */
    public function setNegativeBalanceDaysLic($negative_balance_days_lic)
    {
        $this->container['negative_balance_days_lic'] = $negative_balance_days_lic;

        return $this;
    }

    /**
     * Gets last_month_debt_sum
     * @return float
     */
    public function getLastMonthDebtSum()
    {
        return $this->container['last_month_debt_sum'];
    }

    /**
     * Sets last_month_debt_sum
     * @param float $last_month_debt_sum 
     * @return $this
     */
    public function setLastMonthDebtSum($last_month_debt_sum)
    {
        $this->container['last_month_debt_sum'] = $last_month_debt_sum;

        return $this;
    }

    /**
     * Gets last_month_debt_sum2
     * @return float
     */
    public function getLastMonthDebtSum2()
    {
        return $this->container['last_month_debt_sum2'];
    }

    /**
     * Sets last_month_debt_sum2
     * @param float $last_month_debt_sum2 
     * @return $this
     */
    public function setLastMonthDebtSum2($last_month_debt_sum2)
    {
        $this->container['last_month_debt_sum2'] = $last_month_debt_sum2;

        return $this;
    }

    /**
     * Gets block_date
     * @return string
     */
    public function getBlockDate()
    {
        return $this->container['block_date'];
    }

    /**
     * Sets block_date
     * @param string $block_date Дата блокировки аккаунта
     * @return $this
     */
    public function setBlockDate($block_date)
    {
        $this->container['block_date'] = $block_date;

        return $this;
    }
    /**
     * Returns true if offset exists. False otherwise.
     * @param  integer $offset Offset
     * @return boolean
     */
    public function offsetExists($offset)
    {
        return isset($this->container[$offset]);
    }

    /**
     * Gets offset.
     * @param  integer $offset Offset
     * @return mixed
     */
    public function offsetGet($offset)
    {
        return isset($this->container[$offset]) ? $this->container[$offset] : null;
    }

    /**
     * Sets value based on offset.
     * @param  integer $offset Offset
     * @param  mixed   $value  Value to be set
     * @return void
     */
    public function offsetSet($offset, $value)
    {
        if (is_null($offset)) {
            $this->container[] = $value;
        } else {
            $this->container[$offset] = $value;
        }
    }

    /**
     * Unsets offset.
     * @param  integer $offset Offset
     * @return void
     */
    public function offsetUnset($offset)
    {
        unset($this->container[$offset]);
    }

    /**
     * Gets the string presentation of the object
     * @return string
     */
    public function __toString()
    {
        if (defined('JSON_PRETTY_PRINT')) { // use JSON pretty print
            return json_encode(\Swagger\Client\ObjectSerializer::sanitizeForSerialization($this), JSON_PRETTY_PRINT);
        }

        return json_encode(\Swagger\Client\ObjectSerializer::sanitizeForSerialization($this));
    }
}


