<?php
/**
 * InlineResponse2001
 *
 * PHP version 5
 *
 * @category Class
 * @package  Swagger\Client
 * @author   http://github.com/swagger-api/swagger-codegen
 * @license  http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * 1Gb API
 *
 * API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.
 *
 * OpenAPI spec version: 2.0.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */

namespace Swagger\Client\Model;

use \ArrayAccess;

/**
 * InlineResponse2001 Class Doc Comment
 *
 * @category    Class */
/** 
 * @package     Swagger\Client
 * @author      http://github.com/swagger-api/swagger-codegen
 * @license     http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link        https://github.com/swagger-api/swagger-codegen
 */
class InlineResponse2001 implements ArrayAccess
{
    /**
      * The original name of the model.
      * @var string
      */
    protected static $swaggerModelName = 'inline_response_200_1';

    /**
      * Array of property to type mappings. Used for (de)serialization
      * @var string[]
      */
    protected static $swaggerTypes = array(
        'id' => 'int',
        'description' => 'string',
        'billing_group_id' => 'int',
        'blocked' => 'string',
        'blocked_date' => 'string',
        'blocked_reason' => 'string',
        'credit_limit' => 'float',
        'plan_id' => 'int',
        'period_id' => 'int',
        'contract_type' => 'int',
        'client_id' => 'int',
        'client_login' => 'string',
        'contract_id' => 'string',
        'name_rus' => 'string',
        'name_eng' => 'string',
        'email' => 'string',
        'stat_sites' => 'int',
        'stat_size_mb' => 'int',
        'stat_emails' => 'int',
        'stat_mysqls' => 'int',
        'stat_tech' => 'int',
        'stat_nicd' => 'int',
        'stat_access_dynamic' => 'int',
        'stat_access_static' => 'int',
        'stat_access_traffic' => 'int',
        'stat_paid_total' => 'int',
        'stat_vds_size' => 'int',
        '__plan_name' => 'string',
        '__period_months' => 'int',
        '__period_price' => 'float',
        '__expires' => 'string',
        'external_currency_spelled_prefix' => 'string',
        'external_currency_spelled_suffix' => 'string'
    );

    public static function swaggerTypes()
    {
        return self::$swaggerTypes;
    }

    /**
     * Array of attributes where the key is the local name, and the value is the original name
     * @var string[]
     */
    protected static $attributeMap = array(
        'id' => 'id',
        'description' => 'description',
        'billing_group_id' => 'billing_group_id',
        'blocked' => 'blocked',
        'blocked_date' => 'blocked_date',
        'blocked_reason' => 'blocked_reason',
        'credit_limit' => 'credit_limit',
        'plan_id' => 'plan_id',
        'period_id' => 'period_id',
        'contract_type' => 'contract_type',
        'client_id' => 'client_id',
        'client_login' => 'client_login',
        'contract_id' => 'contract_id',
        'name_rus' => 'name_rus',
        'name_eng' => 'name_eng',
        'email' => 'email',
        'stat_sites' => 'stat_sites',
        'stat_size_mb' => 'stat_size_mb',
        'stat_emails' => 'stat_emails',
        'stat_mysqls' => 'stat_mysqls',
        'stat_tech' => 'stat_tech',
        'stat_nicd' => 'stat_nicd',
        'stat_access_dynamic' => 'stat_access_dynamic',
        'stat_access_static' => 'stat_access_static',
        'stat_access_traffic' => 'stat_access_traffic',
        'stat_paid_total' => 'stat_paid_total',
        'stat_vds_size' => 'stat_vds_size',
        '__plan_name' => '__plan_name',
        '__period_months' => '__period_months',
        '__period_price' => '__period_price',
        '__expires' => '__expires',
        'external_currency_spelled_prefix' => 'external_currency_spelled_prefix',
        'external_currency_spelled_suffix' => 'external_currency_spelled_suffix'
    );

    public static function attributeMap()
    {
        return self::$attributeMap;
    }

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     * @var string[]
     */
    protected static $setters = array(
        'id' => 'setId',
        'description' => 'setDescription',
        'billing_group_id' => 'setBillingGroupId',
        'blocked' => 'setBlocked',
        'blocked_date' => 'setBlockedDate',
        'blocked_reason' => 'setBlockedReason',
        'credit_limit' => 'setCreditLimit',
        'plan_id' => 'setPlanId',
        'period_id' => 'setPeriodId',
        'contract_type' => 'setContractType',
        'client_id' => 'setClientId',
        'client_login' => 'setClientLogin',
        'contract_id' => 'setContractId',
        'name_rus' => 'setNameRus',
        'name_eng' => 'setNameEng',
        'email' => 'setEmail',
        'stat_sites' => 'setStatSites',
        'stat_size_mb' => 'setStatSizeMb',
        'stat_emails' => 'setStatEmails',
        'stat_mysqls' => 'setStatMysqls',
        'stat_tech' => 'setStatTech',
        'stat_nicd' => 'setStatNicd',
        'stat_access_dynamic' => 'setStatAccessDynamic',
        'stat_access_static' => 'setStatAccessStatic',
        'stat_access_traffic' => 'setStatAccessTraffic',
        'stat_paid_total' => 'setStatPaidTotal',
        'stat_vds_size' => 'setStatVdsSize',
        '__plan_name' => 'setPlanName',
        '__period_months' => 'setPeriodMonths',
        '__period_price' => 'setPeriodPrice',
        '__expires' => 'setExpires',
        'external_currency_spelled_prefix' => 'setExternalCurrencySpelledPrefix',
        'external_currency_spelled_suffix' => 'setExternalCurrencySpelledSuffix'
    );

    public static function setters()
    {
        return self::$setters;
    }

    /**
     * Array of attributes to getter functions (for serialization of requests)
     * @var string[]
     */
    protected static $getters = array(
        'id' => 'getId',
        'description' => 'getDescription',
        'billing_group_id' => 'getBillingGroupId',
        'blocked' => 'getBlocked',
        'blocked_date' => 'getBlockedDate',
        'blocked_reason' => 'getBlockedReason',
        'credit_limit' => 'getCreditLimit',
        'plan_id' => 'getPlanId',
        'period_id' => 'getPeriodId',
        'contract_type' => 'getContractType',
        'client_id' => 'getClientId',
        'client_login' => 'getClientLogin',
        'contract_id' => 'getContractId',
        'name_rus' => 'getNameRus',
        'name_eng' => 'getNameEng',
        'email' => 'getEmail',
        'stat_sites' => 'getStatSites',
        'stat_size_mb' => 'getStatSizeMb',
        'stat_emails' => 'getStatEmails',
        'stat_mysqls' => 'getStatMysqls',
        'stat_tech' => 'getStatTech',
        'stat_nicd' => 'getStatNicd',
        'stat_access_dynamic' => 'getStatAccessDynamic',
        'stat_access_static' => 'getStatAccessStatic',
        'stat_access_traffic' => 'getStatAccessTraffic',
        'stat_paid_total' => 'getStatPaidTotal',
        'stat_vds_size' => 'getStatVdsSize',
        '__plan_name' => 'getPlanName',
        '__period_months' => 'getPeriodMonths',
        '__period_price' => 'getPeriodPrice',
        '__expires' => 'getExpires',
        'external_currency_spelled_prefix' => 'getExternalCurrencySpelledPrefix',
        'external_currency_spelled_suffix' => 'getExternalCurrencySpelledSuffix'
    );

    public static function getters()
    {
        return self::$getters;
    }

    

    

    /**
     * Associative array for storing property values
     * @var mixed[]
     */
    protected $container = array();

    /**
     * Constructor
     * @param mixed[] $data Associated array of property value initalizing the model
     */
    public function __construct(array $data = null)
    {
        $this->container['id'] = isset($data['id']) ? $data['id'] : null;
        $this->container['description'] = isset($data['description']) ? $data['description'] : null;
        $this->container['billing_group_id'] = isset($data['billing_group_id']) ? $data['billing_group_id'] : null;
        $this->container['blocked'] = isset($data['blocked']) ? $data['blocked'] : null;
        $this->container['blocked_date'] = isset($data['blocked_date']) ? $data['blocked_date'] : null;
        $this->container['blocked_reason'] = isset($data['blocked_reason']) ? $data['blocked_reason'] : null;
        $this->container['credit_limit'] = isset($data['credit_limit']) ? $data['credit_limit'] : null;
        $this->container['plan_id'] = isset($data['plan_id']) ? $data['plan_id'] : null;
        $this->container['period_id'] = isset($data['period_id']) ? $data['period_id'] : null;
        $this->container['contract_type'] = isset($data['contract_type']) ? $data['contract_type'] : null;
        $this->container['client_id'] = isset($data['client_id']) ? $data['client_id'] : null;
        $this->container['client_login'] = isset($data['client_login']) ? $data['client_login'] : null;
        $this->container['contract_id'] = isset($data['contract_id']) ? $data['contract_id'] : null;
        $this->container['name_rus'] = isset($data['name_rus']) ? $data['name_rus'] : null;
        $this->container['name_eng'] = isset($data['name_eng']) ? $data['name_eng'] : null;
        $this->container['email'] = isset($data['email']) ? $data['email'] : null;
        $this->container['stat_sites'] = isset($data['stat_sites']) ? $data['stat_sites'] : null;
        $this->container['stat_size_mb'] = isset($data['stat_size_mb']) ? $data['stat_size_mb'] : null;
        $this->container['stat_emails'] = isset($data['stat_emails']) ? $data['stat_emails'] : null;
        $this->container['stat_mysqls'] = isset($data['stat_mysqls']) ? $data['stat_mysqls'] : null;
        $this->container['stat_tech'] = isset($data['stat_tech']) ? $data['stat_tech'] : null;
        $this->container['stat_nicd'] = isset($data['stat_nicd']) ? $data['stat_nicd'] : null;
        $this->container['stat_access_dynamic'] = isset($data['stat_access_dynamic']) ? $data['stat_access_dynamic'] : null;
        $this->container['stat_access_static'] = isset($data['stat_access_static']) ? $data['stat_access_static'] : null;
        $this->container['stat_access_traffic'] = isset($data['stat_access_traffic']) ? $data['stat_access_traffic'] : null;
        $this->container['stat_paid_total'] = isset($data['stat_paid_total']) ? $data['stat_paid_total'] : null;
        $this->container['stat_vds_size'] = isset($data['stat_vds_size']) ? $data['stat_vds_size'] : null;
        $this->container['__plan_name'] = isset($data['__plan_name']) ? $data['__plan_name'] : null;
        $this->container['__period_months'] = isset($data['__period_months']) ? $data['__period_months'] : null;
        $this->container['__period_price'] = isset($data['__period_price']) ? $data['__period_price'] : null;
        $this->container['__expires'] = isset($data['__expires']) ? $data['__expires'] : null;
        $this->container['external_currency_spelled_prefix'] = isset($data['external_currency_spelled_prefix']) ? $data['external_currency_spelled_prefix'] : null;
        $this->container['external_currency_spelled_suffix'] = isset($data['external_currency_spelled_suffix']) ? $data['external_currency_spelled_suffix'] : null;
    }

    /**
     * show all the invalid properties with reasons.
     *
     * @return array invalid properties with reasons
     */
    public function listInvalidProperties()
    {
        $invalid_properties = array();
        if ($this->container['id'] === null) {
            $invalid_properties[] = "'id' can't be null";
        }
        if ($this->container['description'] === null) {
            $invalid_properties[] = "'description' can't be null";
        }
        if ($this->container['billing_group_id'] === null) {
            $invalid_properties[] = "'billing_group_id' can't be null";
        }
        if ($this->container['blocked'] === null) {
            $invalid_properties[] = "'blocked' can't be null";
        }
        if ($this->container['credit_limit'] === null) {
            $invalid_properties[] = "'credit_limit' can't be null";
        }
        if ($this->container['plan_id'] === null) {
            $invalid_properties[] = "'plan_id' can't be null";
        }
        if ($this->container['period_id'] === null) {
            $invalid_properties[] = "'period_id' can't be null";
        }
        if ($this->container['contract_type'] === null) {
            $invalid_properties[] = "'contract_type' can't be null";
        }
        if ($this->container['client_id'] === null) {
            $invalid_properties[] = "'client_id' can't be null";
        }
        if ($this->container['client_login'] === null) {
            $invalid_properties[] = "'client_login' can't be null";
        }
        if ($this->container['contract_id'] === null) {
            $invalid_properties[] = "'contract_id' can't be null";
        }
        if ($this->container['name_rus'] === null) {
            $invalid_properties[] = "'name_rus' can't be null";
        }
        if ($this->container['name_eng'] === null) {
            $invalid_properties[] = "'name_eng' can't be null";
        }
        if ($this->container['email'] === null) {
            $invalid_properties[] = "'email' can't be null";
        }
        if ($this->container['stat_sites'] === null) {
            $invalid_properties[] = "'stat_sites' can't be null";
        }
        if ($this->container['stat_size_mb'] === null) {
            $invalid_properties[] = "'stat_size_mb' can't be null";
        }
        if ($this->container['stat_emails'] === null) {
            $invalid_properties[] = "'stat_emails' can't be null";
        }
        if ($this->container['stat_mysqls'] === null) {
            $invalid_properties[] = "'stat_mysqls' can't be null";
        }
        if ($this->container['stat_tech'] === null) {
            $invalid_properties[] = "'stat_tech' can't be null";
        }
        if ($this->container['stat_nicd'] === null) {
            $invalid_properties[] = "'stat_nicd' can't be null";
        }
        if ($this->container['stat_access_dynamic'] === null) {
            $invalid_properties[] = "'stat_access_dynamic' can't be null";
        }
        if ($this->container['stat_access_static'] === null) {
            $invalid_properties[] = "'stat_access_static' can't be null";
        }
        if ($this->container['stat_access_traffic'] === null) {
            $invalid_properties[] = "'stat_access_traffic' can't be null";
        }
        if ($this->container['stat_paid_total'] === null) {
            $invalid_properties[] = "'stat_paid_total' can't be null";
        }
        if ($this->container['stat_vds_size'] === null) {
            $invalid_properties[] = "'stat_vds_size' can't be null";
        }
        if ($this->container['__plan_name'] === null) {
            $invalid_properties[] = "'__plan_name' can't be null";
        }
        if ($this->container['__period_months'] === null) {
            $invalid_properties[] = "'__period_months' can't be null";
        }
        if ($this->container['__period_price'] === null) {
            $invalid_properties[] = "'__period_price' can't be null";
        }
        if ($this->container['__expires'] === null) {
            $invalid_properties[] = "'__expires' can't be null";
        }
        if ($this->container['external_currency_spelled_prefix'] === null) {
            $invalid_properties[] = "'external_currency_spelled_prefix' can't be null";
        }
        if ($this->container['external_currency_spelled_suffix'] === null) {
            $invalid_properties[] = "'external_currency_spelled_suffix' can't be null";
        }
        return $invalid_properties;
    }

    /**
     * validate all the properties in the model
     * return true if all passed
     *
     * @return bool True if all properteis are valid
     */
    public function valid()
    {
        if ($this->container['id'] === null) {
            return false;
        }
        if ($this->container['description'] === null) {
            return false;
        }
        if ($this->container['billing_group_id'] === null) {
            return false;
        }
        if ($this->container['blocked'] === null) {
            return false;
        }
        if ($this->container['credit_limit'] === null) {
            return false;
        }
        if ($this->container['plan_id'] === null) {
            return false;
        }
        if ($this->container['period_id'] === null) {
            return false;
        }
        if ($this->container['contract_type'] === null) {
            return false;
        }
        if ($this->container['client_id'] === null) {
            return false;
        }
        if ($this->container['client_login'] === null) {
            return false;
        }
        if ($this->container['contract_id'] === null) {
            return false;
        }
        if ($this->container['name_rus'] === null) {
            return false;
        }
        if ($this->container['name_eng'] === null) {
            return false;
        }
        if ($this->container['email'] === null) {
            return false;
        }
        if ($this->container['stat_sites'] === null) {
            return false;
        }
        if ($this->container['stat_size_mb'] === null) {
            return false;
        }
        if ($this->container['stat_emails'] === null) {
            return false;
        }
        if ($this->container['stat_mysqls'] === null) {
            return false;
        }
        if ($this->container['stat_tech'] === null) {
            return false;
        }
        if ($this->container['stat_nicd'] === null) {
            return false;
        }
        if ($this->container['stat_access_dynamic'] === null) {
            return false;
        }
        if ($this->container['stat_access_static'] === null) {
            return false;
        }
        if ($this->container['stat_access_traffic'] === null) {
            return false;
        }
        if ($this->container['stat_paid_total'] === null) {
            return false;
        }
        if ($this->container['stat_vds_size'] === null) {
            return false;
        }
        if ($this->container['__plan_name'] === null) {
            return false;
        }
        if ($this->container['__period_months'] === null) {
            return false;
        }
        if ($this->container['__period_price'] === null) {
            return false;
        }
        if ($this->container['__expires'] === null) {
            return false;
        }
        if ($this->container['external_currency_spelled_prefix'] === null) {
            return false;
        }
        if ($this->container['external_currency_spelled_suffix'] === null) {
            return false;
        }
        return true;
    }


    /**
     * Gets id
     * @return int
     */
    public function getId()
    {
        return $this->container['id'];
    }

    /**
     * Sets id
     * @param int $id Идентификатор аккаунта
     * @return $this
     */
    public function setId($id)
    {
        $this->container['id'] = $id;

        return $this;
    }

    /**
     * Gets description
     * @return string
     */
    public function getDescription()
    {
        return $this->container['description'];
    }

    /**
     * Sets description
     * @param string $description Описание аккаунта
     * @return $this
     */
    public function setDescription($description)
    {
        $this->container['description'] = $description;

        return $this;
    }

    /**
     * Gets billing_group_id
     * @return int
     */
    public function getBillingGroupId()
    {
        return $this->container['billing_group_id'];
    }

    /**
     * Sets billing_group_id
     * @param int $billing_group_id Идентификатор тарифной группы
     * @return $this
     */
    public function setBillingGroupId($billing_group_id)
    {
        $this->container['billing_group_id'] = $billing_group_id;

        return $this;
    }

    /**
     * Gets blocked
     * @return string
     */
    public function getBlocked()
    {
        return $this->container['blocked'];
    }

    /**
     * Sets blocked
     * @param string $blocked Аккаунт заблокирован, если true
     * @return $this
     */
    public function setBlocked($blocked)
    {
        $this->container['blocked'] = $blocked;

        return $this;
    }

    /**
     * Gets blocked_date
     * @return string
     */
    public function getBlockedDate()
    {
        return $this->container['blocked_date'];
    }

    /**
     * Sets blocked_date
     * @param string $blocked_date Дата блокировки
     * @return $this
     */
    public function setBlockedDate($blocked_date)
    {
        $this->container['blocked_date'] = $blocked_date;

        return $this;
    }

    /**
     * Gets blocked_reason
     * @return string
     */
    public function getBlockedReason()
    {
        return $this->container['blocked_reason'];
    }

    /**
     * Sets blocked_reason
     * @param string $blocked_reason Причина блокировки
     * @return $this
     */
    public function setBlockedReason($blocked_reason)
    {
        $this->container['blocked_reason'] = $blocked_reason;

        return $this;
    }

    /**
     * Gets credit_limit
     * @return float
     */
    public function getCreditLimit()
    {
        return $this->container['credit_limit'];
    }

    /**
     * Sets credit_limit
     * @param float $credit_limit Ограничение суммы на работу в аванс
     * @return $this
     */
    public function setCreditLimit($credit_limit)
    {
        $this->container['credit_limit'] = $credit_limit;

        return $this;
    }

    /**
     * Gets plan_id
     * @return int
     */
    public function getPlanId()
    {
        return $this->container['plan_id'];
    }

    /**
     * Sets plan_id
     * @param int $plan_id Идентификатор тарифа
     * @return $this
     */
    public function setPlanId($plan_id)
    {
        $this->container['plan_id'] = $plan_id;

        return $this;
    }

    /**
     * Gets period_id
     * @return int
     */
    public function getPeriodId()
    {
        return $this->container['period_id'];
    }

    /**
     * Sets period_id
     * @param int $period_id Идентификатор тарифа (периода)
     * @return $this
     */
    public function setPeriodId($period_id)
    {
        $this->container['period_id'] = $period_id;

        return $this;
    }

    /**
     * Gets contract_type
     * @return int
     */
    public function getContractType()
    {
        return $this->container['contract_type'];
    }

    /**
     * Sets contract_type
     * @param int $contract_type Тип договора
     * @return $this
     */
    public function setContractType($contract_type)
    {
        $this->container['contract_type'] = $contract_type;

        return $this;
    }

    /**
     * Gets client_id
     * @return int
     */
    public function getClientId()
    {
        return $this->container['client_id'];
    }

    /**
     * Sets client_id
     * @param int $client_id 
     * @return $this
     */
    public function setClientId($client_id)
    {
        $this->container['client_id'] = $client_id;

        return $this;
    }

    /**
     * Gets client_login
     * @return string
     */
    public function getClientLogin()
    {
        return $this->container['client_login'];
    }

    /**
     * Sets client_login
     * @param string $client_login Логин клиента
     * @return $this
     */
    public function setClientLogin($client_login)
    {
        $this->container['client_login'] = $client_login;

        return $this;
    }

    /**
     * Gets contract_id
     * @return string
     */
    public function getContractId()
    {
        return $this->container['contract_id'];
    }

    /**
     * Sets contract_id
     * @param string $contract_id Номер договора
     * @return $this
     */
    public function setContractId($contract_id)
    {
        $this->container['contract_id'] = $contract_id;

        return $this;
    }

    /**
     * Gets name_rus
     * @return string
     */
    public function getNameRus()
    {
        return $this->container['name_rus'];
    }

    /**
     * Sets name_rus
     * @param string $name_rus Имя клиента на русском
     * @return $this
     */
    public function setNameRus($name_rus)
    {
        $this->container['name_rus'] = $name_rus;

        return $this;
    }

    /**
     * Gets name_eng
     * @return string
     */
    public function getNameEng()
    {
        return $this->container['name_eng'];
    }

    /**
     * Sets name_eng
     * @param string $name_eng Имя клиента на английском
     * @return $this
     */
    public function setNameEng($name_eng)
    {
        $this->container['name_eng'] = $name_eng;

        return $this;
    }

    /**
     * Gets email
     * @return string
     */
    public function getEmail()
    {
        return $this->container['email'];
    }

    /**
     * Sets email
     * @param string $email E-mail клиент
     * @return $this
     */
    public function setEmail($email)
    {
        $this->container['email'] = $email;

        return $this;
    }

    /**
     * Gets stat_sites
     * @return int
     */
    public function getStatSites()
    {
        return $this->container['stat_sites'];
    }

    /**
     * Sets stat_sites
     * @param int $stat_sites Количество созданных сайтов
     * @return $this
     */
    public function setStatSites($stat_sites)
    {
        $this->container['stat_sites'] = $stat_sites;

        return $this;
    }

    /**
     * Gets stat_size_mb
     * @return int
     */
    public function getStatSizeMb()
    {
        return $this->container['stat_size_mb'];
    }

    /**
     * Sets stat_size_mb
     * @param int $stat_size_mb Используемое дисковое пространство
     * @return $this
     */
    public function setStatSizeMb($stat_size_mb)
    {
        $this->container['stat_size_mb'] = $stat_size_mb;

        return $this;
    }

    /**
     * Gets stat_emails
     * @return int
     */
    public function getStatEmails()
    {
        return $this->container['stat_emails'];
    }

    /**
     * Sets stat_emails
     * @param int $stat_emails Количество созданных почтовых ящиков
     * @return $this
     */
    public function setStatEmails($stat_emails)
    {
        $this->container['stat_emails'] = $stat_emails;

        return $this;
    }

    /**
     * Gets stat_mysqls
     * @return int
     */
    public function getStatMysqls()
    {
        return $this->container['stat_mysqls'];
    }

    /**
     * Sets stat_mysqls
     * @param int $stat_mysqls Количество баз данных MySQL
     * @return $this
     */
    public function setStatMysqls($stat_mysqls)
    {
        $this->container['stat_mysqls'] = $stat_mysqls;

        return $this;
    }

    /**
     * Gets stat_tech
     * @return int
     */
    public function getStatTech()
    {
        return $this->container['stat_tech'];
    }

    /**
     * Sets stat_tech
     * @param int $stat_tech 
     * @return $this
     */
    public function setStatTech($stat_tech)
    {
        $this->container['stat_tech'] = $stat_tech;

        return $this;
    }

    /**
     * Gets stat_nicd
     * @return int
     */
    public function getStatNicd()
    {
        return $this->container['stat_nicd'];
    }

    /**
     * Sets stat_nicd
     * @param int $stat_nicd 
     * @return $this
     */
    public function setStatNicd($stat_nicd)
    {
        $this->container['stat_nicd'] = $stat_nicd;

        return $this;
    }

    /**
     * Gets stat_access_dynamic
     * @return int
     */
    public function getStatAccessDynamic()
    {
        return $this->container['stat_access_dynamic'];
    }

    /**
     * Sets stat_access_dynamic
     * @param int $stat_access_dynamic 
     * @return $this
     */
    public function setStatAccessDynamic($stat_access_dynamic)
    {
        $this->container['stat_access_dynamic'] = $stat_access_dynamic;

        return $this;
    }

    /**
     * Gets stat_access_static
     * @return int
     */
    public function getStatAccessStatic()
    {
        return $this->container['stat_access_static'];
    }

    /**
     * Sets stat_access_static
     * @param int $stat_access_static 
     * @return $this
     */
    public function setStatAccessStatic($stat_access_static)
    {
        $this->container['stat_access_static'] = $stat_access_static;

        return $this;
    }

    /**
     * Gets stat_access_traffic
     * @return int
     */
    public function getStatAccessTraffic()
    {
        return $this->container['stat_access_traffic'];
    }

    /**
     * Sets stat_access_traffic
     * @param int $stat_access_traffic 
     * @return $this
     */
    public function setStatAccessTraffic($stat_access_traffic)
    {
        $this->container['stat_access_traffic'] = $stat_access_traffic;

        return $this;
    }

    /**
     * Gets stat_paid_total
     * @return int
     */
    public function getStatPaidTotal()
    {
        return $this->container['stat_paid_total'];
    }

    /**
     * Sets stat_paid_total
     * @param int $stat_paid_total 
     * @return $this
     */
    public function setStatPaidTotal($stat_paid_total)
    {
        $this->container['stat_paid_total'] = $stat_paid_total;

        return $this;
    }

    /**
     * Gets stat_vds_size
     * @return int
     */
    public function getStatVdsSize()
    {
        return $this->container['stat_vds_size'];
    }

    /**
     * Sets stat_vds_size
     * @param int $stat_vds_size Размер дисков VDS
     * @return $this
     */
    public function setStatVdsSize($stat_vds_size)
    {
        $this->container['stat_vds_size'] = $stat_vds_size;

        return $this;
    }

    /**
     * Gets __plan_name
     * @return string
     */
    public function getPlanName()
    {
        return $this->container['__plan_name'];
    }

    /**
     * Sets __plan_name
     * @param string $__plan_name Название тарифного плана
     * @return $this
     */
    public function setPlanName($__plan_name)
    {
        $this->container['__plan_name'] = $__plan_name;

        return $this;
    }

    /**
     * Gets __period_months
     * @return int
     */
    public function getPeriodMonths()
    {
        return $this->container['__period_months'];
    }

    /**
     * Sets __period_months
     * @param int $__period_months Количество месяцев в оплаченном периоде
     * @return $this
     */
    public function setPeriodMonths($__period_months)
    {
        $this->container['__period_months'] = $__period_months;

        return $this;
    }

    /**
     * Gets __period_price
     * @return float
     */
    public function getPeriodPrice()
    {
        return $this->container['__period_price'];
    }

    /**
     * Sets __period_price
     * @param float $__period_price Стоимость оплаченного периода
     * @return $this
     */
    public function setPeriodPrice($__period_price)
    {
        $this->container['__period_price'] = $__period_price;

        return $this;
    }

    /**
     * Gets __expires
     * @return string
     */
    public function getExpires()
    {
        return $this->container['__expires'];
    }

    /**
     * Sets __expires
     * @param string $__expires 
     * @return $this
     */
    public function setExpires($__expires)
    {
        $this->container['__expires'] = $__expires;

        return $this;
    }

    /**
     * Gets external_currency_spelled_prefix
     * @return string
     */
    public function getExternalCurrencySpelledPrefix()
    {
        return $this->container['external_currency_spelled_prefix'];
    }

    /**
     * Sets external_currency_spelled_prefix
     * @param string $external_currency_spelled_prefix Префикс для вывода текущей валюты хостинга (например, в строке '$100' префиксом является '$')
     * @return $this
     */
    public function setExternalCurrencySpelledPrefix($external_currency_spelled_prefix)
    {
        $this->container['external_currency_spelled_prefix'] = $external_currency_spelled_prefix;

        return $this;
    }

    /**
     * Gets external_currency_spelled_suffix
     * @return string
     */
    public function getExternalCurrencySpelledSuffix()
    {
        return $this->container['external_currency_spelled_suffix'];
    }

    /**
     * Sets external_currency_spelled_suffix
     * @param string $external_currency_spelled_suffix Суффикс для вывода текущей валюты хостинга (например, в строке '100 руб.' суффиксом является ' руб.'
     * @return $this
     */
    public function setExternalCurrencySpelledSuffix($external_currency_spelled_suffix)
    {
        $this->container['external_currency_spelled_suffix'] = $external_currency_spelled_suffix;

        return $this;
    }
    /**
     * Returns true if offset exists. False otherwise.
     * @param  integer $offset Offset
     * @return boolean
     */
    public function offsetExists($offset)
    {
        return isset($this->container[$offset]);
    }

    /**
     * Gets offset.
     * @param  integer $offset Offset
     * @return mixed
     */
    public function offsetGet($offset)
    {
        return isset($this->container[$offset]) ? $this->container[$offset] : null;
    }

    /**
     * Sets value based on offset.
     * @param  integer $offset Offset
     * @param  mixed   $value  Value to be set
     * @return void
     */
    public function offsetSet($offset, $value)
    {
        if (is_null($offset)) {
            $this->container[] = $value;
        } else {
            $this->container[$offset] = $value;
        }
    }

    /**
     * Unsets offset.
     * @param  integer $offset Offset
     * @return void
     */
    public function offsetUnset($offset)
    {
        unset($this->container[$offset]);
    }

    /**
     * Gets the string presentation of the object
     * @return string
     */
    public function __toString()
    {
        if (defined('JSON_PRETTY_PRINT')) { // use JSON pretty print
            return json_encode(\Swagger\Client\ObjectSerializer::sanitizeForSerialization($this), JSON_PRETTY_PRINT);
        }

        return json_encode(\Swagger\Client\ObjectSerializer::sanitizeForSerialization($this));
    }
}


