<?php
/**
 * InlineResponse20014
 *
 * PHP version 5
 *
 * @category Class
 * @package  Swagger\Client
 * @author   http://github.com/swagger-api/swagger-codegen
 * @license  http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * 1Gb API
 *
 * API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.
 *
 * OpenAPI spec version: 2.0.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */

namespace Swagger\Client\Model;

use \ArrayAccess;

/**
 * InlineResponse20014 Class Doc Comment
 *
 * @category    Class */
/** 
 * @package     Swagger\Client
 * @author      http://github.com/swagger-api/swagger-codegen
 * @license     http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link        https://github.com/swagger-api/swagger-codegen
 */
class InlineResponse20014 implements ArrayAccess
{
    /**
      * The original name of the model.
      * @var string
      */
    protected static $swaggerModelName = 'inline_response_200_14';

    /**
      * Array of property to type mappings. Used for (de)serialization
      * @var string[]
      */
    protected static $swaggerTypes = array(
        'id' => 'int',
        'status' => 'string',
        'unmovable' => 'string',
        'online' => 'string',
        'deleted' => 'string',
        'deleted_auto' => 'string',
        'deleted_dump' => 'string',
        'user_id' => 'string',
        'ftp_id' => 'string',
        'dns_id' => 'string',
        'iis_id' => 'string',
        'iis_binding' => 'string',
        'iis_path' => 'string',
        'iis_comments' => 'string',
        'memo' => 'string',
        'date_reg' => 'string',
        'server' => 'string',
        'server_bak' => 'string',
        'server_aux' => 'string',
        'server_transition' => 'string',
        'server_transition_dtc' => 'string',
        'block_transfer' => 'string',
        'server_changed_time' => 'string',
        'size_amount' => 'string',
        'size_file_count' => 'string',
        'size_file_count_limit' => 'string',
        'size_date' => 'string',
        'size_priority_scan' => 'string',
        'copy_logs' => 'string',
        'content_comments' => 'string',
        'content_comments_verbose' => 'string',
        'meta_save_count' => 'string',
        'base_folder' => 'string',
        'virtualhost_conf' => 'string',
        'virtualhost_server' => 'string',
        'virtualhost_server_conf' => 'string',
        'live_day_count' => 'string',
        'scan_date' => 'string',
        'global_transfer_count' => 'string',
        'net_limit_file' => 'string',
        'net_limit_deny_from_ip' => 'string',
        'net_limit_deny_from_agent' => 'string',
        'apache_php_pooled' => 'string',
        'apache_php_pooled_ext' => 'string',
        'apache_php_pooled_ext_auto' => 'string',
        'apache_php_pool1_only' => 'string',
        'apache_php_pool5_only' => 'string',
        'apache_ssi' => 'string',
        'bypass_security' => 'string',
        'flag_generic_exec' => 'string',
        'flag_no_www' => 'string',
        'base_folder_suffix' => 'string',
        'feedback_speed' => 'string',
        'feedback_speed_dtc' => 'string',
        'feedback_speed_feedback' => 'string',
        'unix_path_on_windows' => 'string',
        'ftp_ipfilter' => 'string',
        'ssh_ipfilter' => 'string',
        'l3d_auto' => 'string',
        'awstats_primary_domain' => 'string',
        'sharepoint_mode' => 'string',
        'sharepoint_mode_pending' => 'string',
        'apache_generic_pool_port' => 'string',
        'mongrel_environment' => 'string',
        'flag_free' => 'string',
        'rtm_scan_date' => 'string',
        'analyze_analog' => 'string',
        'cpu_details_enabled' => 'string',
        'content_moderated_status' => 'string',
        'content_moderated_date' => 'string',
        'http_frontend_ip' => 'string',
        'http_frontend_ip_transition' => 'string',
        'cpu_limit_exceeded_date' => 'string',
        'aufs_template' => 'string',
        'options_autolimit' => 'string',
        'iis_creation_commands' => 'string',
        'iis_creation_commands_unix' => 'string',
        'thumb_date' => 'string',
        'thumb_failed' => 'string',
        'backup_stat_date' => 'string',
        'backup_date' => 'string',
        'detected_packages' => 'string',
        'stat_site_power' => 'string',
        'smtp_from' => 'string',
        'super_backup_date' => 'string',
        'backup_delta_stat_date' => 'string',
        'backup_delta_date' => 'string',
        'backup_delta_desc' => 'string',
        'alt_docroot_server' => 'string',
        'alt_docroot_path' => 'string',
        'alt_docroot_status' => 'string',
        'alt_docroot_status_cnt' => 'string',
        'alt_docroot_status_date' => 'string',
        'bind_dtc' => 'string',
        'backup_special_mode' => 'string',
        'size_check_problem' => 'string',
        'wpb_domain' => 'string',
        'wpb_uuid' => 'string',
        'wpb_status' => 'string',
        'admin_protection' => 'string',
        'size_comments' => 'string',
        'alt_docroot_ssd_req' => 'string',
        'mail_limit' => 'string',
        'mail_accept' => 'string',
        'mail_drop' => 'string',
        'ftp_name' => 'string',
        'ftp_pwd' => 'string'
    );

    public static function swaggerTypes()
    {
        return self::$swaggerTypes;
    }

    /**
     * Array of attributes where the key is the local name, and the value is the original name
     * @var string[]
     */
    protected static $attributeMap = array(
        'id' => 'id',
        'status' => 'status',
        'unmovable' => 'unmovable',
        'online' => 'online',
        'deleted' => 'deleted',
        'deleted_auto' => 'deleted_auto',
        'deleted_dump' => 'deleted_dump',
        'user_id' => 'user_id',
        'ftp_id' => 'ftp_id',
        'dns_id' => 'dns_id',
        'iis_id' => 'iis_id',
        'iis_binding' => 'iis_binding',
        'iis_path' => 'iis_path',
        'iis_comments' => 'iis_comments',
        'memo' => 'memo',
        'date_reg' => 'date_reg',
        'server' => 'server',
        'server_bak' => 'server_bak',
        'server_aux' => 'server_aux',
        'server_transition' => 'server_transition',
        'server_transition_dtc' => 'server_transition_dtc',
        'block_transfer' => 'block_transfer',
        'server_changed_time' => 'server_changed_time',
        'size_amount' => 'size_amount',
        'size_file_count' => 'size_file_count',
        'size_file_count_limit' => 'size_file_count_limit',
        'size_date' => 'size_date',
        'size_priority_scan' => 'size_priority_scan',
        'copy_logs' => 'copy_logs',
        'content_comments' => 'content_comments',
        'content_comments_verbose' => 'content_comments_verbose',
        'meta_save_count' => 'meta_save_count',
        'base_folder' => 'base_folder',
        'virtualhost_conf' => 'virtualhost_conf',
        'virtualhost_server' => 'virtualhost_server',
        'virtualhost_server_conf' => 'virtualhost_server_conf',
        'live_day_count' => 'live_day_count',
        'scan_date' => 'scan_date',
        'global_transfer_count' => 'global_transfer_count',
        'net_limit_file' => 'net_limit_file',
        'net_limit_deny_from_ip' => 'net_limit_deny_from_ip',
        'net_limit_deny_from_agent' => 'net_limit_deny_from_agent',
        'apache_php_pooled' => 'apache_php_pooled',
        'apache_php_pooled_ext' => 'apache_php_pooled_ext',
        'apache_php_pooled_ext_auto' => 'apache_php_pooled_ext_auto',
        'apache_php_pool1_only' => 'apache_php_pool1_only',
        'apache_php_pool5_only' => 'apache_php_pool5_only',
        'apache_ssi' => 'apache_ssi',
        'bypass_security' => 'bypass_security',
        'flag_generic_exec' => 'flag_generic_exec',
        'flag_no_www' => 'flag_no_www',
        'base_folder_suffix' => 'base_folder_suffix',
        'feedback_speed' => 'feedback_speed',
        'feedback_speed_dtc' => 'feedback_speed_dtc',
        'feedback_speed_feedback' => 'feedback_speed_feedback',
        'unix_path_on_windows' => 'unix_path_on_windows',
        'ftp_ipfilter' => 'ftp_ipfilter',
        'ssh_ipfilter' => 'ssh_ipfilter',
        'l3d_auto' => 'l3d_auto',
        'awstats_primary_domain' => 'awstats_primary_domain',
        'sharepoint_mode' => 'sharepoint_mode',
        'sharepoint_mode_pending' => 'sharepoint_mode_pending',
        'apache_generic_pool_port' => 'apache_generic_pool_port',
        'mongrel_environment' => 'mongrel_environment',
        'flag_free' => 'flag_free',
        'rtm_scan_date' => 'rtm_scan_date',
        'analyze_analog' => 'analyze_analog',
        'cpu_details_enabled' => 'cpu_details_enabled',
        'content_moderated_status' => 'content_moderated_status',
        'content_moderated_date' => 'content_moderated_date',
        'http_frontend_ip' => 'http_frontend_ip',
        'http_frontend_ip_transition' => 'http_frontend_ip_transition',
        'cpu_limit_exceeded_date' => 'cpu_limit_exceeded_date',
        'aufs_template' => 'aufs_template',
        'options_autolimit' => 'options_autolimit',
        'iis_creation_commands' => 'iis_creation_commands',
        'iis_creation_commands_unix' => 'iis_creation_commands_unix',
        'thumb_date' => 'thumb_date',
        'thumb_failed' => 'thumb_failed',
        'backup_stat_date' => 'backup_stat_date',
        'backup_date' => 'backup_date',
        'detected_packages' => 'detected_packages',
        'stat_site_power' => 'stat_site_power',
        'smtp_from' => 'smtp_from',
        'super_backup_date' => 'super_backup_date',
        'backup_delta_stat_date' => 'backup_delta_stat_date',
        'backup_delta_date' => 'backup_delta_date',
        'backup_delta_desc' => 'backup_delta_desc',
        'alt_docroot_server' => 'alt_docroot_server',
        'alt_docroot_path' => 'alt_docroot_path',
        'alt_docroot_status' => 'alt_docroot_status',
        'alt_docroot_status_cnt' => 'alt_docroot_status_cnt',
        'alt_docroot_status_date' => 'alt_docroot_status_date',
        'bind_dtc' => 'bind_dtc',
        'backup_special_mode' => 'backup_special_mode',
        'size_check_problem' => 'size_check_problem',
        'wpb_domain' => 'wpb_domain',
        'wpb_uuid' => 'wpb_uuid',
        'wpb_status' => 'wpb_status',
        'admin_protection' => 'admin_protection',
        'size_comments' => 'size_comments',
        'alt_docroot_ssd_req' => 'alt_docroot_ssd_req',
        'mail_limit' => 'mail_limit',
        'mail_accept' => 'mail_accept',
        'mail_drop' => 'mail_drop',
        'ftp_name' => 'ftp_name',
        'ftp_pwd' => 'ftp_pwd'
    );

    public static function attributeMap()
    {
        return self::$attributeMap;
    }

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     * @var string[]
     */
    protected static $setters = array(
        'id' => 'setId',
        'status' => 'setStatus',
        'unmovable' => 'setUnmovable',
        'online' => 'setOnline',
        'deleted' => 'setDeleted',
        'deleted_auto' => 'setDeletedAuto',
        'deleted_dump' => 'setDeletedDump',
        'user_id' => 'setUserId',
        'ftp_id' => 'setFtpId',
        'dns_id' => 'setDnsId',
        'iis_id' => 'setIisId',
        'iis_binding' => 'setIisBinding',
        'iis_path' => 'setIisPath',
        'iis_comments' => 'setIisComments',
        'memo' => 'setMemo',
        'date_reg' => 'setDateReg',
        'server' => 'setServer',
        'server_bak' => 'setServerBak',
        'server_aux' => 'setServerAux',
        'server_transition' => 'setServerTransition',
        'server_transition_dtc' => 'setServerTransitionDtc',
        'block_transfer' => 'setBlockTransfer',
        'server_changed_time' => 'setServerChangedTime',
        'size_amount' => 'setSizeAmount',
        'size_file_count' => 'setSizeFileCount',
        'size_file_count_limit' => 'setSizeFileCountLimit',
        'size_date' => 'setSizeDate',
        'size_priority_scan' => 'setSizePriorityScan',
        'copy_logs' => 'setCopyLogs',
        'content_comments' => 'setContentComments',
        'content_comments_verbose' => 'setContentCommentsVerbose',
        'meta_save_count' => 'setMetaSaveCount',
        'base_folder' => 'setBaseFolder',
        'virtualhost_conf' => 'setVirtualhostConf',
        'virtualhost_server' => 'setVirtualhostServer',
        'virtualhost_server_conf' => 'setVirtualhostServerConf',
        'live_day_count' => 'setLiveDayCount',
        'scan_date' => 'setScanDate',
        'global_transfer_count' => 'setGlobalTransferCount',
        'net_limit_file' => 'setNetLimitFile',
        'net_limit_deny_from_ip' => 'setNetLimitDenyFromIp',
        'net_limit_deny_from_agent' => 'setNetLimitDenyFromAgent',
        'apache_php_pooled' => 'setApachePhpPooled',
        'apache_php_pooled_ext' => 'setApachePhpPooledExt',
        'apache_php_pooled_ext_auto' => 'setApachePhpPooledExtAuto',
        'apache_php_pool1_only' => 'setApachePhpPool1Only',
        'apache_php_pool5_only' => 'setApachePhpPool5Only',
        'apache_ssi' => 'setApacheSsi',
        'bypass_security' => 'setBypassSecurity',
        'flag_generic_exec' => 'setFlagGenericExec',
        'flag_no_www' => 'setFlagNoWww',
        'base_folder_suffix' => 'setBaseFolderSuffix',
        'feedback_speed' => 'setFeedbackSpeed',
        'feedback_speed_dtc' => 'setFeedbackSpeedDtc',
        'feedback_speed_feedback' => 'setFeedbackSpeedFeedback',
        'unix_path_on_windows' => 'setUnixPathOnWindows',
        'ftp_ipfilter' => 'setFtpIpfilter',
        'ssh_ipfilter' => 'setSshIpfilter',
        'l3d_auto' => 'setL3dAuto',
        'awstats_primary_domain' => 'setAwstatsPrimaryDomain',
        'sharepoint_mode' => 'setSharepointMode',
        'sharepoint_mode_pending' => 'setSharepointModePending',
        'apache_generic_pool_port' => 'setApacheGenericPoolPort',
        'mongrel_environment' => 'setMongrelEnvironment',
        'flag_free' => 'setFlagFree',
        'rtm_scan_date' => 'setRtmScanDate',
        'analyze_analog' => 'setAnalyzeAnalog',
        'cpu_details_enabled' => 'setCpuDetailsEnabled',
        'content_moderated_status' => 'setContentModeratedStatus',
        'content_moderated_date' => 'setContentModeratedDate',
        'http_frontend_ip' => 'setHttpFrontendIp',
        'http_frontend_ip_transition' => 'setHttpFrontendIpTransition',
        'cpu_limit_exceeded_date' => 'setCpuLimitExceededDate',
        'aufs_template' => 'setAufsTemplate',
        'options_autolimit' => 'setOptionsAutolimit',
        'iis_creation_commands' => 'setIisCreationCommands',
        'iis_creation_commands_unix' => 'setIisCreationCommandsUnix',
        'thumb_date' => 'setThumbDate',
        'thumb_failed' => 'setThumbFailed',
        'backup_stat_date' => 'setBackupStatDate',
        'backup_date' => 'setBackupDate',
        'detected_packages' => 'setDetectedPackages',
        'stat_site_power' => 'setStatSitePower',
        'smtp_from' => 'setSmtpFrom',
        'super_backup_date' => 'setSuperBackupDate',
        'backup_delta_stat_date' => 'setBackupDeltaStatDate',
        'backup_delta_date' => 'setBackupDeltaDate',
        'backup_delta_desc' => 'setBackupDeltaDesc',
        'alt_docroot_server' => 'setAltDocrootServer',
        'alt_docroot_path' => 'setAltDocrootPath',
        'alt_docroot_status' => 'setAltDocrootStatus',
        'alt_docroot_status_cnt' => 'setAltDocrootStatusCnt',
        'alt_docroot_status_date' => 'setAltDocrootStatusDate',
        'bind_dtc' => 'setBindDtc',
        'backup_special_mode' => 'setBackupSpecialMode',
        'size_check_problem' => 'setSizeCheckProblem',
        'wpb_domain' => 'setWpbDomain',
        'wpb_uuid' => 'setWpbUuid',
        'wpb_status' => 'setWpbStatus',
        'admin_protection' => 'setAdminProtection',
        'size_comments' => 'setSizeComments',
        'alt_docroot_ssd_req' => 'setAltDocrootSsdReq',
        'mail_limit' => 'setMailLimit',
        'mail_accept' => 'setMailAccept',
        'mail_drop' => 'setMailDrop',
        'ftp_name' => 'setFtpName',
        'ftp_pwd' => 'setFtpPwd'
    );

    public static function setters()
    {
        return self::$setters;
    }

    /**
     * Array of attributes to getter functions (for serialization of requests)
     * @var string[]
     */
    protected static $getters = array(
        'id' => 'getId',
        'status' => 'getStatus',
        'unmovable' => 'getUnmovable',
        'online' => 'getOnline',
        'deleted' => 'getDeleted',
        'deleted_auto' => 'getDeletedAuto',
        'deleted_dump' => 'getDeletedDump',
        'user_id' => 'getUserId',
        'ftp_id' => 'getFtpId',
        'dns_id' => 'getDnsId',
        'iis_id' => 'getIisId',
        'iis_binding' => 'getIisBinding',
        'iis_path' => 'getIisPath',
        'iis_comments' => 'getIisComments',
        'memo' => 'getMemo',
        'date_reg' => 'getDateReg',
        'server' => 'getServer',
        'server_bak' => 'getServerBak',
        'server_aux' => 'getServerAux',
        'server_transition' => 'getServerTransition',
        'server_transition_dtc' => 'getServerTransitionDtc',
        'block_transfer' => 'getBlockTransfer',
        'server_changed_time' => 'getServerChangedTime',
        'size_amount' => 'getSizeAmount',
        'size_file_count' => 'getSizeFileCount',
        'size_file_count_limit' => 'getSizeFileCountLimit',
        'size_date' => 'getSizeDate',
        'size_priority_scan' => 'getSizePriorityScan',
        'copy_logs' => 'getCopyLogs',
        'content_comments' => 'getContentComments',
        'content_comments_verbose' => 'getContentCommentsVerbose',
        'meta_save_count' => 'getMetaSaveCount',
        'base_folder' => 'getBaseFolder',
        'virtualhost_conf' => 'getVirtualhostConf',
        'virtualhost_server' => 'getVirtualhostServer',
        'virtualhost_server_conf' => 'getVirtualhostServerConf',
        'live_day_count' => 'getLiveDayCount',
        'scan_date' => 'getScanDate',
        'global_transfer_count' => 'getGlobalTransferCount',
        'net_limit_file' => 'getNetLimitFile',
        'net_limit_deny_from_ip' => 'getNetLimitDenyFromIp',
        'net_limit_deny_from_agent' => 'getNetLimitDenyFromAgent',
        'apache_php_pooled' => 'getApachePhpPooled',
        'apache_php_pooled_ext' => 'getApachePhpPooledExt',
        'apache_php_pooled_ext_auto' => 'getApachePhpPooledExtAuto',
        'apache_php_pool1_only' => 'getApachePhpPool1Only',
        'apache_php_pool5_only' => 'getApachePhpPool5Only',
        'apache_ssi' => 'getApacheSsi',
        'bypass_security' => 'getBypassSecurity',
        'flag_generic_exec' => 'getFlagGenericExec',
        'flag_no_www' => 'getFlagNoWww',
        'base_folder_suffix' => 'getBaseFolderSuffix',
        'feedback_speed' => 'getFeedbackSpeed',
        'feedback_speed_dtc' => 'getFeedbackSpeedDtc',
        'feedback_speed_feedback' => 'getFeedbackSpeedFeedback',
        'unix_path_on_windows' => 'getUnixPathOnWindows',
        'ftp_ipfilter' => 'getFtpIpfilter',
        'ssh_ipfilter' => 'getSshIpfilter',
        'l3d_auto' => 'getL3dAuto',
        'awstats_primary_domain' => 'getAwstatsPrimaryDomain',
        'sharepoint_mode' => 'getSharepointMode',
        'sharepoint_mode_pending' => 'getSharepointModePending',
        'apache_generic_pool_port' => 'getApacheGenericPoolPort',
        'mongrel_environment' => 'getMongrelEnvironment',
        'flag_free' => 'getFlagFree',
        'rtm_scan_date' => 'getRtmScanDate',
        'analyze_analog' => 'getAnalyzeAnalog',
        'cpu_details_enabled' => 'getCpuDetailsEnabled',
        'content_moderated_status' => 'getContentModeratedStatus',
        'content_moderated_date' => 'getContentModeratedDate',
        'http_frontend_ip' => 'getHttpFrontendIp',
        'http_frontend_ip_transition' => 'getHttpFrontendIpTransition',
        'cpu_limit_exceeded_date' => 'getCpuLimitExceededDate',
        'aufs_template' => 'getAufsTemplate',
        'options_autolimit' => 'getOptionsAutolimit',
        'iis_creation_commands' => 'getIisCreationCommands',
        'iis_creation_commands_unix' => 'getIisCreationCommandsUnix',
        'thumb_date' => 'getThumbDate',
        'thumb_failed' => 'getThumbFailed',
        'backup_stat_date' => 'getBackupStatDate',
        'backup_date' => 'getBackupDate',
        'detected_packages' => 'getDetectedPackages',
        'stat_site_power' => 'getStatSitePower',
        'smtp_from' => 'getSmtpFrom',
        'super_backup_date' => 'getSuperBackupDate',
        'backup_delta_stat_date' => 'getBackupDeltaStatDate',
        'backup_delta_date' => 'getBackupDeltaDate',
        'backup_delta_desc' => 'getBackupDeltaDesc',
        'alt_docroot_server' => 'getAltDocrootServer',
        'alt_docroot_path' => 'getAltDocrootPath',
        'alt_docroot_status' => 'getAltDocrootStatus',
        'alt_docroot_status_cnt' => 'getAltDocrootStatusCnt',
        'alt_docroot_status_date' => 'getAltDocrootStatusDate',
        'bind_dtc' => 'getBindDtc',
        'backup_special_mode' => 'getBackupSpecialMode',
        'size_check_problem' => 'getSizeCheckProblem',
        'wpb_domain' => 'getWpbDomain',
        'wpb_uuid' => 'getWpbUuid',
        'wpb_status' => 'getWpbStatus',
        'admin_protection' => 'getAdminProtection',
        'size_comments' => 'getSizeComments',
        'alt_docroot_ssd_req' => 'getAltDocrootSsdReq',
        'mail_limit' => 'getMailLimit',
        'mail_accept' => 'getMailAccept',
        'mail_drop' => 'getMailDrop',
        'ftp_name' => 'getFtpName',
        'ftp_pwd' => 'getFtpPwd'
    );

    public static function getters()
    {
        return self::$getters;
    }

    

    

    /**
     * Associative array for storing property values
     * @var mixed[]
     */
    protected $container = array();

    /**
     * Constructor
     * @param mixed[] $data Associated array of property value initalizing the model
     */
    public function __construct(array $data = null)
    {
        $this->container['id'] = isset($data['id']) ? $data['id'] : null;
        $this->container['status'] = isset($data['status']) ? $data['status'] : null;
        $this->container['unmovable'] = isset($data['unmovable']) ? $data['unmovable'] : null;
        $this->container['online'] = isset($data['online']) ? $data['online'] : null;
        $this->container['deleted'] = isset($data['deleted']) ? $data['deleted'] : null;
        $this->container['deleted_auto'] = isset($data['deleted_auto']) ? $data['deleted_auto'] : null;
        $this->container['deleted_dump'] = isset($data['deleted_dump']) ? $data['deleted_dump'] : null;
        $this->container['user_id'] = isset($data['user_id']) ? $data['user_id'] : null;
        $this->container['ftp_id'] = isset($data['ftp_id']) ? $data['ftp_id'] : null;
        $this->container['dns_id'] = isset($data['dns_id']) ? $data['dns_id'] : null;
        $this->container['iis_id'] = isset($data['iis_id']) ? $data['iis_id'] : null;
        $this->container['iis_binding'] = isset($data['iis_binding']) ? $data['iis_binding'] : null;
        $this->container['iis_path'] = isset($data['iis_path']) ? $data['iis_path'] : null;
        $this->container['iis_comments'] = isset($data['iis_comments']) ? $data['iis_comments'] : null;
        $this->container['memo'] = isset($data['memo']) ? $data['memo'] : null;
        $this->container['date_reg'] = isset($data['date_reg']) ? $data['date_reg'] : null;
        $this->container['server'] = isset($data['server']) ? $data['server'] : null;
        $this->container['server_bak'] = isset($data['server_bak']) ? $data['server_bak'] : null;
        $this->container['server_aux'] = isset($data['server_aux']) ? $data['server_aux'] : null;
        $this->container['server_transition'] = isset($data['server_transition']) ? $data['server_transition'] : null;
        $this->container['server_transition_dtc'] = isset($data['server_transition_dtc']) ? $data['server_transition_dtc'] : null;
        $this->container['block_transfer'] = isset($data['block_transfer']) ? $data['block_transfer'] : null;
        $this->container['server_changed_time'] = isset($data['server_changed_time']) ? $data['server_changed_time'] : null;
        $this->container['size_amount'] = isset($data['size_amount']) ? $data['size_amount'] : null;
        $this->container['size_file_count'] = isset($data['size_file_count']) ? $data['size_file_count'] : null;
        $this->container['size_file_count_limit'] = isset($data['size_file_count_limit']) ? $data['size_file_count_limit'] : null;
        $this->container['size_date'] = isset($data['size_date']) ? $data['size_date'] : null;
        $this->container['size_priority_scan'] = isset($data['size_priority_scan']) ? $data['size_priority_scan'] : null;
        $this->container['copy_logs'] = isset($data['copy_logs']) ? $data['copy_logs'] : null;
        $this->container['content_comments'] = isset($data['content_comments']) ? $data['content_comments'] : null;
        $this->container['content_comments_verbose'] = isset($data['content_comments_verbose']) ? $data['content_comments_verbose'] : null;
        $this->container['meta_save_count'] = isset($data['meta_save_count']) ? $data['meta_save_count'] : null;
        $this->container['base_folder'] = isset($data['base_folder']) ? $data['base_folder'] : null;
        $this->container['virtualhost_conf'] = isset($data['virtualhost_conf']) ? $data['virtualhost_conf'] : null;
        $this->container['virtualhost_server'] = isset($data['virtualhost_server']) ? $data['virtualhost_server'] : null;
        $this->container['virtualhost_server_conf'] = isset($data['virtualhost_server_conf']) ? $data['virtualhost_server_conf'] : null;
        $this->container['live_day_count'] = isset($data['live_day_count']) ? $data['live_day_count'] : null;
        $this->container['scan_date'] = isset($data['scan_date']) ? $data['scan_date'] : null;
        $this->container['global_transfer_count'] = isset($data['global_transfer_count']) ? $data['global_transfer_count'] : null;
        $this->container['net_limit_file'] = isset($data['net_limit_file']) ? $data['net_limit_file'] : null;
        $this->container['net_limit_deny_from_ip'] = isset($data['net_limit_deny_from_ip']) ? $data['net_limit_deny_from_ip'] : null;
        $this->container['net_limit_deny_from_agent'] = isset($data['net_limit_deny_from_agent']) ? $data['net_limit_deny_from_agent'] : null;
        $this->container['apache_php_pooled'] = isset($data['apache_php_pooled']) ? $data['apache_php_pooled'] : null;
        $this->container['apache_php_pooled_ext'] = isset($data['apache_php_pooled_ext']) ? $data['apache_php_pooled_ext'] : null;
        $this->container['apache_php_pooled_ext_auto'] = isset($data['apache_php_pooled_ext_auto']) ? $data['apache_php_pooled_ext_auto'] : null;
        $this->container['apache_php_pool1_only'] = isset($data['apache_php_pool1_only']) ? $data['apache_php_pool1_only'] : null;
        $this->container['apache_php_pool5_only'] = isset($data['apache_php_pool5_only']) ? $data['apache_php_pool5_only'] : null;
        $this->container['apache_ssi'] = isset($data['apache_ssi']) ? $data['apache_ssi'] : null;
        $this->container['bypass_security'] = isset($data['bypass_security']) ? $data['bypass_security'] : null;
        $this->container['flag_generic_exec'] = isset($data['flag_generic_exec']) ? $data['flag_generic_exec'] : null;
        $this->container['flag_no_www'] = isset($data['flag_no_www']) ? $data['flag_no_www'] : null;
        $this->container['base_folder_suffix'] = isset($data['base_folder_suffix']) ? $data['base_folder_suffix'] : null;
        $this->container['feedback_speed'] = isset($data['feedback_speed']) ? $data['feedback_speed'] : null;
        $this->container['feedback_speed_dtc'] = isset($data['feedback_speed_dtc']) ? $data['feedback_speed_dtc'] : null;
        $this->container['feedback_speed_feedback'] = isset($data['feedback_speed_feedback']) ? $data['feedback_speed_feedback'] : null;
        $this->container['unix_path_on_windows'] = isset($data['unix_path_on_windows']) ? $data['unix_path_on_windows'] : null;
        $this->container['ftp_ipfilter'] = isset($data['ftp_ipfilter']) ? $data['ftp_ipfilter'] : null;
        $this->container['ssh_ipfilter'] = isset($data['ssh_ipfilter']) ? $data['ssh_ipfilter'] : null;
        $this->container['l3d_auto'] = isset($data['l3d_auto']) ? $data['l3d_auto'] : null;
        $this->container['awstats_primary_domain'] = isset($data['awstats_primary_domain']) ? $data['awstats_primary_domain'] : null;
        $this->container['sharepoint_mode'] = isset($data['sharepoint_mode']) ? $data['sharepoint_mode'] : null;
        $this->container['sharepoint_mode_pending'] = isset($data['sharepoint_mode_pending']) ? $data['sharepoint_mode_pending'] : null;
        $this->container['apache_generic_pool_port'] = isset($data['apache_generic_pool_port']) ? $data['apache_generic_pool_port'] : null;
        $this->container['mongrel_environment'] = isset($data['mongrel_environment']) ? $data['mongrel_environment'] : null;
        $this->container['flag_free'] = isset($data['flag_free']) ? $data['flag_free'] : null;
        $this->container['rtm_scan_date'] = isset($data['rtm_scan_date']) ? $data['rtm_scan_date'] : null;
        $this->container['analyze_analog'] = isset($data['analyze_analog']) ? $data['analyze_analog'] : null;
        $this->container['cpu_details_enabled'] = isset($data['cpu_details_enabled']) ? $data['cpu_details_enabled'] : null;
        $this->container['content_moderated_status'] = isset($data['content_moderated_status']) ? $data['content_moderated_status'] : null;
        $this->container['content_moderated_date'] = isset($data['content_moderated_date']) ? $data['content_moderated_date'] : null;
        $this->container['http_frontend_ip'] = isset($data['http_frontend_ip']) ? $data['http_frontend_ip'] : null;
        $this->container['http_frontend_ip_transition'] = isset($data['http_frontend_ip_transition']) ? $data['http_frontend_ip_transition'] : null;
        $this->container['cpu_limit_exceeded_date'] = isset($data['cpu_limit_exceeded_date']) ? $data['cpu_limit_exceeded_date'] : null;
        $this->container['aufs_template'] = isset($data['aufs_template']) ? $data['aufs_template'] : null;
        $this->container['options_autolimit'] = isset($data['options_autolimit']) ? $data['options_autolimit'] : null;
        $this->container['iis_creation_commands'] = isset($data['iis_creation_commands']) ? $data['iis_creation_commands'] : null;
        $this->container['iis_creation_commands_unix'] = isset($data['iis_creation_commands_unix']) ? $data['iis_creation_commands_unix'] : null;
        $this->container['thumb_date'] = isset($data['thumb_date']) ? $data['thumb_date'] : null;
        $this->container['thumb_failed'] = isset($data['thumb_failed']) ? $data['thumb_failed'] : null;
        $this->container['backup_stat_date'] = isset($data['backup_stat_date']) ? $data['backup_stat_date'] : null;
        $this->container['backup_date'] = isset($data['backup_date']) ? $data['backup_date'] : null;
        $this->container['detected_packages'] = isset($data['detected_packages']) ? $data['detected_packages'] : null;
        $this->container['stat_site_power'] = isset($data['stat_site_power']) ? $data['stat_site_power'] : null;
        $this->container['smtp_from'] = isset($data['smtp_from']) ? $data['smtp_from'] : null;
        $this->container['super_backup_date'] = isset($data['super_backup_date']) ? $data['super_backup_date'] : null;
        $this->container['backup_delta_stat_date'] = isset($data['backup_delta_stat_date']) ? $data['backup_delta_stat_date'] : null;
        $this->container['backup_delta_date'] = isset($data['backup_delta_date']) ? $data['backup_delta_date'] : null;
        $this->container['backup_delta_desc'] = isset($data['backup_delta_desc']) ? $data['backup_delta_desc'] : null;
        $this->container['alt_docroot_server'] = isset($data['alt_docroot_server']) ? $data['alt_docroot_server'] : null;
        $this->container['alt_docroot_path'] = isset($data['alt_docroot_path']) ? $data['alt_docroot_path'] : null;
        $this->container['alt_docroot_status'] = isset($data['alt_docroot_status']) ? $data['alt_docroot_status'] : null;
        $this->container['alt_docroot_status_cnt'] = isset($data['alt_docroot_status_cnt']) ? $data['alt_docroot_status_cnt'] : null;
        $this->container['alt_docroot_status_date'] = isset($data['alt_docroot_status_date']) ? $data['alt_docroot_status_date'] : null;
        $this->container['bind_dtc'] = isset($data['bind_dtc']) ? $data['bind_dtc'] : null;
        $this->container['backup_special_mode'] = isset($data['backup_special_mode']) ? $data['backup_special_mode'] : null;
        $this->container['size_check_problem'] = isset($data['size_check_problem']) ? $data['size_check_problem'] : null;
        $this->container['wpb_domain'] = isset($data['wpb_domain']) ? $data['wpb_domain'] : null;
        $this->container['wpb_uuid'] = isset($data['wpb_uuid']) ? $data['wpb_uuid'] : null;
        $this->container['wpb_status'] = isset($data['wpb_status']) ? $data['wpb_status'] : null;
        $this->container['admin_protection'] = isset($data['admin_protection']) ? $data['admin_protection'] : null;
        $this->container['size_comments'] = isset($data['size_comments']) ? $data['size_comments'] : null;
        $this->container['alt_docroot_ssd_req'] = isset($data['alt_docroot_ssd_req']) ? $data['alt_docroot_ssd_req'] : null;
        $this->container['mail_limit'] = isset($data['mail_limit']) ? $data['mail_limit'] : null;
        $this->container['mail_accept'] = isset($data['mail_accept']) ? $data['mail_accept'] : null;
        $this->container['mail_drop'] = isset($data['mail_drop']) ? $data['mail_drop'] : null;
        $this->container['ftp_name'] = isset($data['ftp_name']) ? $data['ftp_name'] : null;
        $this->container['ftp_pwd'] = isset($data['ftp_pwd']) ? $data['ftp_pwd'] : null;
    }

    /**
     * show all the invalid properties with reasons.
     *
     * @return array invalid properties with reasons
     */
    public function listInvalidProperties()
    {
        $invalid_properties = array();
        if ($this->container['id'] === null) {
            $invalid_properties[] = "'id' can't be null";
        }
        if ($this->container['status'] === null) {
            $invalid_properties[] = "'status' can't be null";
        }
        if ($this->container['unmovable'] === null) {
            $invalid_properties[] = "'unmovable' can't be null";
        }
        if ($this->container['online'] === null) {
            $invalid_properties[] = "'online' can't be null";
        }
        if ($this->container['deleted'] === null) {
            $invalid_properties[] = "'deleted' can't be null";
        }
        if ($this->container['deleted_auto'] === null) {
            $invalid_properties[] = "'deleted_auto' can't be null";
        }
        if ($this->container['deleted_dump'] === null) {
            $invalid_properties[] = "'deleted_dump' can't be null";
        }
        if ($this->container['user_id'] === null) {
            $invalid_properties[] = "'user_id' can't be null";
        }
        if ($this->container['ftp_id'] === null) {
            $invalid_properties[] = "'ftp_id' can't be null";
        }
        if ($this->container['dns_id'] === null) {
            $invalid_properties[] = "'dns_id' can't be null";
        }
        if ($this->container['iis_id'] === null) {
            $invalid_properties[] = "'iis_id' can't be null";
        }
        if ($this->container['iis_binding'] === null) {
            $invalid_properties[] = "'iis_binding' can't be null";
        }
        if ($this->container['iis_path'] === null) {
            $invalid_properties[] = "'iis_path' can't be null";
        }
        if ($this->container['iis_comments'] === null) {
            $invalid_properties[] = "'iis_comments' can't be null";
        }
        if ($this->container['memo'] === null) {
            $invalid_properties[] = "'memo' can't be null";
        }
        if ($this->container['date_reg'] === null) {
            $invalid_properties[] = "'date_reg' can't be null";
        }
        if ($this->container['server'] === null) {
            $invalid_properties[] = "'server' can't be null";
        }
        if ($this->container['server_bak'] === null) {
            $invalid_properties[] = "'server_bak' can't be null";
        }
        if ($this->container['server_aux'] === null) {
            $invalid_properties[] = "'server_aux' can't be null";
        }
        if ($this->container['server_transition'] === null) {
            $invalid_properties[] = "'server_transition' can't be null";
        }
        if ($this->container['server_transition_dtc'] === null) {
            $invalid_properties[] = "'server_transition_dtc' can't be null";
        }
        if ($this->container['block_transfer'] === null) {
            $invalid_properties[] = "'block_transfer' can't be null";
        }
        if ($this->container['server_changed_time'] === null) {
            $invalid_properties[] = "'server_changed_time' can't be null";
        }
        if ($this->container['size_amount'] === null) {
            $invalid_properties[] = "'size_amount' can't be null";
        }
        if ($this->container['size_file_count'] === null) {
            $invalid_properties[] = "'size_file_count' can't be null";
        }
        if ($this->container['size_file_count_limit'] === null) {
            $invalid_properties[] = "'size_file_count_limit' can't be null";
        }
        if ($this->container['size_date'] === null) {
            $invalid_properties[] = "'size_date' can't be null";
        }
        if ($this->container['size_priority_scan'] === null) {
            $invalid_properties[] = "'size_priority_scan' can't be null";
        }
        if ($this->container['copy_logs'] === null) {
            $invalid_properties[] = "'copy_logs' can't be null";
        }
        if ($this->container['content_comments'] === null) {
            $invalid_properties[] = "'content_comments' can't be null";
        }
        if ($this->container['content_comments_verbose'] === null) {
            $invalid_properties[] = "'content_comments_verbose' can't be null";
        }
        if ($this->container['meta_save_count'] === null) {
            $invalid_properties[] = "'meta_save_count' can't be null";
        }
        if ($this->container['base_folder'] === null) {
            $invalid_properties[] = "'base_folder' can't be null";
        }
        if ($this->container['virtualhost_conf'] === null) {
            $invalid_properties[] = "'virtualhost_conf' can't be null";
        }
        if ($this->container['virtualhost_server'] === null) {
            $invalid_properties[] = "'virtualhost_server' can't be null";
        }
        if ($this->container['virtualhost_server_conf'] === null) {
            $invalid_properties[] = "'virtualhost_server_conf' can't be null";
        }
        if ($this->container['live_day_count'] === null) {
            $invalid_properties[] = "'live_day_count' can't be null";
        }
        if ($this->container['scan_date'] === null) {
            $invalid_properties[] = "'scan_date' can't be null";
        }
        if ($this->container['global_transfer_count'] === null) {
            $invalid_properties[] = "'global_transfer_count' can't be null";
        }
        if ($this->container['net_limit_file'] === null) {
            $invalid_properties[] = "'net_limit_file' can't be null";
        }
        if ($this->container['net_limit_deny_from_ip'] === null) {
            $invalid_properties[] = "'net_limit_deny_from_ip' can't be null";
        }
        if ($this->container['net_limit_deny_from_agent'] === null) {
            $invalid_properties[] = "'net_limit_deny_from_agent' can't be null";
        }
        if ($this->container['apache_php_pooled'] === null) {
            $invalid_properties[] = "'apache_php_pooled' can't be null";
        }
        if ($this->container['apache_php_pooled_ext'] === null) {
            $invalid_properties[] = "'apache_php_pooled_ext' can't be null";
        }
        if ($this->container['apache_php_pooled_ext_auto'] === null) {
            $invalid_properties[] = "'apache_php_pooled_ext_auto' can't be null";
        }
        if ($this->container['apache_php_pool1_only'] === null) {
            $invalid_properties[] = "'apache_php_pool1_only' can't be null";
        }
        if ($this->container['apache_php_pool5_only'] === null) {
            $invalid_properties[] = "'apache_php_pool5_only' can't be null";
        }
        if ($this->container['apache_ssi'] === null) {
            $invalid_properties[] = "'apache_ssi' can't be null";
        }
        if ($this->container['bypass_security'] === null) {
            $invalid_properties[] = "'bypass_security' can't be null";
        }
        if ($this->container['flag_generic_exec'] === null) {
            $invalid_properties[] = "'flag_generic_exec' can't be null";
        }
        if ($this->container['flag_no_www'] === null) {
            $invalid_properties[] = "'flag_no_www' can't be null";
        }
        if ($this->container['base_folder_suffix'] === null) {
            $invalid_properties[] = "'base_folder_suffix' can't be null";
        }
        if ($this->container['feedback_speed'] === null) {
            $invalid_properties[] = "'feedback_speed' can't be null";
        }
        if ($this->container['feedback_speed_dtc'] === null) {
            $invalid_properties[] = "'feedback_speed_dtc' can't be null";
        }
        if ($this->container['feedback_speed_feedback'] === null) {
            $invalid_properties[] = "'feedback_speed_feedback' can't be null";
        }
        if ($this->container['unix_path_on_windows'] === null) {
            $invalid_properties[] = "'unix_path_on_windows' can't be null";
        }
        if ($this->container['ftp_ipfilter'] === null) {
            $invalid_properties[] = "'ftp_ipfilter' can't be null";
        }
        if ($this->container['ssh_ipfilter'] === null) {
            $invalid_properties[] = "'ssh_ipfilter' can't be null";
        }
        if ($this->container['l3d_auto'] === null) {
            $invalid_properties[] = "'l3d_auto' can't be null";
        }
        if ($this->container['awstats_primary_domain'] === null) {
            $invalid_properties[] = "'awstats_primary_domain' can't be null";
        }
        if ($this->container['sharepoint_mode'] === null) {
            $invalid_properties[] = "'sharepoint_mode' can't be null";
        }
        if ($this->container['sharepoint_mode_pending'] === null) {
            $invalid_properties[] = "'sharepoint_mode_pending' can't be null";
        }
        if ($this->container['apache_generic_pool_port'] === null) {
            $invalid_properties[] = "'apache_generic_pool_port' can't be null";
        }
        if ($this->container['mongrel_environment'] === null) {
            $invalid_properties[] = "'mongrel_environment' can't be null";
        }
        if ($this->container['flag_free'] === null) {
            $invalid_properties[] = "'flag_free' can't be null";
        }
        if ($this->container['rtm_scan_date'] === null) {
            $invalid_properties[] = "'rtm_scan_date' can't be null";
        }
        if ($this->container['analyze_analog'] === null) {
            $invalid_properties[] = "'analyze_analog' can't be null";
        }
        if ($this->container['cpu_details_enabled'] === null) {
            $invalid_properties[] = "'cpu_details_enabled' can't be null";
        }
        if ($this->container['content_moderated_status'] === null) {
            $invalid_properties[] = "'content_moderated_status' can't be null";
        }
        if ($this->container['content_moderated_date'] === null) {
            $invalid_properties[] = "'content_moderated_date' can't be null";
        }
        if ($this->container['http_frontend_ip'] === null) {
            $invalid_properties[] = "'http_frontend_ip' can't be null";
        }
        if ($this->container['http_frontend_ip_transition'] === null) {
            $invalid_properties[] = "'http_frontend_ip_transition' can't be null";
        }
        if ($this->container['cpu_limit_exceeded_date'] === null) {
            $invalid_properties[] = "'cpu_limit_exceeded_date' can't be null";
        }
        if ($this->container['aufs_template'] === null) {
            $invalid_properties[] = "'aufs_template' can't be null";
        }
        if ($this->container['options_autolimit'] === null) {
            $invalid_properties[] = "'options_autolimit' can't be null";
        }
        if ($this->container['iis_creation_commands'] === null) {
            $invalid_properties[] = "'iis_creation_commands' can't be null";
        }
        if ($this->container['iis_creation_commands_unix'] === null) {
            $invalid_properties[] = "'iis_creation_commands_unix' can't be null";
        }
        if ($this->container['thumb_date'] === null) {
            $invalid_properties[] = "'thumb_date' can't be null";
        }
        if ($this->container['thumb_failed'] === null) {
            $invalid_properties[] = "'thumb_failed' can't be null";
        }
        if ($this->container['backup_stat_date'] === null) {
            $invalid_properties[] = "'backup_stat_date' can't be null";
        }
        if ($this->container['backup_date'] === null) {
            $invalid_properties[] = "'backup_date' can't be null";
        }
        if ($this->container['detected_packages'] === null) {
            $invalid_properties[] = "'detected_packages' can't be null";
        }
        if ($this->container['stat_site_power'] === null) {
            $invalid_properties[] = "'stat_site_power' can't be null";
        }
        if ($this->container['smtp_from'] === null) {
            $invalid_properties[] = "'smtp_from' can't be null";
        }
        if ($this->container['super_backup_date'] === null) {
            $invalid_properties[] = "'super_backup_date' can't be null";
        }
        if ($this->container['backup_delta_stat_date'] === null) {
            $invalid_properties[] = "'backup_delta_stat_date' can't be null";
        }
        if ($this->container['backup_delta_date'] === null) {
            $invalid_properties[] = "'backup_delta_date' can't be null";
        }
        if ($this->container['backup_delta_desc'] === null) {
            $invalid_properties[] = "'backup_delta_desc' can't be null";
        }
        if ($this->container['alt_docroot_server'] === null) {
            $invalid_properties[] = "'alt_docroot_server' can't be null";
        }
        if ($this->container['alt_docroot_path'] === null) {
            $invalid_properties[] = "'alt_docroot_path' can't be null";
        }
        if ($this->container['alt_docroot_status'] === null) {
            $invalid_properties[] = "'alt_docroot_status' can't be null";
        }
        if ($this->container['alt_docroot_status_cnt'] === null) {
            $invalid_properties[] = "'alt_docroot_status_cnt' can't be null";
        }
        if ($this->container['alt_docroot_status_date'] === null) {
            $invalid_properties[] = "'alt_docroot_status_date' can't be null";
        }
        if ($this->container['bind_dtc'] === null) {
            $invalid_properties[] = "'bind_dtc' can't be null";
        }
        if ($this->container['backup_special_mode'] === null) {
            $invalid_properties[] = "'backup_special_mode' can't be null";
        }
        if ($this->container['size_check_problem'] === null) {
            $invalid_properties[] = "'size_check_problem' can't be null";
        }
        if ($this->container['wpb_domain'] === null) {
            $invalid_properties[] = "'wpb_domain' can't be null";
        }
        if ($this->container['wpb_uuid'] === null) {
            $invalid_properties[] = "'wpb_uuid' can't be null";
        }
        if ($this->container['wpb_status'] === null) {
            $invalid_properties[] = "'wpb_status' can't be null";
        }
        if ($this->container['admin_protection'] === null) {
            $invalid_properties[] = "'admin_protection' can't be null";
        }
        if ($this->container['size_comments'] === null) {
            $invalid_properties[] = "'size_comments' can't be null";
        }
        if ($this->container['alt_docroot_ssd_req'] === null) {
            $invalid_properties[] = "'alt_docroot_ssd_req' can't be null";
        }
        if ($this->container['mail_limit'] === null) {
            $invalid_properties[] = "'mail_limit' can't be null";
        }
        if ($this->container['mail_accept'] === null) {
            $invalid_properties[] = "'mail_accept' can't be null";
        }
        if ($this->container['mail_drop'] === null) {
            $invalid_properties[] = "'mail_drop' can't be null";
        }
        if ($this->container['ftp_name'] === null) {
            $invalid_properties[] = "'ftp_name' can't be null";
        }
        if ($this->container['ftp_pwd'] === null) {
            $invalid_properties[] = "'ftp_pwd' can't be null";
        }
        return $invalid_properties;
    }

    /**
     * validate all the properties in the model
     * return true if all passed
     *
     * @return bool True if all properteis are valid
     */
    public function valid()
    {
        if ($this->container['id'] === null) {
            return false;
        }
        if ($this->container['status'] === null) {
            return false;
        }
        if ($this->container['unmovable'] === null) {
            return false;
        }
        if ($this->container['online'] === null) {
            return false;
        }
        if ($this->container['deleted'] === null) {
            return false;
        }
        if ($this->container['deleted_auto'] === null) {
            return false;
        }
        if ($this->container['deleted_dump'] === null) {
            return false;
        }
        if ($this->container['user_id'] === null) {
            return false;
        }
        if ($this->container['ftp_id'] === null) {
            return false;
        }
        if ($this->container['dns_id'] === null) {
            return false;
        }
        if ($this->container['iis_id'] === null) {
            return false;
        }
        if ($this->container['iis_binding'] === null) {
            return false;
        }
        if ($this->container['iis_path'] === null) {
            return false;
        }
        if ($this->container['iis_comments'] === null) {
            return false;
        }
        if ($this->container['memo'] === null) {
            return false;
        }
        if ($this->container['date_reg'] === null) {
            return false;
        }
        if ($this->container['server'] === null) {
            return false;
        }
        if ($this->container['server_bak'] === null) {
            return false;
        }
        if ($this->container['server_aux'] === null) {
            return false;
        }
        if ($this->container['server_transition'] === null) {
            return false;
        }
        if ($this->container['server_transition_dtc'] === null) {
            return false;
        }
        if ($this->container['block_transfer'] === null) {
            return false;
        }
        if ($this->container['server_changed_time'] === null) {
            return false;
        }
        if ($this->container['size_amount'] === null) {
            return false;
        }
        if ($this->container['size_file_count'] === null) {
            return false;
        }
        if ($this->container['size_file_count_limit'] === null) {
            return false;
        }
        if ($this->container['size_date'] === null) {
            return false;
        }
        if ($this->container['size_priority_scan'] === null) {
            return false;
        }
        if ($this->container['copy_logs'] === null) {
            return false;
        }
        if ($this->container['content_comments'] === null) {
            return false;
        }
        if ($this->container['content_comments_verbose'] === null) {
            return false;
        }
        if ($this->container['meta_save_count'] === null) {
            return false;
        }
        if ($this->container['base_folder'] === null) {
            return false;
        }
        if ($this->container['virtualhost_conf'] === null) {
            return false;
        }
        if ($this->container['virtualhost_server'] === null) {
            return false;
        }
        if ($this->container['virtualhost_server_conf'] === null) {
            return false;
        }
        if ($this->container['live_day_count'] === null) {
            return false;
        }
        if ($this->container['scan_date'] === null) {
            return false;
        }
        if ($this->container['global_transfer_count'] === null) {
            return false;
        }
        if ($this->container['net_limit_file'] === null) {
            return false;
        }
        if ($this->container['net_limit_deny_from_ip'] === null) {
            return false;
        }
        if ($this->container['net_limit_deny_from_agent'] === null) {
            return false;
        }
        if ($this->container['apache_php_pooled'] === null) {
            return false;
        }
        if ($this->container['apache_php_pooled_ext'] === null) {
            return false;
        }
        if ($this->container['apache_php_pooled_ext_auto'] === null) {
            return false;
        }
        if ($this->container['apache_php_pool1_only'] === null) {
            return false;
        }
        if ($this->container['apache_php_pool5_only'] === null) {
            return false;
        }
        if ($this->container['apache_ssi'] === null) {
            return false;
        }
        if ($this->container['bypass_security'] === null) {
            return false;
        }
        if ($this->container['flag_generic_exec'] === null) {
            return false;
        }
        if ($this->container['flag_no_www'] === null) {
            return false;
        }
        if ($this->container['base_folder_suffix'] === null) {
            return false;
        }
        if ($this->container['feedback_speed'] === null) {
            return false;
        }
        if ($this->container['feedback_speed_dtc'] === null) {
            return false;
        }
        if ($this->container['feedback_speed_feedback'] === null) {
            return false;
        }
        if ($this->container['unix_path_on_windows'] === null) {
            return false;
        }
        if ($this->container['ftp_ipfilter'] === null) {
            return false;
        }
        if ($this->container['ssh_ipfilter'] === null) {
            return false;
        }
        if ($this->container['l3d_auto'] === null) {
            return false;
        }
        if ($this->container['awstats_primary_domain'] === null) {
            return false;
        }
        if ($this->container['sharepoint_mode'] === null) {
            return false;
        }
        if ($this->container['sharepoint_mode_pending'] === null) {
            return false;
        }
        if ($this->container['apache_generic_pool_port'] === null) {
            return false;
        }
        if ($this->container['mongrel_environment'] === null) {
            return false;
        }
        if ($this->container['flag_free'] === null) {
            return false;
        }
        if ($this->container['rtm_scan_date'] === null) {
            return false;
        }
        if ($this->container['analyze_analog'] === null) {
            return false;
        }
        if ($this->container['cpu_details_enabled'] === null) {
            return false;
        }
        if ($this->container['content_moderated_status'] === null) {
            return false;
        }
        if ($this->container['content_moderated_date'] === null) {
            return false;
        }
        if ($this->container['http_frontend_ip'] === null) {
            return false;
        }
        if ($this->container['http_frontend_ip_transition'] === null) {
            return false;
        }
        if ($this->container['cpu_limit_exceeded_date'] === null) {
            return false;
        }
        if ($this->container['aufs_template'] === null) {
            return false;
        }
        if ($this->container['options_autolimit'] === null) {
            return false;
        }
        if ($this->container['iis_creation_commands'] === null) {
            return false;
        }
        if ($this->container['iis_creation_commands_unix'] === null) {
            return false;
        }
        if ($this->container['thumb_date'] === null) {
            return false;
        }
        if ($this->container['thumb_failed'] === null) {
            return false;
        }
        if ($this->container['backup_stat_date'] === null) {
            return false;
        }
        if ($this->container['backup_date'] === null) {
            return false;
        }
        if ($this->container['detected_packages'] === null) {
            return false;
        }
        if ($this->container['stat_site_power'] === null) {
            return false;
        }
        if ($this->container['smtp_from'] === null) {
            return false;
        }
        if ($this->container['super_backup_date'] === null) {
            return false;
        }
        if ($this->container['backup_delta_stat_date'] === null) {
            return false;
        }
        if ($this->container['backup_delta_date'] === null) {
            return false;
        }
        if ($this->container['backup_delta_desc'] === null) {
            return false;
        }
        if ($this->container['alt_docroot_server'] === null) {
            return false;
        }
        if ($this->container['alt_docroot_path'] === null) {
            return false;
        }
        if ($this->container['alt_docroot_status'] === null) {
            return false;
        }
        if ($this->container['alt_docroot_status_cnt'] === null) {
            return false;
        }
        if ($this->container['alt_docroot_status_date'] === null) {
            return false;
        }
        if ($this->container['bind_dtc'] === null) {
            return false;
        }
        if ($this->container['backup_special_mode'] === null) {
            return false;
        }
        if ($this->container['size_check_problem'] === null) {
            return false;
        }
        if ($this->container['wpb_domain'] === null) {
            return false;
        }
        if ($this->container['wpb_uuid'] === null) {
            return false;
        }
        if ($this->container['wpb_status'] === null) {
            return false;
        }
        if ($this->container['admin_protection'] === null) {
            return false;
        }
        if ($this->container['size_comments'] === null) {
            return false;
        }
        if ($this->container['alt_docroot_ssd_req'] === null) {
            return false;
        }
        if ($this->container['mail_limit'] === null) {
            return false;
        }
        if ($this->container['mail_accept'] === null) {
            return false;
        }
        if ($this->container['mail_drop'] === null) {
            return false;
        }
        if ($this->container['ftp_name'] === null) {
            return false;
        }
        if ($this->container['ftp_pwd'] === null) {
            return false;
        }
        return true;
    }


    /**
     * Gets id
     * @return int
     */
    public function getId()
    {
        return $this->container['id'];
    }

    /**
     * Sets id
     * @param int $id 
     * @return $this
     */
    public function setId($id)
    {
        $this->container['id'] = $id;

        return $this;
    }

    /**
     * Gets status
     * @return string
     */
    public function getStatus()
    {
        return $this->container['status'];
    }

    /**
     * Sets status
     * @param string $status 
     * @return $this
     */
    public function setStatus($status)
    {
        $this->container['status'] = $status;

        return $this;
    }

    /**
     * Gets unmovable
     * @return string
     */
    public function getUnmovable()
    {
        return $this->container['unmovable'];
    }

    /**
     * Sets unmovable
     * @param string $unmovable 
     * @return $this
     */
    public function setUnmovable($unmovable)
    {
        $this->container['unmovable'] = $unmovable;

        return $this;
    }

    /**
     * Gets online
     * @return string
     */
    public function getOnline()
    {
        return $this->container['online'];
    }

    /**
     * Sets online
     * @param string $online Включен (активен), если true.
     * @return $this
     */
    public function setOnline($online)
    {
        $this->container['online'] = $online;

        return $this;
    }

    /**
     * Gets deleted
     * @return string
     */
    public function getDeleted()
    {
        return $this->container['deleted'];
    }

    /**
     * Sets deleted
     * @param string $deleted Удален, если true. Данные могут сохраняться.
     * @return $this
     */
    public function setDeleted($deleted)
    {
        $this->container['deleted'] = $deleted;

        return $this;
    }

    /**
     * Gets deleted_auto
     * @return string
     */
    public function getDeletedAuto()
    {
        return $this->container['deleted_auto'];
    }

    /**
     * Sets deleted_auto
     * @param string $deleted_auto Удален, если true. Данные могут сохраняться.
     * @return $this
     */
    public function setDeletedAuto($deleted_auto)
    {
        $this->container['deleted_auto'] = $deleted_auto;

        return $this;
    }

    /**
     * Gets deleted_dump
     * @return string
     */
    public function getDeletedDump()
    {
        return $this->container['deleted_dump'];
    }

    /**
     * Sets deleted_dump
     * @param string $deleted_dump 
     * @return $this
     */
    public function setDeletedDump($deleted_dump)
    {
        $this->container['deleted_dump'] = $deleted_dump;

        return $this;
    }

    /**
     * Gets user_id
     * @return string
     */
    public function getUserId()
    {
        return $this->container['user_id'];
    }

    /**
     * Sets user_id
     * @param string $user_id 
     * @return $this
     */
    public function setUserId($user_id)
    {
        $this->container['user_id'] = $user_id;

        return $this;
    }

    /**
     * Gets ftp_id
     * @return string
     */
    public function getFtpId()
    {
        return $this->container['ftp_id'];
    }

    /**
     * Sets ftp_id
     * @param string $ftp_id 
     * @return $this
     */
    public function setFtpId($ftp_id)
    {
        $this->container['ftp_id'] = $ftp_id;

        return $this;
    }

    /**
     * Gets dns_id
     * @return string
     */
    public function getDnsId()
    {
        return $this->container['dns_id'];
    }

    /**
     * Sets dns_id
     * @param string $dns_id 
     * @return $this
     */
    public function setDnsId($dns_id)
    {
        $this->container['dns_id'] = $dns_id;

        return $this;
    }

    /**
     * Gets iis_id
     * @return string
     */
    public function getIisId()
    {
        return $this->container['iis_id'];
    }

    /**
     * Sets iis_id
     * @param string $iis_id 
     * @return $this
     */
    public function setIisId($iis_id)
    {
        $this->container['iis_id'] = $iis_id;

        return $this;
    }

    /**
     * Gets iis_binding
     * @return string
     */
    public function getIisBinding()
    {
        return $this->container['iis_binding'];
    }

    /**
     * Sets iis_binding
     * @param string $iis_binding 
     * @return $this
     */
    public function setIisBinding($iis_binding)
    {
        $this->container['iis_binding'] = $iis_binding;

        return $this;
    }

    /**
     * Gets iis_path
     * @return string
     */
    public function getIisPath()
    {
        return $this->container['iis_path'];
    }

    /**
     * Sets iis_path
     * @param string $iis_path 
     * @return $this
     */
    public function setIisPath($iis_path)
    {
        $this->container['iis_path'] = $iis_path;

        return $this;
    }

    /**
     * Gets iis_comments
     * @return string
     */
    public function getIisComments()
    {
        return $this->container['iis_comments'];
    }

    /**
     * Sets iis_comments
     * @param string $iis_comments Уникальное строковое имя сайта (ID).
     * @return $this
     */
    public function setIisComments($iis_comments)
    {
        $this->container['iis_comments'] = $iis_comments;

        return $this;
    }

    /**
     * Gets memo
     * @return string
     */
    public function getMemo()
    {
        return $this->container['memo'];
    }

    /**
     * Sets memo
     * @param string $memo 
     * @return $this
     */
    public function setMemo($memo)
    {
        $this->container['memo'] = $memo;

        return $this;
    }

    /**
     * Gets date_reg
     * @return string
     */
    public function getDateReg()
    {
        return $this->container['date_reg'];
    }

    /**
     * Sets date_reg
     * @param string $date_reg Дата создания.
     * @return $this
     */
    public function setDateReg($date_reg)
    {
        $this->container['date_reg'] = $date_reg;

        return $this;
    }

    /**
     * Gets server
     * @return string
     */
    public function getServer()
    {
        return $this->container['server'];
    }

    /**
     * Sets server
     * @param string $server Тип веб-сервера.
     * @return $this
     */
    public function setServer($server)
    {
        $this->container['server'] = $server;

        return $this;
    }

    /**
     * Gets server_bak
     * @return string
     */
    public function getServerBak()
    {
        return $this->container['server_bak'];
    }

    /**
     * Sets server_bak
     * @param string $server_bak 
     * @return $this
     */
    public function setServerBak($server_bak)
    {
        $this->container['server_bak'] = $server_bak;

        return $this;
    }

    /**
     * Gets server_aux
     * @return string
     */
    public function getServerAux()
    {
        return $this->container['server_aux'];
    }

    /**
     * Sets server_aux
     * @param string $server_aux 
     * @return $this
     */
    public function setServerAux($server_aux)
    {
        $this->container['server_aux'] = $server_aux;

        return $this;
    }

    /**
     * Gets server_transition
     * @return string
     */
    public function getServerTransition()
    {
        return $this->container['server_transition'];
    }

    /**
     * Sets server_transition
     * @param string $server_transition Тип сервера недавно изменялся, если true.
     * @return $this
     */
    public function setServerTransition($server_transition)
    {
        $this->container['server_transition'] = $server_transition;

        return $this;
    }

    /**
     * Gets server_transition_dtc
     * @return string
     */
    public function getServerTransitionDtc()
    {
        return $this->container['server_transition_dtc'];
    }

    /**
     * Sets server_transition_dtc
     * @param string $server_transition_dtc 
     * @return $this
     */
    public function setServerTransitionDtc($server_transition_dtc)
    {
        $this->container['server_transition_dtc'] = $server_transition_dtc;

        return $this;
    }

    /**
     * Gets block_transfer
     * @return string
     */
    public function getBlockTransfer()
    {
        return $this->container['block_transfer'];
    }

    /**
     * Sets block_transfer
     * @param string $block_transfer 
     * @return $this
     */
    public function setBlockTransfer($block_transfer)
    {
        $this->container['block_transfer'] = $block_transfer;

        return $this;
    }

    /**
     * Gets server_changed_time
     * @return string
     */
    public function getServerChangedTime()
    {
        return $this->container['server_changed_time'];
    }

    /**
     * Sets server_changed_time
     * @param string $server_changed_time 
     * @return $this
     */
    public function setServerChangedTime($server_changed_time)
    {
        $this->container['server_changed_time'] = $server_changed_time;

        return $this;
    }

    /**
     * Gets size_amount
     * @return string
     */
    public function getSizeAmount()
    {
        return $this->container['size_amount'];
    }

    /**
     * Sets size_amount
     * @param string $size_amount Размер веб-сайта - объем (Кб).
     * @return $this
     */
    public function setSizeAmount($size_amount)
    {
        $this->container['size_amount'] = $size_amount;

        return $this;
    }

    /**
     * Gets size_file_count
     * @return string
     */
    public function getSizeFileCount()
    {
        return $this->container['size_file_count'];
    }

    /**
     * Sets size_file_count
     * @param string $size_file_count Размер веб-сайта - кол-во файлов.
     * @return $this
     */
    public function setSizeFileCount($size_file_count)
    {
        $this->container['size_file_count'] = $size_file_count;

        return $this;
    }

    /**
     * Gets size_file_count_limit
     * @return string
     */
    public function getSizeFileCountLimit()
    {
        return $this->container['size_file_count_limit'];
    }

    /**
     * Sets size_file_count_limit
     * @param string $size_file_count_limit 
     * @return $this
     */
    public function setSizeFileCountLimit($size_file_count_limit)
    {
        $this->container['size_file_count_limit'] = $size_file_count_limit;

        return $this;
    }

    /**
     * Gets size_date
     * @return string
     */
    public function getSizeDate()
    {
        return $this->container['size_date'];
    }

    /**
     * Sets size_date
     * @param string $size_date Размер веб-сайта - дата замера.
     * @return $this
     */
    public function setSizeDate($size_date)
    {
        $this->container['size_date'] = $size_date;

        return $this;
    }

    /**
     * Gets size_priority_scan
     * @return string
     */
    public function getSizePriorityScan()
    {
        return $this->container['size_priority_scan'];
    }

    /**
     * Sets size_priority_scan
     * @param string $size_priority_scan 
     * @return $this
     */
    public function setSizePriorityScan($size_priority_scan)
    {
        $this->container['size_priority_scan'] = $size_priority_scan;

        return $this;
    }

    /**
     * Gets copy_logs
     * @return string
     */
    public function getCopyLogs()
    {
        return $this->container['copy_logs'];
    }

    /**
     * Sets copy_logs
     * @param string $copy_logs 
     * @return $this
     */
    public function setCopyLogs($copy_logs)
    {
        $this->container['copy_logs'] = $copy_logs;

        return $this;
    }

    /**
     * Gets content_comments
     * @return string
     */
    public function getContentComments()
    {
        return $this->container['content_comments'];
    }

    /**
     * Sets content_comments
     * @param string $content_comments 
     * @return $this
     */
    public function setContentComments($content_comments)
    {
        $this->container['content_comments'] = $content_comments;

        return $this;
    }

    /**
     * Gets content_comments_verbose
     * @return string
     */
    public function getContentCommentsVerbose()
    {
        return $this->container['content_comments_verbose'];
    }

    /**
     * Sets content_comments_verbose
     * @param string $content_comments_verbose 
     * @return $this
     */
    public function setContentCommentsVerbose($content_comments_verbose)
    {
        $this->container['content_comments_verbose'] = $content_comments_verbose;

        return $this;
    }

    /**
     * Gets meta_save_count
     * @return string
     */
    public function getMetaSaveCount()
    {
        return $this->container['meta_save_count'];
    }

    /**
     * Sets meta_save_count
     * @param string $meta_save_count 
     * @return $this
     */
    public function setMetaSaveCount($meta_save_count)
    {
        $this->container['meta_save_count'] = $meta_save_count;

        return $this;
    }

    /**
     * Gets base_folder
     * @return string
     */
    public function getBaseFolder()
    {
        return $this->container['base_folder'];
    }

    /**
     * Sets base_folder
     * @param string $base_folder 
     * @return $this
     */
    public function setBaseFolder($base_folder)
    {
        $this->container['base_folder'] = $base_folder;

        return $this;
    }

    /**
     * Gets virtualhost_conf
     * @return string
     */
    public function getVirtualhostConf()
    {
        return $this->container['virtualhost_conf'];
    }

    /**
     * Sets virtualhost_conf
     * @param string $virtualhost_conf 
     * @return $this
     */
    public function setVirtualhostConf($virtualhost_conf)
    {
        $this->container['virtualhost_conf'] = $virtualhost_conf;

        return $this;
    }

    /**
     * Gets virtualhost_server
     * @return string
     */
    public function getVirtualhostServer()
    {
        return $this->container['virtualhost_server'];
    }

    /**
     * Sets virtualhost_server
     * @param string $virtualhost_server 
     * @return $this
     */
    public function setVirtualhostServer($virtualhost_server)
    {
        $this->container['virtualhost_server'] = $virtualhost_server;

        return $this;
    }

    /**
     * Gets virtualhost_server_conf
     * @return string
     */
    public function getVirtualhostServerConf()
    {
        return $this->container['virtualhost_server_conf'];
    }

    /**
     * Sets virtualhost_server_conf
     * @param string $virtualhost_server_conf 
     * @return $this
     */
    public function setVirtualhostServerConf($virtualhost_server_conf)
    {
        $this->container['virtualhost_server_conf'] = $virtualhost_server_conf;

        return $this;
    }

    /**
     * Gets live_day_count
     * @return string
     */
    public function getLiveDayCount()
    {
        return $this->container['live_day_count'];
    }

    /**
     * Sets live_day_count
     * @param string $live_day_count 
     * @return $this
     */
    public function setLiveDayCount($live_day_count)
    {
        $this->container['live_day_count'] = $live_day_count;

        return $this;
    }

    /**
     * Gets scan_date
     * @return string
     */
    public function getScanDate()
    {
        return $this->container['scan_date'];
    }

    /**
     * Sets scan_date
     * @param string $scan_date 
     * @return $this
     */
    public function setScanDate($scan_date)
    {
        $this->container['scan_date'] = $scan_date;

        return $this;
    }

    /**
     * Gets global_transfer_count
     * @return string
     */
    public function getGlobalTransferCount()
    {
        return $this->container['global_transfer_count'];
    }

    /**
     * Sets global_transfer_count
     * @param string $global_transfer_count 
     * @return $this
     */
    public function setGlobalTransferCount($global_transfer_count)
    {
        $this->container['global_transfer_count'] = $global_transfer_count;

        return $this;
    }

    /**
     * Gets net_limit_file
     * @return string
     */
    public function getNetLimitFile()
    {
        return $this->container['net_limit_file'];
    }

    /**
     * Sets net_limit_file
     * @param string $net_limit_file 
     * @return $this
     */
    public function setNetLimitFile($net_limit_file)
    {
        $this->container['net_limit_file'] = $net_limit_file;

        return $this;
    }

    /**
     * Gets net_limit_deny_from_ip
     * @return string
     */
    public function getNetLimitDenyFromIp()
    {
        return $this->container['net_limit_deny_from_ip'];
    }

    /**
     * Sets net_limit_deny_from_ip
     * @param string $net_limit_deny_from_ip 
     * @return $this
     */
    public function setNetLimitDenyFromIp($net_limit_deny_from_ip)
    {
        $this->container['net_limit_deny_from_ip'] = $net_limit_deny_from_ip;

        return $this;
    }

    /**
     * Gets net_limit_deny_from_agent
     * @return string
     */
    public function getNetLimitDenyFromAgent()
    {
        return $this->container['net_limit_deny_from_agent'];
    }

    /**
     * Sets net_limit_deny_from_agent
     * @param string $net_limit_deny_from_agent 
     * @return $this
     */
    public function setNetLimitDenyFromAgent($net_limit_deny_from_agent)
    {
        $this->container['net_limit_deny_from_agent'] = $net_limit_deny_from_agent;

        return $this;
    }

    /**
     * Gets apache_php_pooled
     * @return string
     */
    public function getApachePhpPooled()
    {
        return $this->container['apache_php_pooled'];
    }

    /**
     * Sets apache_php_pooled
     * @param string $apache_php_pooled 
     * @return $this
     */
    public function setApachePhpPooled($apache_php_pooled)
    {
        $this->container['apache_php_pooled'] = $apache_php_pooled;

        return $this;
    }

    /**
     * Gets apache_php_pooled_ext
     * @return string
     */
    public function getApachePhpPooledExt()
    {
        return $this->container['apache_php_pooled_ext'];
    }

    /**
     * Sets apache_php_pooled_ext
     * @param string $apache_php_pooled_ext 
     * @return $this
     */
    public function setApachePhpPooledExt($apache_php_pooled_ext)
    {
        $this->container['apache_php_pooled_ext'] = $apache_php_pooled_ext;

        return $this;
    }

    /**
     * Gets apache_php_pooled_ext_auto
     * @return string
     */
    public function getApachePhpPooledExtAuto()
    {
        return $this->container['apache_php_pooled_ext_auto'];
    }

    /**
     * Sets apache_php_pooled_ext_auto
     * @param string $apache_php_pooled_ext_auto 
     * @return $this
     */
    public function setApachePhpPooledExtAuto($apache_php_pooled_ext_auto)
    {
        $this->container['apache_php_pooled_ext_auto'] = $apache_php_pooled_ext_auto;

        return $this;
    }

    /**
     * Gets apache_php_pool1_only
     * @return string
     */
    public function getApachePhpPool1Only()
    {
        return $this->container['apache_php_pool1_only'];
    }

    /**
     * Sets apache_php_pool1_only
     * @param string $apache_php_pool1_only 
     * @return $this
     */
    public function setApachePhpPool1Only($apache_php_pool1_only)
    {
        $this->container['apache_php_pool1_only'] = $apache_php_pool1_only;

        return $this;
    }

    /**
     * Gets apache_php_pool5_only
     * @return string
     */
    public function getApachePhpPool5Only()
    {
        return $this->container['apache_php_pool5_only'];
    }

    /**
     * Sets apache_php_pool5_only
     * @param string $apache_php_pool5_only 
     * @return $this
     */
    public function setApachePhpPool5Only($apache_php_pool5_only)
    {
        $this->container['apache_php_pool5_only'] = $apache_php_pool5_only;

        return $this;
    }

    /**
     * Gets apache_ssi
     * @return string
     */
    public function getApacheSsi()
    {
        return $this->container['apache_ssi'];
    }

    /**
     * Sets apache_ssi
     * @param string $apache_ssi 
     * @return $this
     */
    public function setApacheSsi($apache_ssi)
    {
        $this->container['apache_ssi'] = $apache_ssi;

        return $this;
    }

    /**
     * Gets bypass_security
     * @return string
     */
    public function getBypassSecurity()
    {
        return $this->container['bypass_security'];
    }

    /**
     * Sets bypass_security
     * @param string $bypass_security 
     * @return $this
     */
    public function setBypassSecurity($bypass_security)
    {
        $this->container['bypass_security'] = $bypass_security;

        return $this;
    }

    /**
     * Gets flag_generic_exec
     * @return string
     */
    public function getFlagGenericExec()
    {
        return $this->container['flag_generic_exec'];
    }

    /**
     * Sets flag_generic_exec
     * @param string $flag_generic_exec 
     * @return $this
     */
    public function setFlagGenericExec($flag_generic_exec)
    {
        $this->container['flag_generic_exec'] = $flag_generic_exec;

        return $this;
    }

    /**
     * Gets flag_no_www
     * @return string
     */
    public function getFlagNoWww()
    {
        return $this->container['flag_no_www'];
    }

    /**
     * Sets flag_no_www
     * @param string $flag_no_www 
     * @return $this
     */
    public function setFlagNoWww($flag_no_www)
    {
        $this->container['flag_no_www'] = $flag_no_www;

        return $this;
    }

    /**
     * Gets base_folder_suffix
     * @return string
     */
    public function getBaseFolderSuffix()
    {
        return $this->container['base_folder_suffix'];
    }

    /**
     * Sets base_folder_suffix
     * @param string $base_folder_suffix 
     * @return $this
     */
    public function setBaseFolderSuffix($base_folder_suffix)
    {
        $this->container['base_folder_suffix'] = $base_folder_suffix;

        return $this;
    }

    /**
     * Gets feedback_speed
     * @return string
     */
    public function getFeedbackSpeed()
    {
        return $this->container['feedback_speed'];
    }

    /**
     * Sets feedback_speed
     * @param string $feedback_speed 
     * @return $this
     */
    public function setFeedbackSpeed($feedback_speed)
    {
        $this->container['feedback_speed'] = $feedback_speed;

        return $this;
    }

    /**
     * Gets feedback_speed_dtc
     * @return string
     */
    public function getFeedbackSpeedDtc()
    {
        return $this->container['feedback_speed_dtc'];
    }

    /**
     * Sets feedback_speed_dtc
     * @param string $feedback_speed_dtc 
     * @return $this
     */
    public function setFeedbackSpeedDtc($feedback_speed_dtc)
    {
        $this->container['feedback_speed_dtc'] = $feedback_speed_dtc;

        return $this;
    }

    /**
     * Gets feedback_speed_feedback
     * @return string
     */
    public function getFeedbackSpeedFeedback()
    {
        return $this->container['feedback_speed_feedback'];
    }

    /**
     * Sets feedback_speed_feedback
     * @param string $feedback_speed_feedback 
     * @return $this
     */
    public function setFeedbackSpeedFeedback($feedback_speed_feedback)
    {
        $this->container['feedback_speed_feedback'] = $feedback_speed_feedback;

        return $this;
    }

    /**
     * Gets unix_path_on_windows
     * @return string
     */
    public function getUnixPathOnWindows()
    {
        return $this->container['unix_path_on_windows'];
    }

    /**
     * Sets unix_path_on_windows
     * @param string $unix_path_on_windows 
     * @return $this
     */
    public function setUnixPathOnWindows($unix_path_on_windows)
    {
        $this->container['unix_path_on_windows'] = $unix_path_on_windows;

        return $this;
    }

    /**
     * Gets ftp_ipfilter
     * @return string
     */
    public function getFtpIpfilter()
    {
        return $this->container['ftp_ipfilter'];
    }

    /**
     * Sets ftp_ipfilter
     * @param string $ftp_ipfilter Ограничение по IP адресам - FTP доступ.
     * @return $this
     */
    public function setFtpIpfilter($ftp_ipfilter)
    {
        $this->container['ftp_ipfilter'] = $ftp_ipfilter;

        return $this;
    }

    /**
     * Gets ssh_ipfilter
     * @return string
     */
    public function getSshIpfilter()
    {
        return $this->container['ssh_ipfilter'];
    }

    /**
     * Sets ssh_ipfilter
     * @param string $ssh_ipfilter Ограничение по IP адресам - SSH доступ.
     * @return $this
     */
    public function setSshIpfilter($ssh_ipfilter)
    {
        $this->container['ssh_ipfilter'] = $ssh_ipfilter;

        return $this;
    }

    /**
     * Gets l3d_auto
     * @return string
     */
    public function getL3dAuto()
    {
        return $this->container['l3d_auto'];
    }

    /**
     * Sets l3d_auto
     * @param string $l3d_auto 
     * @return $this
     */
    public function setL3dAuto($l3d_auto)
    {
        $this->container['l3d_auto'] = $l3d_auto;

        return $this;
    }

    /**
     * Gets awstats_primary_domain
     * @return string
     */
    public function getAwstatsPrimaryDomain()
    {
        return $this->container['awstats_primary_domain'];
    }

    /**
     * Sets awstats_primary_domain
     * @param string $awstats_primary_domain 
     * @return $this
     */
    public function setAwstatsPrimaryDomain($awstats_primary_domain)
    {
        $this->container['awstats_primary_domain'] = $awstats_primary_domain;

        return $this;
    }

    /**
     * Gets sharepoint_mode
     * @return string
     */
    public function getSharepointMode()
    {
        return $this->container['sharepoint_mode'];
    }

    /**
     * Sets sharepoint_mode
     * @param string $sharepoint_mode 
     * @return $this
     */
    public function setSharepointMode($sharepoint_mode)
    {
        $this->container['sharepoint_mode'] = $sharepoint_mode;

        return $this;
    }

    /**
     * Gets sharepoint_mode_pending
     * @return string
     */
    public function getSharepointModePending()
    {
        return $this->container['sharepoint_mode_pending'];
    }

    /**
     * Sets sharepoint_mode_pending
     * @param string $sharepoint_mode_pending 
     * @return $this
     */
    public function setSharepointModePending($sharepoint_mode_pending)
    {
        $this->container['sharepoint_mode_pending'] = $sharepoint_mode_pending;

        return $this;
    }

    /**
     * Gets apache_generic_pool_port
     * @return string
     */
    public function getApacheGenericPoolPort()
    {
        return $this->container['apache_generic_pool_port'];
    }

    /**
     * Sets apache_generic_pool_port
     * @param string $apache_generic_pool_port 
     * @return $this
     */
    public function setApacheGenericPoolPort($apache_generic_pool_port)
    {
        $this->container['apache_generic_pool_port'] = $apache_generic_pool_port;

        return $this;
    }

    /**
     * Gets mongrel_environment
     * @return string
     */
    public function getMongrelEnvironment()
    {
        return $this->container['mongrel_environment'];
    }

    /**
     * Sets mongrel_environment
     * @param string $mongrel_environment 
     * @return $this
     */
    public function setMongrelEnvironment($mongrel_environment)
    {
        $this->container['mongrel_environment'] = $mongrel_environment;

        return $this;
    }

    /**
     * Gets flag_free
     * @return string
     */
    public function getFlagFree()
    {
        return $this->container['flag_free'];
    }

    /**
     * Sets flag_free
     * @param string $flag_free 
     * @return $this
     */
    public function setFlagFree($flag_free)
    {
        $this->container['flag_free'] = $flag_free;

        return $this;
    }

    /**
     * Gets rtm_scan_date
     * @return string
     */
    public function getRtmScanDate()
    {
        return $this->container['rtm_scan_date'];
    }

    /**
     * Sets rtm_scan_date
     * @param string $rtm_scan_date 
     * @return $this
     */
    public function setRtmScanDate($rtm_scan_date)
    {
        $this->container['rtm_scan_date'] = $rtm_scan_date;

        return $this;
    }

    /**
     * Gets analyze_analog
     * @return string
     */
    public function getAnalyzeAnalog()
    {
        return $this->container['analyze_analog'];
    }

    /**
     * Sets analyze_analog
     * @param string $analyze_analog 
     * @return $this
     */
    public function setAnalyzeAnalog($analyze_analog)
    {
        $this->container['analyze_analog'] = $analyze_analog;

        return $this;
    }

    /**
     * Gets cpu_details_enabled
     * @return string
     */
    public function getCpuDetailsEnabled()
    {
        return $this->container['cpu_details_enabled'];
    }

    /**
     * Sets cpu_details_enabled
     * @param string $cpu_details_enabled Включен режим предоставления детализации процессорной нагрузки.
     * @return $this
     */
    public function setCpuDetailsEnabled($cpu_details_enabled)
    {
        $this->container['cpu_details_enabled'] = $cpu_details_enabled;

        return $this;
    }

    /**
     * Gets content_moderated_status
     * @return string
     */
    public function getContentModeratedStatus()
    {
        return $this->container['content_moderated_status'];
    }

    /**
     * Sets content_moderated_status
     * @param string $content_moderated_status 
     * @return $this
     */
    public function setContentModeratedStatus($content_moderated_status)
    {
        $this->container['content_moderated_status'] = $content_moderated_status;

        return $this;
    }

    /**
     * Gets content_moderated_date
     * @return string
     */
    public function getContentModeratedDate()
    {
        return $this->container['content_moderated_date'];
    }

    /**
     * Sets content_moderated_date
     * @param string $content_moderated_date 
     * @return $this
     */
    public function setContentModeratedDate($content_moderated_date)
    {
        $this->container['content_moderated_date'] = $content_moderated_date;

        return $this;
    }

    /**
     * Gets http_frontend_ip
     * @return string
     */
    public function getHttpFrontendIp()
    {
        return $this->container['http_frontend_ip'];
    }

    /**
     * Sets http_frontend_ip
     * @param string $http_frontend_ip 
     * @return $this
     */
    public function setHttpFrontendIp($http_frontend_ip)
    {
        $this->container['http_frontend_ip'] = $http_frontend_ip;

        return $this;
    }

    /**
     * Gets http_frontend_ip_transition
     * @return string
     */
    public function getHttpFrontendIpTransition()
    {
        return $this->container['http_frontend_ip_transition'];
    }

    /**
     * Sets http_frontend_ip_transition
     * @param string $http_frontend_ip_transition 
     * @return $this
     */
    public function setHttpFrontendIpTransition($http_frontend_ip_transition)
    {
        $this->container['http_frontend_ip_transition'] = $http_frontend_ip_transition;

        return $this;
    }

    /**
     * Gets cpu_limit_exceeded_date
     * @return string
     */
    public function getCpuLimitExceededDate()
    {
        return $this->container['cpu_limit_exceeded_date'];
    }

    /**
     * Sets cpu_limit_exceeded_date
     * @param string $cpu_limit_exceeded_date Дата последнего превышения процессорной нагрузки.
     * @return $this
     */
    public function setCpuLimitExceededDate($cpu_limit_exceeded_date)
    {
        $this->container['cpu_limit_exceeded_date'] = $cpu_limit_exceeded_date;

        return $this;
    }

    /**
     * Gets aufs_template
     * @return string
     */
    public function getAufsTemplate()
    {
        return $this->container['aufs_template'];
    }

    /**
     * Sets aufs_template
     * @param string $aufs_template Признак сайта-конструктора.
     * @return $this
     */
    public function setAufsTemplate($aufs_template)
    {
        $this->container['aufs_template'] = $aufs_template;

        return $this;
    }

    /**
     * Gets options_autolimit
     * @return string
     */
    public function getOptionsAutolimit()
    {
        return $this->container['options_autolimit'];
    }

    /**
     * Sets options_autolimit
     * @param string $options_autolimit 
     * @return $this
     */
    public function setOptionsAutolimit($options_autolimit)
    {
        $this->container['options_autolimit'] = $options_autolimit;

        return $this;
    }

    /**
     * Gets iis_creation_commands
     * @return string
     */
    public function getIisCreationCommands()
    {
        return $this->container['iis_creation_commands'];
    }

    /**
     * Sets iis_creation_commands
     * @param string $iis_creation_commands Версия ASP.NET, если отлична от 2.0.
     * @return $this
     */
    public function setIisCreationCommands($iis_creation_commands)
    {
        $this->container['iis_creation_commands'] = $iis_creation_commands;

        return $this;
    }

    /**
     * Gets iis_creation_commands_unix
     * @return string
     */
    public function getIisCreationCommandsUnix()
    {
        return $this->container['iis_creation_commands_unix'];
    }

    /**
     * Sets iis_creation_commands_unix
     * @param string $iis_creation_commands_unix 
     * @return $this
     */
    public function setIisCreationCommandsUnix($iis_creation_commands_unix)
    {
        $this->container['iis_creation_commands_unix'] = $iis_creation_commands_unix;

        return $this;
    }

    /**
     * Gets thumb_date
     * @return string
     */
    public function getThumbDate()
    {
        return $this->container['thumb_date'];
    }

    /**
     * Sets thumb_date
     * @param string $thumb_date 
     * @return $this
     */
    public function setThumbDate($thumb_date)
    {
        $this->container['thumb_date'] = $thumb_date;

        return $this;
    }

    /**
     * Gets thumb_failed
     * @return string
     */
    public function getThumbFailed()
    {
        return $this->container['thumb_failed'];
    }

    /**
     * Sets thumb_failed
     * @param string $thumb_failed 
     * @return $this
     */
    public function setThumbFailed($thumb_failed)
    {
        $this->container['thumb_failed'] = $thumb_failed;

        return $this;
    }

    /**
     * Gets backup_stat_date
     * @return string
     */
    public function getBackupStatDate()
    {
        return $this->container['backup_stat_date'];
    }

    /**
     * Sets backup_stat_date
     * @param string $backup_stat_date 
     * @return $this
     */
    public function setBackupStatDate($backup_stat_date)
    {
        $this->container['backup_stat_date'] = $backup_stat_date;

        return $this;
    }

    /**
     * Gets backup_date
     * @return string
     */
    public function getBackupDate()
    {
        return $this->container['backup_date'];
    }

    /**
     * Sets backup_date
     * @param string $backup_date Дата пофайловой резервной копии.
     * @return $this
     */
    public function setBackupDate($backup_date)
    {
        $this->container['backup_date'] = $backup_date;

        return $this;
    }

    /**
     * Gets detected_packages
     * @return string
     */
    public function getDetectedPackages()
    {
        return $this->container['detected_packages'];
    }

    /**
     * Sets detected_packages
     * @param string $detected_packages 
     * @return $this
     */
    public function setDetectedPackages($detected_packages)
    {
        $this->container['detected_packages'] = $detected_packages;

        return $this;
    }

    /**
     * Gets stat_site_power
     * @return string
     */
    public function getStatSitePower()
    {
        return $this->container['stat_site_power'];
    }

    /**
     * Sets stat_site_power
     * @param string $stat_site_power 
     * @return $this
     */
    public function setStatSitePower($stat_site_power)
    {
        $this->container['stat_site_power'] = $stat_site_power;

        return $this;
    }

    /**
     * Gets smtp_from
     * @return string
     */
    public function getSmtpFrom()
    {
        return $this->container['smtp_from'];
    }

    /**
     * Sets smtp_from
     * @param string $smtp_from 
     * @return $this
     */
    public function setSmtpFrom($smtp_from)
    {
        $this->container['smtp_from'] = $smtp_from;

        return $this;
    }

    /**
     * Gets super_backup_date
     * @return string
     */
    public function getSuperBackupDate()
    {
        return $this->container['super_backup_date'];
    }

    /**
     * Sets super_backup_date
     * @param string $super_backup_date 
     * @return $this
     */
    public function setSuperBackupDate($super_backup_date)
    {
        $this->container['super_backup_date'] = $super_backup_date;

        return $this;
    }

    /**
     * Gets backup_delta_stat_date
     * @return string
     */
    public function getBackupDeltaStatDate()
    {
        return $this->container['backup_delta_stat_date'];
    }

    /**
     * Sets backup_delta_stat_date
     * @param string $backup_delta_stat_date 
     * @return $this
     */
    public function setBackupDeltaStatDate($backup_delta_stat_date)
    {
        $this->container['backup_delta_stat_date'] = $backup_delta_stat_date;

        return $this;
    }

    /**
     * Gets backup_delta_date
     * @return string
     */
    public function getBackupDeltaDate()
    {
        return $this->container['backup_delta_date'];
    }

    /**
     * Sets backup_delta_date
     * @param string $backup_delta_date Дата архивной резервной копии.
     * @return $this
     */
    public function setBackupDeltaDate($backup_delta_date)
    {
        $this->container['backup_delta_date'] = $backup_delta_date;

        return $this;
    }

    /**
     * Gets backup_delta_desc
     * @return string
     */
    public function getBackupDeltaDesc()
    {
        return $this->container['backup_delta_desc'];
    }

    /**
     * Sets backup_delta_desc
     * @param string $backup_delta_desc Содержимое архивной резервной копии.
     * @return $this
     */
    public function setBackupDeltaDesc($backup_delta_desc)
    {
        $this->container['backup_delta_desc'] = $backup_delta_desc;

        return $this;
    }

    /**
     * Gets alt_docroot_server
     * @return string
     */
    public function getAltDocrootServer()
    {
        return $this->container['alt_docroot_server'];
    }

    /**
     * Sets alt_docroot_server
     * @param string $alt_docroot_server 
     * @return $this
     */
    public function setAltDocrootServer($alt_docroot_server)
    {
        $this->container['alt_docroot_server'] = $alt_docroot_server;

        return $this;
    }

    /**
     * Gets alt_docroot_path
     * @return string
     */
    public function getAltDocrootPath()
    {
        return $this->container['alt_docroot_path'];
    }

    /**
     * Sets alt_docroot_path
     * @param string $alt_docroot_path 
     * @return $this
     */
    public function setAltDocrootPath($alt_docroot_path)
    {
        $this->container['alt_docroot_path'] = $alt_docroot_path;

        return $this;
    }

    /**
     * Gets alt_docroot_status
     * @return string
     */
    public function getAltDocrootStatus()
    {
        return $this->container['alt_docroot_status'];
    }

    /**
     * Sets alt_docroot_status
     * @param string $alt_docroot_status 
     * @return $this
     */
    public function setAltDocrootStatus($alt_docroot_status)
    {
        $this->container['alt_docroot_status'] = $alt_docroot_status;

        return $this;
    }

    /**
     * Gets alt_docroot_status_cnt
     * @return string
     */
    public function getAltDocrootStatusCnt()
    {
        return $this->container['alt_docroot_status_cnt'];
    }

    /**
     * Sets alt_docroot_status_cnt
     * @param string $alt_docroot_status_cnt 
     * @return $this
     */
    public function setAltDocrootStatusCnt($alt_docroot_status_cnt)
    {
        $this->container['alt_docroot_status_cnt'] = $alt_docroot_status_cnt;

        return $this;
    }

    /**
     * Gets alt_docroot_status_date
     * @return string
     */
    public function getAltDocrootStatusDate()
    {
        return $this->container['alt_docroot_status_date'];
    }

    /**
     * Sets alt_docroot_status_date
     * @param string $alt_docroot_status_date 
     * @return $this
     */
    public function setAltDocrootStatusDate($alt_docroot_status_date)
    {
        $this->container['alt_docroot_status_date'] = $alt_docroot_status_date;

        return $this;
    }

    /**
     * Gets bind_dtc
     * @return string
     */
    public function getBindDtc()
    {
        return $this->container['bind_dtc'];
    }

    /**
     * Sets bind_dtc
     * @param string $bind_dtc Последнее изменение привязок доменов для сайта.
     * @return $this
     */
    public function setBindDtc($bind_dtc)
    {
        $this->container['bind_dtc'] = $bind_dtc;

        return $this;
    }

    /**
     * Gets backup_special_mode
     * @return string
     */
    public function getBackupSpecialMode()
    {
        return $this->container['backup_special_mode'];
    }

    /**
     * Sets backup_special_mode
     * @param string $backup_special_mode 
     * @return $this
     */
    public function setBackupSpecialMode($backup_special_mode)
    {
        $this->container['backup_special_mode'] = $backup_special_mode;

        return $this;
    }

    /**
     * Gets size_check_problem
     * @return string
     */
    public function getSizeCheckProblem()
    {
        return $this->container['size_check_problem'];
    }

    /**
     * Sets size_check_problem
     * @param string $size_check_problem 
     * @return $this
     */
    public function setSizeCheckProblem($size_check_problem)
    {
        $this->container['size_check_problem'] = $size_check_problem;

        return $this;
    }

    /**
     * Gets wpb_domain
     * @return string
     */
    public function getWpbDomain()
    {
        return $this->container['wpb_domain'];
    }

    /**
     * Sets wpb_domain
     * @param string $wpb_domain 
     * @return $this
     */
    public function setWpbDomain($wpb_domain)
    {
        $this->container['wpb_domain'] = $wpb_domain;

        return $this;
    }

    /**
     * Gets wpb_uuid
     * @return string
     */
    public function getWpbUuid()
    {
        return $this->container['wpb_uuid'];
    }

    /**
     * Sets wpb_uuid
     * @param string $wpb_uuid Для сайта включен конструктор Parallels WPB.
     * @return $this
     */
    public function setWpbUuid($wpb_uuid)
    {
        $this->container['wpb_uuid'] = $wpb_uuid;

        return $this;
    }

    /**
     * Gets wpb_status
     * @return string
     */
    public function getWpbStatus()
    {
        return $this->container['wpb_status'];
    }

    /**
     * Sets wpb_status
     * @param string $wpb_status 
     * @return $this
     */
    public function setWpbStatus($wpb_status)
    {
        $this->container['wpb_status'] = $wpb_status;

        return $this;
    }

    /**
     * Gets admin_protection
     * @return string
     */
    public function getAdminProtection()
    {
        return $this->container['admin_protection'];
    }

    /**
     * Sets admin_protection
     * @param string $admin_protection 
     * @return $this
     */
    public function setAdminProtection($admin_protection)
    {
        $this->container['admin_protection'] = $admin_protection;

        return $this;
    }

    /**
     * Gets size_comments
     * @return string
     */
    public function getSizeComments()
    {
        return $this->container['size_comments'];
    }

    /**
     * Sets size_comments
     * @param string $size_comments 
     * @return $this
     */
    public function setSizeComments($size_comments)
    {
        $this->container['size_comments'] = $size_comments;

        return $this;
    }

    /**
     * Gets alt_docroot_ssd_req
     * @return string
     */
    public function getAltDocrootSsdReq()
    {
        return $this->container['alt_docroot_ssd_req'];
    }

    /**
     * Sets alt_docroot_ssd_req
     * @param string $alt_docroot_ssd_req 
     * @return $this
     */
    public function setAltDocrootSsdReq($alt_docroot_ssd_req)
    {
        $this->container['alt_docroot_ssd_req'] = $alt_docroot_ssd_req;

        return $this;
    }

    /**
     * Gets mail_limit
     * @return string
     */
    public function getMailLimit()
    {
        return $this->container['mail_limit'];
    }

    /**
     * Sets mail_limit
     * @param string $mail_limit 
     * @return $this
     */
    public function setMailLimit($mail_limit)
    {
        $this->container['mail_limit'] = $mail_limit;

        return $this;
    }

    /**
     * Gets mail_accept
     * @return string
     */
    public function getMailAccept()
    {
        return $this->container['mail_accept'];
    }

    /**
     * Sets mail_accept
     * @param string $mail_accept 
     * @return $this
     */
    public function setMailAccept($mail_accept)
    {
        $this->container['mail_accept'] = $mail_accept;

        return $this;
    }

    /**
     * Gets mail_drop
     * @return string
     */
    public function getMailDrop()
    {
        return $this->container['mail_drop'];
    }

    /**
     * Sets mail_drop
     * @param string $mail_drop 
     * @return $this
     */
    public function setMailDrop($mail_drop)
    {
        $this->container['mail_drop'] = $mail_drop;

        return $this;
    }

    /**
     * Gets ftp_name
     * @return string
     */
    public function getFtpName()
    {
        return $this->container['ftp_name'];
    }

    /**
     * Sets ftp_name
     * @param string $ftp_name FTP/SSH/SCP/SFTP логин.
     * @return $this
     */
    public function setFtpName($ftp_name)
    {
        $this->container['ftp_name'] = $ftp_name;

        return $this;
    }

    /**
     * Gets ftp_pwd
     * @return string
     */
    public function getFtpPwd()
    {
        return $this->container['ftp_pwd'];
    }

    /**
     * Sets ftp_pwd
     * @param string $ftp_pwd FTP/SSH/SCP/SFTP пароль.
     * @return $this
     */
    public function setFtpPwd($ftp_pwd)
    {
        $this->container['ftp_pwd'] = $ftp_pwd;

        return $this;
    }
    /**
     * Returns true if offset exists. False otherwise.
     * @param  integer $offset Offset
     * @return boolean
     */
    public function offsetExists($offset)
    {
        return isset($this->container[$offset]);
    }

    /**
     * Gets offset.
     * @param  integer $offset Offset
     * @return mixed
     */
    public function offsetGet($offset)
    {
        return isset($this->container[$offset]) ? $this->container[$offset] : null;
    }

    /**
     * Sets value based on offset.
     * @param  integer $offset Offset
     * @param  mixed   $value  Value to be set
     * @return void
     */
    public function offsetSet($offset, $value)
    {
        if (is_null($offset)) {
            $this->container[] = $value;
        } else {
            $this->container[$offset] = $value;
        }
    }

    /**
     * Unsets offset.
     * @param  integer $offset Offset
     * @return void
     */
    public function offsetUnset($offset)
    {
        unset($this->container[$offset]);
    }

    /**
     * Gets the string presentation of the object
     * @return string
     */
    public function __toString()
    {
        if (defined('JSON_PRETTY_PRINT')) { // use JSON pretty print
            return json_encode(\Swagger\Client\ObjectSerializer::sanitizeForSerialization($this), JSON_PRETTY_PRINT);
        }

        return json_encode(\Swagger\Client\ObjectSerializer::sanitizeForSerialization($this));
    }
}


