<?php
/**
 * InlineResponse2004
 *
 * PHP version 5
 *
 * @category Class
 * @package  Swagger\Client
 * @author   http://github.com/swagger-api/swagger-codegen
 * @license  http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * 1Gb API
 *
 * API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.
 *
 * OpenAPI spec version: 2.0.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */

namespace Swagger\Client\Model;

use \ArrayAccess;

/**
 * InlineResponse2004 Class Doc Comment
 *
 * @category    Class */
/** 
 * @package     Swagger\Client
 * @author      http://github.com/swagger-api/swagger-codegen
 * @license     http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link        https://github.com/swagger-api/swagger-codegen
 */
class InlineResponse2004 implements ArrayAccess
{
    /**
      * The original name of the model.
      * @var string
      */
    protected static $swaggerModelName = 'inline_response_200_4';

    /**
      * Array of property to type mappings. Used for (de)serialization
      * @var string[]
      */
    protected static $swaggerTypes = array(
        'date_updated' => 'string',
        'record_created' => 'string',
        'subject_contract' => 'string',
        'end_date' => 'string',
        'payed_till' => 'string',
        'object_state' => 'string',
        'domain_addr' => 'string',
        'nservers' => 'string',
        'expires_countdown' => 'int'
    );

    public static function swaggerTypes()
    {
        return self::$swaggerTypes;
    }

    /**
     * Array of attributes where the key is the local name, and the value is the original name
     * @var string[]
     */
    protected static $attributeMap = array(
        'date_updated' => 'date_updated',
        'record_created' => 'record_created',
        'subject_contract' => 'subject_contract',
        'end_date' => 'end_date',
        'payed_till' => 'payed_till',
        'object_state' => 'object_state',
        'domain_addr' => 'domain_addr',
        'nservers' => 'nservers',
        'expires_countdown' => 'expires_countdown'
    );

    public static function attributeMap()
    {
        return self::$attributeMap;
    }

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     * @var string[]
     */
    protected static $setters = array(
        'date_updated' => 'setDateUpdated',
        'record_created' => 'setRecordCreated',
        'subject_contract' => 'setSubjectContract',
        'end_date' => 'setEndDate',
        'payed_till' => 'setPayedTill',
        'object_state' => 'setObjectState',
        'domain_addr' => 'setDomainAddr',
        'nservers' => 'setNservers',
        'expires_countdown' => 'setExpiresCountdown'
    );

    public static function setters()
    {
        return self::$setters;
    }

    /**
     * Array of attributes to getter functions (for serialization of requests)
     * @var string[]
     */
    protected static $getters = array(
        'date_updated' => 'getDateUpdated',
        'record_created' => 'getRecordCreated',
        'subject_contract' => 'getSubjectContract',
        'end_date' => 'getEndDate',
        'payed_till' => 'getPayedTill',
        'object_state' => 'getObjectState',
        'domain_addr' => 'getDomainAddr',
        'nservers' => 'getNservers',
        'expires_countdown' => 'getExpiresCountdown'
    );

    public static function getters()
    {
        return self::$getters;
    }

    

    

    /**
     * Associative array for storing property values
     * @var mixed[]
     */
    protected $container = array();

    /**
     * Constructor
     * @param mixed[] $data Associated array of property value initalizing the model
     */
    public function __construct(array $data = null)
    {
        $this->container['date_updated'] = isset($data['date_updated']) ? $data['date_updated'] : null;
        $this->container['record_created'] = isset($data['record_created']) ? $data['record_created'] : null;
        $this->container['subject_contract'] = isset($data['subject_contract']) ? $data['subject_contract'] : null;
        $this->container['end_date'] = isset($data['end_date']) ? $data['end_date'] : null;
        $this->container['payed_till'] = isset($data['payed_till']) ? $data['payed_till'] : null;
        $this->container['object_state'] = isset($data['object_state']) ? $data['object_state'] : null;
        $this->container['domain_addr'] = isset($data['domain_addr']) ? $data['domain_addr'] : null;
        $this->container['nservers'] = isset($data['nservers']) ? $data['nservers'] : null;
        $this->container['expires_countdown'] = isset($data['expires_countdown']) ? $data['expires_countdown'] : null;
    }

    /**
     * show all the invalid properties with reasons.
     *
     * @return array invalid properties with reasons
     */
    public function listInvalidProperties()
    {
        $invalid_properties = array();
        if ($this->container['date_updated'] === null) {
            $invalid_properties[] = "'date_updated' can't be null";
        }
        if ($this->container['record_created'] === null) {
            $invalid_properties[] = "'record_created' can't be null";
        }
        if ($this->container['subject_contract'] === null) {
            $invalid_properties[] = "'subject_contract' can't be null";
        }
        if ($this->container['end_date'] === null) {
            $invalid_properties[] = "'end_date' can't be null";
        }
        if ($this->container['payed_till'] === null) {
            $invalid_properties[] = "'payed_till' can't be null";
        }
        if ($this->container['object_state'] === null) {
            $invalid_properties[] = "'object_state' can't be null";
        }
        if ($this->container['domain_addr'] === null) {
            $invalid_properties[] = "'domain_addr' can't be null";
        }
        if ($this->container['nservers'] === null) {
            $invalid_properties[] = "'nservers' can't be null";
        }
        if ($this->container['expires_countdown'] === null) {
            $invalid_properties[] = "'expires_countdown' can't be null";
        }
        return $invalid_properties;
    }

    /**
     * validate all the properties in the model
     * return true if all passed
     *
     * @return bool True if all properteis are valid
     */
    public function valid()
    {
        if ($this->container['date_updated'] === null) {
            return false;
        }
        if ($this->container['record_created'] === null) {
            return false;
        }
        if ($this->container['subject_contract'] === null) {
            return false;
        }
        if ($this->container['end_date'] === null) {
            return false;
        }
        if ($this->container['payed_till'] === null) {
            return false;
        }
        if ($this->container['object_state'] === null) {
            return false;
        }
        if ($this->container['domain_addr'] === null) {
            return false;
        }
        if ($this->container['nservers'] === null) {
            return false;
        }
        if ($this->container['expires_countdown'] === null) {
            return false;
        }
        return true;
    }


    /**
     * Gets date_updated
     * @return string
     */
    public function getDateUpdated()
    {
        return $this->container['date_updated'];
    }

    /**
     * Sets date_updated
     * @param string $date_updated Дата последнего обновления домена
     * @return $this
     */
    public function setDateUpdated($date_updated)
    {
        $this->container['date_updated'] = $date_updated;

        return $this;
    }

    /**
     * Gets record_created
     * @return string
     */
    public function getRecordCreated()
    {
        return $this->container['record_created'];
    }

    /**
     * Sets record_created
     * @param string $record_created Дата создания записи
     * @return $this
     */
    public function setRecordCreated($record_created)
    {
        $this->container['record_created'] = $record_created;

        return $this;
    }

    /**
     * Gets subject_contract
     * @return string
     */
    public function getSubjectContract()
    {
        return $this->container['subject_contract'];
    }

    /**
     * Sets subject_contract
     * @param string $subject_contract 
     * @return $this
     */
    public function setSubjectContract($subject_contract)
    {
        $this->container['subject_contract'] = $subject_contract;

        return $this;
    }

    /**
     * Gets end_date
     * @return string
     */
    public function getEndDate()
    {
        return $this->container['end_date'];
    }

    /**
     * Sets end_date
     * @param string $end_date 
     * @return $this
     */
    public function setEndDate($end_date)
    {
        $this->container['end_date'] = $end_date;

        return $this;
    }

    /**
     * Gets payed_till
     * @return string
     */
    public function getPayedTill()
    {
        return $this->container['payed_till'];
    }

    /**
     * Sets payed_till
     * @param string $payed_till Дата, до которой оплачен домен
     * @return $this
     */
    public function setPayedTill($payed_till)
    {
        $this->container['payed_till'] = $payed_till;

        return $this;
    }

    /**
     * Gets object_state
     * @return string
     */
    public function getObjectState()
    {
        return $this->container['object_state'];
    }

    /**
     * Sets object_state
     * @param string $object_state 
     * @return $this
     */
    public function setObjectState($object_state)
    {
        $this->container['object_state'] = $object_state;

        return $this;
    }

    /**
     * Gets domain_addr
     * @return string
     */
    public function getDomainAddr()
    {
        return $this->container['domain_addr'];
    }

    /**
     * Sets domain_addr
     * @param string $domain_addr Имя домена
     * @return $this
     */
    public function setDomainAddr($domain_addr)
    {
        $this->container['domain_addr'] = $domain_addr;

        return $this;
    }

    /**
     * Gets nservers
     * @return string
     */
    public function getNservers()
    {
        return $this->container['nservers'];
    }

    /**
     * Sets nservers
     * @param string $nservers Сервера имён домена
     * @return $this
     */
    public function setNservers($nservers)
    {
        $this->container['nservers'] = $nservers;

        return $this;
    }

    /**
     * Gets expires_countdown
     * @return int
     */
    public function getExpiresCountdown()
    {
        return $this->container['expires_countdown'];
    }

    /**
     * Sets expires_countdown
     * @param int $expires_countdown Количество дней до окончания срока действия домена
     * @return $this
     */
    public function setExpiresCountdown($expires_countdown)
    {
        $this->container['expires_countdown'] = $expires_countdown;

        return $this;
    }
    /**
     * Returns true if offset exists. False otherwise.
     * @param  integer $offset Offset
     * @return boolean
     */
    public function offsetExists($offset)
    {
        return isset($this->container[$offset]);
    }

    /**
     * Gets offset.
     * @param  integer $offset Offset
     * @return mixed
     */
    public function offsetGet($offset)
    {
        return isset($this->container[$offset]) ? $this->container[$offset] : null;
    }

    /**
     * Sets value based on offset.
     * @param  integer $offset Offset
     * @param  mixed   $value  Value to be set
     * @return void
     */
    public function offsetSet($offset, $value)
    {
        if (is_null($offset)) {
            $this->container[] = $value;
        } else {
            $this->container[$offset] = $value;
        }
    }

    /**
     * Unsets offset.
     * @param  integer $offset Offset
     * @return void
     */
    public function offsetUnset($offset)
    {
        unset($this->container[$offset]);
    }

    /**
     * Gets the string presentation of the object
     * @return string
     */
    public function __toString()
    {
        if (defined('JSON_PRETTY_PRINT')) { // use JSON pretty print
            return json_encode(\Swagger\Client\ObjectSerializer::sanitizeForSerialization($this), JSON_PRETTY_PRINT);
        }

        return json_encode(\Swagger\Client\ObjectSerializer::sanitizeForSerialization($this));
    }
}


