<?php
/**
 * InlineResponse2006
 *
 * PHP version 5
 *
 * @category Class
 * @package  Swagger\Client
 * @author   http://github.com/swagger-api/swagger-codegen
 * @license  http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * 1Gb API
 *
 * API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.
 *
 * OpenAPI spec version: 2.0.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */

namespace Swagger\Client\Model;

use \ArrayAccess;

/**
 * InlineResponse2006 Class Doc Comment
 *
 * @category    Class */
/** 
 * @package     Swagger\Client
 * @author      http://github.com/swagger-api/swagger-codegen
 * @license     http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link        https://github.com/swagger-api/swagger-codegen
 */
class InlineResponse2006 implements ArrayAccess
{
    /**
      * The original name of the model.
      * @var string
      */
    protected static $swaggerModelName = 'inline_response_200_6';

    /**
      * Array of property to type mappings. Used for (de)serialization
      * @var string[]
      */
    protected static $swaggerTypes = array(
        'id' => 'int',
        'status' => 'int',
        'online' => 'bool',
        'mail' => 'string',
        'mercury_user' => 'string',
        'mercury_pwd' => 'string',
        'size_amount' => 'int',
        'size_file_count' => 'int',
        'archived_count' => 'int',
        'server_pop3' => 'string',
        'server_smtp' => 'string',
        'server_webmail' => 'string',
        'server_imap' => 'string',
        'wm1' => 'string',
        'wm2' => 'string'
    );

    public static function swaggerTypes()
    {
        return self::$swaggerTypes;
    }

    /**
     * Array of attributes where the key is the local name, and the value is the original name
     * @var string[]
     */
    protected static $attributeMap = array(
        'id' => 'id',
        'status' => 'status',
        'online' => 'online',
        'mail' => 'mail',
        'mercury_user' => 'mercury_user',
        'mercury_pwd' => 'mercury_pwd',
        'size_amount' => 'size_amount',
        'size_file_count' => 'size_file_count',
        'archived_count' => 'archived_count',
        'server_pop3' => 'server_pop3',
        'server_smtp' => 'server_smtp',
        'server_webmail' => 'server_webmail',
        'server_imap' => 'server_imap',
        'wm1' => 'wm1',
        'wm2' => 'wm2'
    );

    public static function attributeMap()
    {
        return self::$attributeMap;
    }

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     * @var string[]
     */
    protected static $setters = array(
        'id' => 'setId',
        'status' => 'setStatus',
        'online' => 'setOnline',
        'mail' => 'setMail',
        'mercury_user' => 'setMercuryUser',
        'mercury_pwd' => 'setMercuryPwd',
        'size_amount' => 'setSizeAmount',
        'size_file_count' => 'setSizeFileCount',
        'archived_count' => 'setArchivedCount',
        'server_pop3' => 'setServerPop3',
        'server_smtp' => 'setServerSmtp',
        'server_webmail' => 'setServerWebmail',
        'server_imap' => 'setServerImap',
        'wm1' => 'setWm1',
        'wm2' => 'setWm2'
    );

    public static function setters()
    {
        return self::$setters;
    }

    /**
     * Array of attributes to getter functions (for serialization of requests)
     * @var string[]
     */
    protected static $getters = array(
        'id' => 'getId',
        'status' => 'getStatus',
        'online' => 'getOnline',
        'mail' => 'getMail',
        'mercury_user' => 'getMercuryUser',
        'mercury_pwd' => 'getMercuryPwd',
        'size_amount' => 'getSizeAmount',
        'size_file_count' => 'getSizeFileCount',
        'archived_count' => 'getArchivedCount',
        'server_pop3' => 'getServerPop3',
        'server_smtp' => 'getServerSmtp',
        'server_webmail' => 'getServerWebmail',
        'server_imap' => 'getServerImap',
        'wm1' => 'getWm1',
        'wm2' => 'getWm2'
    );

    public static function getters()
    {
        return self::$getters;
    }

    

    

    /**
     * Associative array for storing property values
     * @var mixed[]
     */
    protected $container = array();

    /**
     * Constructor
     * @param mixed[] $data Associated array of property value initalizing the model
     */
    public function __construct(array $data = null)
    {
        $this->container['id'] = isset($data['id']) ? $data['id'] : null;
        $this->container['status'] = isset($data['status']) ? $data['status'] : null;
        $this->container['online'] = isset($data['online']) ? $data['online'] : null;
        $this->container['mail'] = isset($data['mail']) ? $data['mail'] : null;
        $this->container['mercury_user'] = isset($data['mercury_user']) ? $data['mercury_user'] : null;
        $this->container['mercury_pwd'] = isset($data['mercury_pwd']) ? $data['mercury_pwd'] : null;
        $this->container['size_amount'] = isset($data['size_amount']) ? $data['size_amount'] : null;
        $this->container['size_file_count'] = isset($data['size_file_count']) ? $data['size_file_count'] : null;
        $this->container['archived_count'] = isset($data['archived_count']) ? $data['archived_count'] : null;
        $this->container['server_pop3'] = isset($data['server_pop3']) ? $data['server_pop3'] : null;
        $this->container['server_smtp'] = isset($data['server_smtp']) ? $data['server_smtp'] : null;
        $this->container['server_webmail'] = isset($data['server_webmail']) ? $data['server_webmail'] : null;
        $this->container['server_imap'] = isset($data['server_imap']) ? $data['server_imap'] : null;
        $this->container['wm1'] = isset($data['wm1']) ? $data['wm1'] : null;
        $this->container['wm2'] = isset($data['wm2']) ? $data['wm2'] : null;
    }

    /**
     * show all the invalid properties with reasons.
     *
     * @return array invalid properties with reasons
     */
    public function listInvalidProperties()
    {
        $invalid_properties = array();
        if ($this->container['id'] === null) {
            $invalid_properties[] = "'id' can't be null";
        }
        if ($this->container['status'] === null) {
            $invalid_properties[] = "'status' can't be null";
        }
        if ($this->container['online'] === null) {
            $invalid_properties[] = "'online' can't be null";
        }
        if ($this->container['mail'] === null) {
            $invalid_properties[] = "'mail' can't be null";
        }
        if ($this->container['mercury_user'] === null) {
            $invalid_properties[] = "'mercury_user' can't be null";
        }
        if ($this->container['mercury_pwd'] === null) {
            $invalid_properties[] = "'mercury_pwd' can't be null";
        }
        if ($this->container['size_amount'] === null) {
            $invalid_properties[] = "'size_amount' can't be null";
        }
        if ($this->container['size_file_count'] === null) {
            $invalid_properties[] = "'size_file_count' can't be null";
        }
        if ($this->container['archived_count'] === null) {
            $invalid_properties[] = "'archived_count' can't be null";
        }
        if ($this->container['server_pop3'] === null) {
            $invalid_properties[] = "'server_pop3' can't be null";
        }
        if ($this->container['server_smtp'] === null) {
            $invalid_properties[] = "'server_smtp' can't be null";
        }
        if ($this->container['server_webmail'] === null) {
            $invalid_properties[] = "'server_webmail' can't be null";
        }
        if ($this->container['server_imap'] === null) {
            $invalid_properties[] = "'server_imap' can't be null";
        }
        if ($this->container['wm1'] === null) {
            $invalid_properties[] = "'wm1' can't be null";
        }
        if ($this->container['wm2'] === null) {
            $invalid_properties[] = "'wm2' can't be null";
        }
        return $invalid_properties;
    }

    /**
     * validate all the properties in the model
     * return true if all passed
     *
     * @return bool True if all properteis are valid
     */
    public function valid()
    {
        if ($this->container['id'] === null) {
            return false;
        }
        if ($this->container['status'] === null) {
            return false;
        }
        if ($this->container['online'] === null) {
            return false;
        }
        if ($this->container['mail'] === null) {
            return false;
        }
        if ($this->container['mercury_user'] === null) {
            return false;
        }
        if ($this->container['mercury_pwd'] === null) {
            return false;
        }
        if ($this->container['size_amount'] === null) {
            return false;
        }
        if ($this->container['size_file_count'] === null) {
            return false;
        }
        if ($this->container['archived_count'] === null) {
            return false;
        }
        if ($this->container['server_pop3'] === null) {
            return false;
        }
        if ($this->container['server_smtp'] === null) {
            return false;
        }
        if ($this->container['server_webmail'] === null) {
            return false;
        }
        if ($this->container['server_imap'] === null) {
            return false;
        }
        if ($this->container['wm1'] === null) {
            return false;
        }
        if ($this->container['wm2'] === null) {
            return false;
        }
        return true;
    }


    /**
     * Gets id
     * @return int
     */
    public function getId()
    {
        return $this->container['id'];
    }

    /**
     * Sets id
     * @param int $id идентификатор ящика
     * @return $this
     */
    public function setId($id)
    {
        $this->container['id'] = $id;

        return $this;
    }

    /**
     * Gets status
     * @return int
     */
    public function getStatus()
    {
        return $this->container['status'];
    }

    /**
     * Sets status
     * @param int $status 
     * @return $this
     */
    public function setStatus($status)
    {
        $this->container['status'] = $status;

        return $this;
    }

    /**
     * Gets online
     * @return bool
     */
    public function getOnline()
    {
        return $this->container['online'];
    }

    /**
     * Sets online
     * @param bool $online ящик работает, если true
     * @return $this
     */
    public function setOnline($online)
    {
        $this->container['online'] = $online;

        return $this;
    }

    /**
     * Gets mail
     * @return string
     */
    public function getMail()
    {
        return $this->container['mail'];
    }

    /**
     * Sets mail
     * @param string $mail полный адрес ящика
     * @return $this
     */
    public function setMail($mail)
    {
        $this->container['mail'] = $mail;

        return $this;
    }

    /**
     * Gets mercury_user
     * @return string
     */
    public function getMercuryUser()
    {
        return $this->container['mercury_user'];
    }

    /**
     * Sets mercury_user
     * @param string $mercury_user имя пользователя для входа в Mercury
     * @return $this
     */
    public function setMercuryUser($mercury_user)
    {
        $this->container['mercury_user'] = $mercury_user;

        return $this;
    }

    /**
     * Gets mercury_pwd
     * @return string
     */
    public function getMercuryPwd()
    {
        return $this->container['mercury_pwd'];
    }

    /**
     * Sets mercury_pwd
     * @param string $mercury_pwd пароль для входа в Mercury
     * @return $this
     */
    public function setMercuryPwd($mercury_pwd)
    {
        $this->container['mercury_pwd'] = $mercury_pwd;

        return $this;
    }

    /**
     * Gets size_amount
     * @return int
     */
    public function getSizeAmount()
    {
        return $this->container['size_amount'];
    }

    /**
     * Sets size_amount
     * @param int $size_amount текущий размер ящика
     * @return $this
     */
    public function setSizeAmount($size_amount)
    {
        $this->container['size_amount'] = $size_amount;

        return $this;
    }

    /**
     * Gets size_file_count
     * @return int
     */
    public function getSizeFileCount()
    {
        return $this->container['size_file_count'];
    }

    /**
     * Sets size_file_count
     * @param int $size_file_count количество файлов, занятых ящиком
     * @return $this
     */
    public function setSizeFileCount($size_file_count)
    {
        $this->container['size_file_count'] = $size_file_count;

        return $this;
    }

    /**
     * Gets archived_count
     * @return int
     */
    public function getArchivedCount()
    {
        return $this->container['archived_count'];
    }

    /**
     * Sets archived_count
     * @param int $archived_count 
     * @return $this
     */
    public function setArchivedCount($archived_count)
    {
        $this->container['archived_count'] = $archived_count;

        return $this;
    }

    /**
     * Gets server_pop3
     * @return string
     */
    public function getServerPop3()
    {
        return $this->container['server_pop3'];
    }

    /**
     * Sets server_pop3
     * @param string $server_pop3 адрес сервера для доступа к ящику по POP3
     * @return $this
     */
    public function setServerPop3($server_pop3)
    {
        $this->container['server_pop3'] = $server_pop3;

        return $this;
    }

    /**
     * Gets server_smtp
     * @return string
     */
    public function getServerSmtp()
    {
        return $this->container['server_smtp'];
    }

    /**
     * Sets server_smtp
     * @param string $server_smtp адрес сервера для доступа к ящику по SMTP
     * @return $this
     */
    public function setServerSmtp($server_smtp)
    {
        $this->container['server_smtp'] = $server_smtp;

        return $this;
    }

    /**
     * Gets server_webmail
     * @return string
     */
    public function getServerWebmail()
    {
        return $this->container['server_webmail'];
    }

    /**
     * Sets server_webmail
     * @param string $server_webmail адрес сервера Webmail для входа в ящик через браузер
     * @return $this
     */
    public function setServerWebmail($server_webmail)
    {
        $this->container['server_webmail'] = $server_webmail;

        return $this;
    }

    /**
     * Gets server_imap
     * @return string
     */
    public function getServerImap()
    {
        return $this->container['server_imap'];
    }

    /**
     * Sets server_imap
     * @param string $server_imap адрес сервера для доступа к ящику по IMAP
     * @return $this
     */
    public function setServerImap($server_imap)
    {
        $this->container['server_imap'] = $server_imap;

        return $this;
    }

    /**
     * Gets wm1
     * @return string
     */
    public function getWm1()
    {
        return $this->container['wm1'];
    }

    /**
     * Sets wm1
     * @param string $wm1 
     * @return $this
     */
    public function setWm1($wm1)
    {
        $this->container['wm1'] = $wm1;

        return $this;
    }

    /**
     * Gets wm2
     * @return string
     */
    public function getWm2()
    {
        return $this->container['wm2'];
    }

    /**
     * Sets wm2
     * @param string $wm2 
     * @return $this
     */
    public function setWm2($wm2)
    {
        $this->container['wm2'] = $wm2;

        return $this;
    }
    /**
     * Returns true if offset exists. False otherwise.
     * @param  integer $offset Offset
     * @return boolean
     */
    public function offsetExists($offset)
    {
        return isset($this->container[$offset]);
    }

    /**
     * Gets offset.
     * @param  integer $offset Offset
     * @return mixed
     */
    public function offsetGet($offset)
    {
        return isset($this->container[$offset]) ? $this->container[$offset] : null;
    }

    /**
     * Sets value based on offset.
     * @param  integer $offset Offset
     * @param  mixed   $value  Value to be set
     * @return void
     */
    public function offsetSet($offset, $value)
    {
        if (is_null($offset)) {
            $this->container[] = $value;
        } else {
            $this->container[$offset] = $value;
        }
    }

    /**
     * Unsets offset.
     * @param  integer $offset Offset
     * @return void
     */
    public function offsetUnset($offset)
    {
        unset($this->container[$offset]);
    }

    /**
     * Gets the string presentation of the object
     * @return string
     */
    public function __toString()
    {
        if (defined('JSON_PRETTY_PRINT')) { // use JSON pretty print
            return json_encode(\Swagger\Client\ObjectSerializer::sanitizeForSerialization($this), JSON_PRETTY_PRINT);
        }

        return json_encode(\Swagger\Client\ObjectSerializer::sanitizeForSerialization($this));
    }
}


