<?php
/**
 * InlineResponse2008
 *
 * PHP version 5
 *
 * @category Class
 * @package  Swagger\Client
 * @author   http://github.com/swagger-api/swagger-codegen
 * @license  http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * 1Gb API
 *
 * API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.
 *
 * OpenAPI spec version: 2.0.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */

namespace Swagger\Client\Model;

use \ArrayAccess;

/**
 * InlineResponse2008 Class Doc Comment
 *
 * @category    Class */
/** 
 * @package     Swagger\Client
 * @author      http://github.com/swagger-api/swagger-codegen
 * @license     http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link        https://github.com/swagger-api/swagger-codegen
 */
class InlineResponse2008 implements ArrayAccess
{
    /**
      * The original name of the model.
      * @var string
      */
    protected static $swaggerModelName = 'inline_response_200_8';

    /**
      * Array of property to type mappings. Used for (de)serialization
      * @var string[]
      */
    protected static $swaggerTypes = array(
        'id' => 'int',
        'online' => 'bool',
        'ftp_id' => 'int',
        'dns_id' => 'int',
        'size_amount' => 'int',
        'size_file_count' => 'int',
        'size_file_count_limit' => 'int'
    );

    public static function swaggerTypes()
    {
        return self::$swaggerTypes;
    }

    /**
     * Array of attributes where the key is the local name, and the value is the original name
     * @var string[]
     */
    protected static $attributeMap = array(
        'id' => 'id',
        'online' => 'online',
        'ftp_id' => 'ftp_id',
        'dns_id' => 'dns_id',
        'size_amount' => 'size_amount',
        'size_file_count' => 'size_file_count',
        'size_file_count_limit' => 'size_file_count_limit'
    );

    public static function attributeMap()
    {
        return self::$attributeMap;
    }

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     * @var string[]
     */
    protected static $setters = array(
        'id' => 'setId',
        'online' => 'setOnline',
        'ftp_id' => 'setFtpId',
        'dns_id' => 'setDnsId',
        'size_amount' => 'setSizeAmount',
        'size_file_count' => 'setSizeFileCount',
        'size_file_count_limit' => 'setSizeFileCountLimit'
    );

    public static function setters()
    {
        return self::$setters;
    }

    /**
     * Array of attributes to getter functions (for serialization of requests)
     * @var string[]
     */
    protected static $getters = array(
        'id' => 'getId',
        'online' => 'getOnline',
        'ftp_id' => 'getFtpId',
        'dns_id' => 'getDnsId',
        'size_amount' => 'getSizeAmount',
        'size_file_count' => 'getSizeFileCount',
        'size_file_count_limit' => 'getSizeFileCountLimit'
    );

    public static function getters()
    {
        return self::$getters;
    }

    

    

    /**
     * Associative array for storing property values
     * @var mixed[]
     */
    protected $container = array();

    /**
     * Constructor
     * @param mixed[] $data Associated array of property value initalizing the model
     */
    public function __construct(array $data = null)
    {
        $this->container['id'] = isset($data['id']) ? $data['id'] : null;
        $this->container['online'] = isset($data['online']) ? $data['online'] : null;
        $this->container['ftp_id'] = isset($data['ftp_id']) ? $data['ftp_id'] : null;
        $this->container['dns_id'] = isset($data['dns_id']) ? $data['dns_id'] : null;
        $this->container['size_amount'] = isset($data['size_amount']) ? $data['size_amount'] : null;
        $this->container['size_file_count'] = isset($data['size_file_count']) ? $data['size_file_count'] : null;
        $this->container['size_file_count_limit'] = isset($data['size_file_count_limit']) ? $data['size_file_count_limit'] : null;
    }

    /**
     * show all the invalid properties with reasons.
     *
     * @return array invalid properties with reasons
     */
    public function listInvalidProperties()
    {
        $invalid_properties = array();
        if ($this->container['id'] === null) {
            $invalid_properties[] = "'id' can't be null";
        }
        if ($this->container['online'] === null) {
            $invalid_properties[] = "'online' can't be null";
        }
        if ($this->container['ftp_id'] === null) {
            $invalid_properties[] = "'ftp_id' can't be null";
        }
        if ($this->container['dns_id'] === null) {
            $invalid_properties[] = "'dns_id' can't be null";
        }
        if ($this->container['size_amount'] === null) {
            $invalid_properties[] = "'size_amount' can't be null";
        }
        if ($this->container['size_file_count'] === null) {
            $invalid_properties[] = "'size_file_count' can't be null";
        }
        if ($this->container['size_file_count_limit'] === null) {
            $invalid_properties[] = "'size_file_count_limit' can't be null";
        }
        return $invalid_properties;
    }

    /**
     * validate all the properties in the model
     * return true if all passed
     *
     * @return bool True if all properteis are valid
     */
    public function valid()
    {
        if ($this->container['id'] === null) {
            return false;
        }
        if ($this->container['online'] === null) {
            return false;
        }
        if ($this->container['ftp_id'] === null) {
            return false;
        }
        if ($this->container['dns_id'] === null) {
            return false;
        }
        if ($this->container['size_amount'] === null) {
            return false;
        }
        if ($this->container['size_file_count'] === null) {
            return false;
        }
        if ($this->container['size_file_count_limit'] === null) {
            return false;
        }
        return true;
    }


    /**
     * Gets id
     * @return int
     */
    public function getId()
    {
        return $this->container['id'];
    }

    /**
     * Sets id
     * @param int $id идентификатор сайта
     * @return $this
     */
    public function setId($id)
    {
        $this->container['id'] = $id;

        return $this;
    }

    /**
     * Gets online
     * @return bool
     */
    public function getOnline()
    {
        return $this->container['online'];
    }

    /**
     * Sets online
     * @param bool $online сайт работает нормально если true
     * @return $this
     */
    public function setOnline($online)
    {
        $this->container['online'] = $online;

        return $this;
    }

    /**
     * Gets ftp_id
     * @return int
     */
    public function getFtpId()
    {
        return $this->container['ftp_id'];
    }

    /**
     * Sets ftp_id
     * @param int $ftp_id идентификатор связанного аккаунта FTP
     * @return $this
     */
    public function setFtpId($ftp_id)
    {
        $this->container['ftp_id'] = $ftp_id;

        return $this;
    }

    /**
     * Gets dns_id
     * @return int
     */
    public function getDnsId()
    {
        return $this->container['dns_id'];
    }

    /**
     * Sets dns_id
     * @param int $dns_id идентификатор связанной записи DNS
     * @return $this
     */
    public function setDnsId($dns_id)
    {
        $this->container['dns_id'] = $dns_id;

        return $this;
    }

    /**
     * Gets size_amount
     * @return int
     */
    public function getSizeAmount()
    {
        return $this->container['size_amount'];
    }

    /**
     * Sets size_amount
     * @param int $size_amount размер занятого места
     * @return $this
     */
    public function setSizeAmount($size_amount)
    {
        $this->container['size_amount'] = $size_amount;

        return $this;
    }

    /**
     * Gets size_file_count
     * @return int
     */
    public function getSizeFileCount()
    {
        return $this->container['size_file_count'];
    }

    /**
     * Sets size_file_count
     * @param int $size_file_count количество файлов
     * @return $this
     */
    public function setSizeFileCount($size_file_count)
    {
        $this->container['size_file_count'] = $size_file_count;

        return $this;
    }

    /**
     * Gets size_file_count_limit
     * @return int
     */
    public function getSizeFileCountLimit()
    {
        return $this->container['size_file_count_limit'];
    }

    /**
     * Sets size_file_count_limit
     * @param int $size_file_count_limit ограничение на количество файлов
     * @return $this
     */
    public function setSizeFileCountLimit($size_file_count_limit)
    {
        $this->container['size_file_count_limit'] = $size_file_count_limit;

        return $this;
    }
    /**
     * Returns true if offset exists. False otherwise.
     * @param  integer $offset Offset
     * @return boolean
     */
    public function offsetExists($offset)
    {
        return isset($this->container[$offset]);
    }

    /**
     * Gets offset.
     * @param  integer $offset Offset
     * @return mixed
     */
    public function offsetGet($offset)
    {
        return isset($this->container[$offset]) ? $this->container[$offset] : null;
    }

    /**
     * Sets value based on offset.
     * @param  integer $offset Offset
     * @param  mixed   $value  Value to be set
     * @return void
     */
    public function offsetSet($offset, $value)
    {
        if (is_null($offset)) {
            $this->container[] = $value;
        } else {
            $this->container[$offset] = $value;
        }
    }

    /**
     * Unsets offset.
     * @param  integer $offset Offset
     * @return void
     */
    public function offsetUnset($offset)
    {
        unset($this->container[$offset]);
    }

    /**
     * Gets the string presentation of the object
     * @return string
     */
    public function __toString()
    {
        if (defined('JSON_PRETTY_PRINT')) { // use JSON pretty print
            return json_encode(\Swagger\Client\ObjectSerializer::sanitizeForSerialization($this), JSON_PRETTY_PRINT);
        }

        return json_encode(\Swagger\Client\ObjectSerializer::sanitizeForSerialization($this));
    }
}


