<?php
/**
 * _
 *
 * PHP version 5
 *
 * @category Class
 * @package  Swagger\Client
 * @author   http://github.com/swagger-api/swagger-codegen
 * @license  http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * 1Gb API
 *
 * API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.
 *
 * OpenAPI spec version: 2.0.0
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Do not edit the class manually.
 */

namespace Swagger\Client\Model;

use \ArrayAccess;

/**
 * _ Class Doc Comment
 *
 * @category    Class */
/** 
 * @package     Swagger\Client
 * @author      http://github.com/swagger-api/swagger-codegen
 * @license     http://www.apache.org/licenses/LICENSE-2.0 Apache Licene v2
 * @link        https://github.com/swagger-api/swagger-codegen
 */
class _ implements ArrayAccess
{
    /**
      * The original name of the model.
      * @var string
      */
    protected static $swaggerModelName = ' ';

    /**
      * Array of property to type mappings. Used for (de)serialization
      * @var string[]
      */
    protected static $swaggerTypes = array(
        'mail' => 'string',
        'website' => 'string',
        'mysql' => 'bool',
        'size' => 'string',
        'mssql' => 'bool',
        'dynamic_content' => 'bool',
        'php_exec' => 'bool',
        'ftp2' => 'string'
    );

    public static function swaggerTypes()
    {
        return self::$swaggerTypes;
    }

    /**
     * Array of attributes where the key is the local name, and the value is the original name
     * @var string[]
     */
    protected static $attributeMap = array(
        'mail' => 'mail',
        'website' => 'website',
        'mysql' => 'mysql',
        'size' => 'size',
        'mssql' => 'mssql',
        'dynamic_content' => 'dynamic_content',
        'php_exec' => 'php_exec',
        'ftp2' => 'ftp2'
    );

    public static function attributeMap()
    {
        return self::$attributeMap;
    }

    /**
     * Array of attributes to setter functions (for deserialization of responses)
     * @var string[]
     */
    protected static $setters = array(
        'mail' => 'setMail',
        'website' => 'setWebsite',
        'mysql' => 'setMysql',
        'size' => 'setSize',
        'mssql' => 'setMssql',
        'dynamic_content' => 'setDynamicContent',
        'php_exec' => 'setPhpExec',
        'ftp2' => 'setFtp2'
    );

    public static function setters()
    {
        return self::$setters;
    }

    /**
     * Array of attributes to getter functions (for serialization of requests)
     * @var string[]
     */
    protected static $getters = array(
        'mail' => 'getMail',
        'website' => 'getWebsite',
        'mysql' => 'getMysql',
        'size' => 'getSize',
        'mssql' => 'getMssql',
        'dynamic_content' => 'getDynamicContent',
        'php_exec' => 'getPhpExec',
        'ftp2' => 'getFtp2'
    );

    public static function getters()
    {
        return self::$getters;
    }

    

    

    /**
     * Associative array for storing property values
     * @var mixed[]
     */
    protected $container = array();

    /**
     * Constructor
     * @param mixed[] $data Associated array of property value initalizing the model
     */
    public function __construct(array $data = null)
    {
        $this->container['mail'] = isset($data['mail']) ? $data['mail'] : null;
        $this->container['website'] = isset($data['website']) ? $data['website'] : null;
        $this->container['mysql'] = isset($data['mysql']) ? $data['mysql'] : null;
        $this->container['size'] = isset($data['size']) ? $data['size'] : null;
        $this->container['mssql'] = isset($data['mssql']) ? $data['mssql'] : null;
        $this->container['dynamic_content'] = isset($data['dynamic_content']) ? $data['dynamic_content'] : null;
        $this->container['php_exec'] = isset($data['php_exec']) ? $data['php_exec'] : null;
        $this->container['ftp2'] = isset($data['ftp2']) ? $data['ftp2'] : null;
    }

    /**
     * show all the invalid properties with reasons.
     *
     * @return array invalid properties with reasons
     */
    public function listInvalidProperties()
    {
        $invalid_properties = array();
        if ($this->container['mail'] === null) {
            $invalid_properties[] = "'mail' can't be null";
        }
        if ($this->container['website'] === null) {
            $invalid_properties[] = "'website' can't be null";
        }
        if ($this->container['mysql'] === null) {
            $invalid_properties[] = "'mysql' can't be null";
        }
        if ($this->container['size'] === null) {
            $invalid_properties[] = "'size' can't be null";
        }
        if ($this->container['mssql'] === null) {
            $invalid_properties[] = "'mssql' can't be null";
        }
        if ($this->container['dynamic_content'] === null) {
            $invalid_properties[] = "'dynamic_content' can't be null";
        }
        if ($this->container['php_exec'] === null) {
            $invalid_properties[] = "'php_exec' can't be null";
        }
        if ($this->container['ftp2'] === null) {
            $invalid_properties[] = "'ftp2' can't be null";
        }
        return $invalid_properties;
    }

    /**
     * validate all the properties in the model
     * return true if all passed
     *
     * @return bool True if all properteis are valid
     */
    public function valid()
    {
        if ($this->container['mail'] === null) {
            return false;
        }
        if ($this->container['website'] === null) {
            return false;
        }
        if ($this->container['mysql'] === null) {
            return false;
        }
        if ($this->container['size'] === null) {
            return false;
        }
        if ($this->container['mssql'] === null) {
            return false;
        }
        if ($this->container['dynamic_content'] === null) {
            return false;
        }
        if ($this->container['php_exec'] === null) {
            return false;
        }
        if ($this->container['ftp2'] === null) {
            return false;
        }
        return true;
    }


    /**
     * Gets mail
     * @return string
     */
    public function getMail()
    {
        return $this->container['mail'];
    }

    /**
     * Sets mail
     * @param string $mail Ограничение на количество почтовых ящиков. '-' означает отсутствие лимита.
     * @return $this
     */
    public function setMail($mail)
    {
        $this->container['mail'] = $mail;

        return $this;
    }

    /**
     * Gets website
     * @return string
     */
    public function getWebsite()
    {
        return $this->container['website'];
    }

    /**
     * Sets website
     * @param string $website Ограничение на количество сайтов. '-' означает отсутствие лимита.
     * @return $this
     */
    public function setWebsite($website)
    {
        $this->container['website'] = $website;

        return $this;
    }

    /**
     * Gets mysql
     * @return bool
     */
    public function getMysql()
    {
        return $this->container['mysql'];
    }

    /**
     * Sets mysql
     * @param bool $mysql MySQL разрешен, если true.
     * @return $this
     */
    public function setMysql($mysql)
    {
        $this->container['mysql'] = $mysql;

        return $this;
    }

    /**
     * Gets size
     * @return string
     */
    public function getSize()
    {
        return $this->container['size'];
    }

    /**
     * Sets size
     * @param string $size Ограничение на размер дискового пространства. '-' означает отсутствие лимита.
     * @return $this
     */
    public function setSize($size)
    {
        $this->container['size'] = $size;

        return $this;
    }

    /**
     * Gets mssql
     * @return bool
     */
    public function getMssql()
    {
        return $this->container['mssql'];
    }

    /**
     * Sets mssql
     * @param bool $mssql MSSQL разрешен, если true.
     * @return $this
     */
    public function setMssql($mssql)
    {
        $this->container['mssql'] = $mssql;

        return $this;
    }

    /**
     * Gets dynamic_content
     * @return bool
     */
    public function getDynamicContent()
    {
        return $this->container['dynamic_content'];
    }

    /**
     * Sets dynamic_content
     * @param bool $dynamic_content CGI и PHP скрипты разрешены, если true.
     * @return $this
     */
    public function setDynamicContent($dynamic_content)
    {
        $this->container['dynamic_content'] = $dynamic_content;

        return $this;
    }

    /**
     * Gets php_exec
     * @return bool
     */
    public function getPhpExec()
    {
        return $this->container['php_exec'];
    }

    /**
     * Sets php_exec
     * @param bool $php_exec Функция exec() в PHP разрешена, если true.
     * @return $this
     */
    public function setPhpExec($php_exec)
    {
        $this->container['php_exec'] = $php_exec;

        return $this;
    }

    /**
     * Gets ftp2
     * @return string
     */
    public function getFtp2()
    {
        return $this->container['ftp2'];
    }

    /**
     * Sets ftp2
     * @param string $ftp2 Ограничение на количество дополнительных FTP логинов. '-' означает отсутствие лимита.
     * @return $this
     */
    public function setFtp2($ftp2)
    {
        $this->container['ftp2'] = $ftp2;

        return $this;
    }
    /**
     * Returns true if offset exists. False otherwise.
     * @param  integer $offset Offset
     * @return boolean
     */
    public function offsetExists($offset)
    {
        return isset($this->container[$offset]);
    }

    /**
     * Gets offset.
     * @param  integer $offset Offset
     * @return mixed
     */
    public function offsetGet($offset)
    {
        return isset($this->container[$offset]) ? $this->container[$offset] : null;
    }

    /**
     * Sets value based on offset.
     * @param  integer $offset Offset
     * @param  mixed   $value  Value to be set
     * @return void
     */
    public function offsetSet($offset, $value)
    {
        if (is_null($offset)) {
            $this->container[] = $value;
        } else {
            $this->container[$offset] = $value;
        }
    }

    /**
     * Unsets offset.
     * @param  integer $offset Offset
     * @return void
     */
    public function offsetUnset($offset)
    {
        unset($this->container[$offset]);
    }

    /**
     * Gets the string presentation of the object
     * @return string
     */
    public function __toString()
    {
        if (defined('JSON_PRETTY_PRINT')) { // use JSON pretty print
            return json_encode(\Swagger\Client\ObjectSerializer::sanitizeForSerialization($this), JSON_PRETTY_PRINT);
        }

        return json_encode(\Swagger\Client\ObjectSerializer::sanitizeForSerialization($this));
    }
}


